'\"
'\" Generated by tcllib/doctools/idx with format 'nroff'
.TH "Keyword Index" n
.\" The -*- nroff -*- definitions below are for supplemental macros used
.\" in Tcl/Tk manual entries.
.\"
.\" .AP type name in/out ?indent?
.\"	Start paragraph describing an argument to a library procedure.
.\"	type is type of argument (int, etc.), in/out is either "in", "out",
.\"	or "in/out" to describe whether procedure reads or modifies arg,
.\"	and indent is equivalent to second arg of .IP (shouldn't ever be
.\"	needed;  use .AS below instead)
.\"
.\" .AS ?type? ?name?
.\"	Give maximum sizes of arguments for setting tab stops.  Type and
.\"	name are examples of largest possible arguments that will be passed
.\"	to .AP later.  If args are omitted, default tab stops are used.
.\"
.\" .BS
.\"	Start box enclosure.  From here until next .BE, everything will be
.\"	enclosed in one large box.
.\"
.\" .BE
.\"	End of box enclosure.
.\"
.\" .CS
.\"	Begin code excerpt.
.\"
.\" .CE
.\"	End code excerpt.
.\"
.\" .VS ?version? ?br?
.\"	Begin vertical sidebar, for use in marking newly-changed parts
.\"	of man pages.  The first argument is ignored and used for recording
.\"	the version when the .VS was added, so that the sidebars can be
.\"	found and removed when they reach a certain age.  If another argument
.\"	is present, then a line break is forced before starting the sidebar.
.\"
.\" .VE
.\"	End of vertical sidebar.
.\"
.\" .DS
.\"	Begin an indented unfilled display.
.\"
.\" .DE
.\"	End of indented unfilled display.
.\"
.\" .SO ?manpage?
.\"	Start of list of standard options for a Tk widget. The manpage
.\"	argument defines where to look up the standard options; if
.\"	omitted, defaults to "options". The options follow on successive
.\"	lines, in three columns separated by tabs.
.\"
.\" .SE
.\"	End of list of standard options for a Tk widget.
.\"
.\" .OP cmdName dbName dbClass
.\"	Start of description of a specific option.  cmdName gives the
.\"	option's name as specified in the class command, dbName gives
.\"	the option's name in the option database, and dbClass gives
.\"	the option's class in the option database.
.\"
.\" .UL arg1 arg2
.\"	Print arg1 underlined, then print arg2 normally.
.\"
.\" .QW arg1 ?arg2?
.\"	Print arg1 in quotes, then arg2 normally (for trailing punctuation).
.\"
.\" .PQ arg1 ?arg2?
.\"	Print an open parenthesis, arg1 in quotes, then arg2 normally
.\"	(for trailing punctuation) and then a closing parenthesis.
.\"
.\"	# Set up traps and other miscellaneous stuff for Tcl/Tk man pages.
.if t .wh -1.3i ^B
.nr ^l \n(.l
.ad b
.\"	# Start an argument description
.de AP
.ie !"\\$4"" .TP \\$4
.el \{\
.   ie !"\\$2"" .TP \\n()Cu
.   el          .TP 15
.\}
.ta \\n()Au \\n()Bu
.ie !"\\$3"" \{\
\&\\$1 \\fI\\$2\\fP (\\$3)
.\".b
.\}
.el \{\
.br
.ie !"\\$2"" \{\
\&\\$1	\\fI\\$2\\fP
.\}
.el \{\
\&\\fI\\$1\\fP
.\}
.\}
..
.\"	# define tabbing values for .AP
.de AS
.nr )A 10n
.if !"\\$1"" .nr )A \\w'\\$1'u+3n
.nr )B \\n()Au+15n
.\"
.if !"\\$2"" .nr )B \\w'\\$2'u+\\n()Au+3n
.nr )C \\n()Bu+\\w'(in/out)'u+2n
..
.AS Tcl_Interp Tcl_CreateInterp in/out
.\"	# BS - start boxed text
.\"	# ^y = starting y location
.\"	# ^b = 1
.de BS
.br
.mk ^y
.nr ^b 1u
.if n .nf
.if n .ti 0
.if n \l'\\n(.lu\(ul'
.if n .fi
..
.\"	# BE - end boxed text (draw box now)
.de BE
.nf
.ti 0
.mk ^t
.ie n \l'\\n(^lu\(ul'
.el \{\
.\"	Draw four-sided box normally, but don't draw top of
.\"	box if the box started on an earlier page.
.ie !\\n(^b-1 \{\
\h'-1.5n'\L'|\\n(^yu-1v'\l'\\n(^lu+3n\(ul'\L'\\n(^tu+1v-\\n(^yu'\l'|0u-1.5n\(ul'
.\}
.el \}\
\h'-1.5n'\L'|\\n(^yu-1v'\h'\\n(^lu+3n'\L'\\n(^tu+1v-\\n(^yu'\l'|0u-1.5n\(ul'
.\}
.\}
.fi
.br
.nr ^b 0
..
.\"	# VS - start vertical sidebar
.\"	# ^Y = starting y location
.\"	# ^v = 1 (for troff;  for nroff this doesn't matter)
.de VS
.if !"\\$2"" .br
.mk ^Y
.ie n 'mc \s12\(br\s0
.el .nr ^v 1u
..
.\"	# VE - end of vertical sidebar
.de VE
.ie n 'mc
.el \{\
.ev 2
.nf
.ti 0
.mk ^t
\h'|\\n(^lu+3n'\L'|\\n(^Yu-1v\(bv'\v'\\n(^tu+1v-\\n(^Yu'\h'-|\\n(^lu+3n'
.sp -1
.fi
.ev
.\}
.nr ^v 0
..
.\"	# Special macro to handle page bottom:  finish off current
.\"	# box/sidebar if in box/sidebar mode, then invoked standard
.\"	# page bottom macro.
.de ^B
.ev 2
'ti 0
'nf
.mk ^t
.if \\n(^b \{\
.\"	Draw three-sided box if this is the box's first page,
.\"	draw two sides but no top otherwise.
.ie !\\n(^b-1 \h'-1.5n'\L'|\\n(^yu-1v'\l'\\n(^lu+3n\(ul'\L'\\n(^tu+1v-\\n(^yu'\h'|0u'\c
.el \h'-1.5n'\L'|\\n(^yu-1v'\h'\\n(^lu+3n'\L'\\n(^tu+1v-\\n(^yu'\h'|0u'\c
.\}
.if \\n(^v \{\
.nr ^x \\n(^tu+1v-\\n(^Yu
\kx\h'-\\nxu'\h'|\\n(^lu+3n'\ky\L'-\\n(^xu'\v'\\n(^xu'\h'|0u'\c
.\}
.bp
'fi
.ev
.if \\n(^b \{\
.mk ^y
.nr ^b 2
.\}
.if \\n(^v \{\
.mk ^Y
.\}
..
.\"	# DS - begin display
.de DS
.RS
.nf
.sp
..
.\"	# DE - end display
.de DE
.fi
.RE
.sp
..
.\"	# SO - start of list of standard options
.de SO
'ie '\\$1'' .ds So \\fBoptions\\fR
'el .ds So \\fB\\$1\\fR
.SH "STANDARD OPTIONS"
.LP
.nf
.ta 5.5c 11c
.ft B
..
.\"	# SE - end of list of standard options
.de SE
.fi
.ft R
.LP
See the \\*(So manual entry for details on the standard options.
..
.\"	# OP - start of full description for a single option
.de OP
.LP
.nf
.ta 4c
Command-Line Name:	\\fB\\$1\\fR
Database Name:	\\fB\\$2\\fR
Database Class:	\\fB\\$3\\fR
.fi
.IP
..
.\"	# CS - begin code excerpt
.de CS
.RS
.nf
.ta .25i .5i .75i 1i
..
.\"	# CE - end code excerpt
.de CE
.fi
.RE
..
.\"	# UL - underline word
.de UL
\\$1\l'|0\(ul'\\$2
..
.\"	# QW - apply quotation marks to word
.de QW
.ie '\\*(lq'"' ``\\$1''\\$2
.\"" fix emacs highlighting
.el \\*(lq\\$1\\*(rq\\$2
..
.\"	# PQ - apply parens and quotation marks to word
.de PQ
.ie '\\*(lq'"' (``\\$1''\\$2)\\$3
.\"" fix emacs highlighting
.el (\\*(lq\\$1\\*(rq\\$2)\\$3
..
.\"	# QR - quoted range
.de QR
.ie '\\*(lq'"' ``\\$1''\\-``\\$2''\\$3
.\"" fix emacs highlighting
.el \\*(lq\\$1\\*(rq\\-\\*(lq\\$2\\*(rq\\$3
..
.\"	# MT - "empty" string
.de MT
.QW ""
..
.BS
.SH INDEX
tcllib
.RS
\&.ddt
.RS
.TP
\fBfiles/modules/docstrip/docstrip_util\&.n\fR
docstrip_util
.RE
\&.dtx
.RS
.TP
\fBfiles/modules/docstrip/docstrip\&.n\fR
docstrip
.TP
\fBfiles/modules/docstrip/docstrip_util\&.n\fR
docstrip_util
.TP
\fBfiles/apps/tcldocstrip\&.n\fR
tcldocstrip
.RE
/dev/null
.RS
.TP
\fBfiles/modules/virtchannel_base/tcllib_null\&.n\fR
tcl::chan::null
.TP
\fBfiles/modules/virtchannel_base/nullzero\&.n\fR
tcl::chan::nullzero
.RE
/dev/random
.RS
.TP
\fBfiles/modules/virtchannel_base/tcllib_random\&.n\fR
tcl::chan::random
.TP
\fBfiles/modules/virtchannel_base/randseed\&.n\fR
tcl::randomseed
.RE
/dev/zero
.RS
.TP
\fBfiles/modules/virtchannel_base/nullzero\&.n\fR
tcl::chan::nullzero
.TP
\fBfiles/modules/virtchannel_base/tcllib_zero\&.n\fR
tcl::chan::zero
.RE
3DES
.RS
.TP
\fBfiles/modules/des/des\&.n\fR
des
.TP
\fBfiles/modules/des/tcldesjr\&.n\fR
tcldes
.TP
\fBfiles/modules/des/tcldes\&.n\fR
tcldes
.RE
abstract syntax tree
.RS
.TP
\fBfiles/modules/grammar_me/me_util\&.n\fR
grammar::me::util
.TP
\fBfiles/modules/grammar_me/me_ast\&.n\fR
grammar::me_ast
.RE
acceptance
.RS
.TP
\fBfiles/modules/grammar_fa/dacceptor\&.n\fR
grammar::fa::dacceptor
.RE
acceptor
.RS
.TP
\fBfiles/modules/grammar_fa/dacceptor\&.n\fR
grammar::fa::dacceptor
.RE
active
.RS
.TP
\fBfiles/modules/transfer/connect\&.n\fR
transfer::connect
.RE
adaptors
.RS
.TP
\fBfiles/modules/snit/snit\&.n\fR
snit
.TP
\fBfiles/modules/snit/snitfaq\&.n\fR
snitfaq
.RE
adjacency list
.RS
.TP
\fBfiles/modules/struct/graphops\&.n\fR
struct::graph::op
.RE
adjacency matrix
.RS
.TP
\fBfiles/modules/struct/graphops\&.n\fR
struct::graph::op
.RE
adjacent
.RS
.TP
\fBfiles/modules/struct/graph\&.n\fR
struct::graph
.TP
\fBfiles/modules/struct/graphops\&.n\fR
struct::graph::op
.RE
adjusting
.RS
.TP
\fBfiles/modules/textutil/adjust\&.n\fR
textutil::adjust
.RE
adler32
.RS
.TP
\fBfiles/modules/virtchannel_transform/adler32\&.n\fR
tcl::transform::adler32
.RE
aes
.RS
.TP
\fBfiles/modules/aes/aes\&.n\fR
aes
.RE
after
.RS
.TP
\fBfiles/modules/coroutine/tcllib_coroutine\&.n\fR
coroutine
.TP
\fBfiles/modules/coroutine/coro_auto\&.n\fR
coroutine::auto
.RE
alias
.RS
.TP
\fBfiles/modules/interp/tcllib_interp\&.n\fR
interp
.RE
amazon
.RS
.TP
\fBfiles/modules/amazon-s3/S3\&.n\fR
S3
.RE
ambiguous
.RS
.TP
\fBfiles/modules/grammar_aycock/aycock\&.n\fR
grammar::aycock
.RE
American Express
.RS
.TP
\fBfiles/modules/valtype/cc_amex\&.n\fR
valtype::creditcard::amex
.RE
AMEX
.RS
.TP
\fBfiles/modules/valtype/cc_amex\&.n\fR
valtype::creditcard::amex
.RE
angle
.RS
.TP
\fBfiles/modules/math/math_geometry\&.n\fR
math::geometry
.TP
\fBfiles/modules/units/units\&.n\fR
units
.RE
anonymous procedure
.RS
.TP
\fBfiles/modules/lambda/lambda\&.n\fR
lambda
.RE
ansi
.RS
.TP
\fBfiles/modules/term/ansi_cattr\&.n\fR
term::ansi::code::attr
.TP
\fBfiles/modules/term/ansi_cctrl\&.n\fR
term::ansi::code::ctrl
.TP
\fBfiles/modules/term/ansi_cmacros\&.n\fR
term::ansi::code::macros
.TP
\fBfiles/modules/term/ansi_ctrlu\&.n\fR
term::ansi::ctrl::unix
.RE
appender
.RS
.TP
\fBfiles/modules/log/loggerAppender\&.n\fR
logger::appender
.TP
\fBfiles/modules/log/loggerUtils\&.n\fR
logger::utils
.RE
application
.RS
.TP
\fBfiles/apps/nns\&.n\fR
nns
.TP
\fBfiles/apps/nnsd\&.n\fR
nnsd
.TP
\fBfiles/apps/nnslog\&.n\fR
nnslog
.RE
approximation algorithm
.RS
.TP
\fBfiles/modules/struct/graphops\&.n\fR
struct::graph::op
.RE
arc
.RS
.TP
\fBfiles/modules/struct/graph\&.n\fR
struct::graph
.TP
\fBfiles/modules/struct/graphops\&.n\fR
struct::graph::op
.RE
arcfour
.RS
.TP
\fBfiles/modules/rc4/rc4\&.n\fR
rc4
.RE
archive
.RS
.TP
\fBfiles/modules/tar/tar\&.n\fR
tar
.RE
argument integrity
.RS
.TP
\fBfiles/modules/tepam/tepam_introduction\&.n\fR
tepam
.TP
\fBfiles/modules/tepam/tepam_procedure\&.n\fR
tepam::procedure
.RE
argument processing
.RS
.TP
\fBfiles/modules/cmdline/cmdline\&.n\fR
cmdline
.RE
argument validation
.RS
.TP
\fBfiles/modules/tepam/tepam_introduction\&.n\fR
tepam
.TP
\fBfiles/modules/tepam/tepam_procedure\&.n\fR
tepam::procedure
.RE
arguments
.RS
.TP
\fBfiles/modules/tepam/tepam_introduction\&.n\fR
tepam
.TP
\fBfiles/modules/tepam/tepam_procedure\&.n\fR
tepam::procedure
.RE
argv
.RS
.TP
\fBfiles/modules/cmdline/cmdline\&.n\fR
cmdline
.RE
argv0
.RS
.TP
\fBfiles/modules/cmdline/cmdline\&.n\fR
cmdline
.RE
array
.RS
.TP
\fBfiles/modules/tie/tie\&.n\fR
tie
.TP
\fBfiles/modules/tie/tie_std\&.n\fR
tie
.RE
articulation point
.RS
.TP
\fBfiles/modules/struct/graphops\&.n\fR
struct::graph::op
.RE
ascii85
.RS
.TP
\fBfiles/modules/base64/ascii85\&.n\fR
ascii85
.RE
asn
.RS
.TP
\fBfiles/modules/asn/asn\&.n\fR
asn
.RE
assembler
.RS
.TP
\fBfiles/modules/grammar_me/gasm\&.n\fR
grammar::me::cpu::gasm
.RE
assert
.RS
.TP
\fBfiles/modules/control/control\&.n\fR
control
.RE
assign
.RS
.TP
\fBfiles/modules/struct/struct_list\&.n\fR
struct::list
.RE
AST
.RS
.TP
\fBfiles/modules/grammar_me/me_ast\&.n\fR
grammar::me_ast
.RE
asynchronous
.RS
.TP
\fBfiles/modules/cache/async\&.n\fR
cache::async
.RE
attribute control
.RS
.TP
\fBfiles/modules/term/ansi_cattr\&.n\fR
term::ansi::code::attr
.TP
\fBfiles/modules/term/ansi_cctrl\&.n\fR
term::ansi::code::ctrl
.RE
augmenting network
.RS
.TP
\fBfiles/modules/struct/graphops\&.n\fR
struct::graph::op
.RE
augmenting path
.RS
.TP
\fBfiles/modules/struct/graphops\&.n\fR
struct::graph::op
.RE
authentication
.RS
.TP
\fBfiles/modules/http/autoproxy\&.n\fR
autoproxy
.TP
\fBfiles/modules/sasl/sasl\&.n\fR
SASL
.TP
\fBfiles/modules/sasl/ntlm\&.n\fR
SASL::NTLM
.TP
\fBfiles/modules/sasl/scram\&.n\fR
SASL::SCRAM
.TP
\fBfiles/modules/sasl/gtoken\&.n\fR
SASL::XGoogleToken
.RE
automatic
.RS
.TP
\fBfiles/modules/nns/nns_auto\&.n\fR
nameserv::auto
.RE
automatic documentation
.RS
.TP
\fBfiles/modules/tepam/tepam_doc_gen\&.n\fR
tepam::doc_gen
.RE
automaton
.RS
.TP
\fBfiles/modules/grammar_fa/fa\&.n\fR
grammar::fa
.TP
\fBfiles/modules/grammar_fa/dacceptor\&.n\fR
grammar::fa::dacceptor
.TP
\fBfiles/modules/grammar_fa/dexec\&.n\fR
grammar::fa::dexec
.TP
\fBfiles/modules/grammar_fa/faop\&.n\fR
grammar::fa::op
.RE
aycock
.RS
.TP
\fBfiles/modules/grammar_aycock/aycock\&.n\fR
grammar::aycock
.RE
bank
.RS
.TP
\fBfiles/modules/valtype/cc_amex\&.n\fR
valtype::creditcard::amex
.TP
\fBfiles/modules/valtype/cc_discover\&.n\fR
valtype::creditcard::discover
.TP
\fBfiles/modules/valtype/cc_mastercard\&.n\fR
valtype::creditcard::mastercard
.TP
\fBfiles/modules/valtype/cc_visa\&.n\fR
valtype::creditcard::visa
.TP
\fBfiles/modules/valtype/iban\&.n\fR
valtype::iban
.RE
base32
.RS
.TP
\fBfiles/modules/base32/base32\&.n\fR
base32
.TP
\fBfiles/modules/base32/base32core\&.n\fR
base32::core
.TP
\fBfiles/modules/base32/base32hex\&.n\fR
base32::hex
.RE
base64
.RS
.TP
\fBfiles/modules/base64/base64\&.n\fR
base64
.TP
\fBfiles/modules/virtchannel_transform/vt_base64\&.n\fR
tcl::transform::base64
.RE
bash
.RS
.TP
\fBfiles/modules/string/token_shell\&.n\fR
string::token::shell
.RE
bee
.RS
.TP
\fBfiles/modules/bee/bee\&.n\fR
bee
.RE
bench language
.RS
.TP
\fBfiles/modules/bench/bench_intro\&.n\fR
bench_intro
.TP
\fBfiles/modules/bench/bench_lang_intro\&.n\fR
bench_lang_intro
.TP
\fBfiles/modules/bench/bench_lang_spec\&.n\fR
bench_lang_spec
.RE
benchmark
.RS
.TP
\fBfiles/modules/bench/bench\&.n\fR
bench
.TP
\fBfiles/modules/bench/bench_read\&.n\fR
bench::in
.TP
\fBfiles/modules/bench/bench_wcsv\&.n\fR
bench::out::csv
.TP
\fBfiles/modules/bench/bench_wtext\&.n\fR
bench::out::text
.TP
\fBfiles/modules/bench/bench_intro\&.n\fR
bench_intro
.TP
\fBfiles/modules/bench/bench_lang_intro\&.n\fR
bench_lang_intro
.TP
\fBfiles/modules/bench/bench_lang_spec\&.n\fR
bench_lang_spec
.RE
ber
.RS
.TP
\fBfiles/modules/asn/asn\&.n\fR
asn
.RE
Bessel functions
.RS
.TP
\fBfiles/modules/math/special\&.n\fR
math::special
.RE
bfs
.RS
.TP
\fBfiles/modules/struct/graphops\&.n\fR
struct::graph::op
.RE
bibliography
.RS
.TP
\fBfiles/modules/bibtex/bibtex\&.n\fR
bibtex
.RE
bibtex
.RS
.TP
\fBfiles/modules/bibtex/bibtex\&.n\fR
bibtex
.RE
bignums
.RS
.TP
\fBfiles/modules/math/bignum\&.n\fR
math::bignum
.RE
bind
.RS
.TP
\fBfiles/modules/uev/uevent\&.n\fR
uevent
.RE
bipartite
.RS
.TP
\fBfiles/modules/struct/graphops\&.n\fR
struct::graph::op
.RE
BitTorrent
.RS
.TP
\fBfiles/modules/bee/bee\&.n\fR
bee
.RE
bittorrent
.RS
.TP
\fBfiles/modules/bee/bee\&.n\fR
bee
.RE
blanks
.RS
.TP
\fBfiles/modules/textutil/repeat\&.n\fR
textutil::repeat
.RE
block cipher
.RS
.TP
\fBfiles/modules/aes/aes\&.n\fR
aes
.TP
\fBfiles/modules/blowfish/blowfish\&.n\fR
blowfish
.TP
\fBfiles/modules/des/des\&.n\fR
des
.TP
\fBfiles/modules/des/tcldesjr\&.n\fR
tcldes
.TP
\fBfiles/modules/des/tcldes\&.n\fR
tcldes
.RE
blocking flow
.RS
.TP
\fBfiles/modules/struct/graphops\&.n\fR
struct::graph::op
.RE
blowfish
.RS
.TP
\fBfiles/modules/blowfish/blowfish\&.n\fR
blowfish
.RE
Book Number
.RS
.TP
\fBfiles/modules/valtype/isbn\&.n\fR
valtype::isbn
.RE
breadth-first
.RS
.TP
\fBfiles/modules/struct/struct_tree\&.n\fR
struct::tree
.RE
bridge
.RS
.TP
\fBfiles/modules/struct/graphops\&.n\fR
struct::graph::op
.RE
BWidget
.RS
.TP
\fBfiles/modules/snit/snit\&.n\fR
snit
.TP
\fBfiles/modules/snit/snitfaq\&.n\fR
snitfaq
.RE
C
.RS
.TP
\fBfiles/modules/doctools2idx/idx_msgcat_c\&.n\fR
doctools::msgcat::idx::c
.TP
\fBfiles/modules/doctools2toc/toc_msgcat_c\&.n\fR
doctools::msgcat::toc::c
.RE
C++
.RS
.TP
\fBfiles/modules/snit/snit\&.n\fR
snit
.TP
\fBfiles/modules/snit/snitfaq\&.n\fR
snitfaq
.TP
\fBfiles/modules/stooop/stooop\&.n\fR
stooop
.TP
\fBfiles/modules/stooop/switched\&.n\fR
switched
.RE
cache
.RS
.TP
\fBfiles/modules/cache/async\&.n\fR
cache::async
.TP
\fBfiles/modules/map/map_slippy_cache\&.n\fR
map::slippy::cache
.RE
caesar cipher
.RS
.TP
\fBfiles/modules/virtchannel_transform/rot\&.n\fR
tcl::transform::rot
.RE
calculus
.RS
.TP
\fBfiles/modules/math/calculus\&.n\fR
math::calculus
.RE
callback
.RS
.TP
\fBfiles/modules/cache/async\&.n\fR
cache::async
.TP
\fBfiles/modules/hook/hook\&.n\fR
hook
.TP
\fBfiles/modules/lambda/lambda\&.n\fR
lambda
.TP
\fBfiles/modules/tool/meta\&.n\fR
oo::util
.TP
\fBfiles/modules/ooutil/ooutil\&.n\fR
oo::util
.TP
\fBfiles/modules/uev/uevent_onidle\&.n\fR
uevent::onidle
.RE
callbacks
.RS
.TP
\fBfiles/modules/virtchannel_base/halfpipe\&.n\fR
tcl::chan::halfpipe
.RE
capitalize
.RS
.TP
\fBfiles/modules/textutil/textutil_string\&.n\fR
textutil::string
.RE
card for credit
.RS
.TP
\fBfiles/modules/valtype/cc_amex\&.n\fR
valtype::creditcard::amex
.TP
\fBfiles/modules/valtype/cc_discover\&.n\fR
valtype::creditcard::discover
.TP
\fBfiles/modules/valtype/cc_mastercard\&.n\fR
valtype::creditcard::mastercard
.TP
\fBfiles/modules/valtype/cc_visa\&.n\fR
valtype::creditcard::visa
.RE
cardinality
.RS
.TP
\fBfiles/modules/struct/struct_set\&.n\fR
struct::set
.RE
cat
.RS
.TP
\fBfiles/modules/fileutil/fileutil\&.n\fR
fileutil
.RE
catalog package
.RS
.TP
\fBfiles/modules/doctools2base/tcllib_msgcat\&.n\fR
doctools::msgcat
.TP
\fBfiles/modules/doctools2idx/idx_msgcat_c\&.n\fR
doctools::msgcat::idx::c
.TP
\fBfiles/modules/doctools2idx/idx_msgcat_de\&.n\fR
doctools::msgcat::idx::de
.TP
\fBfiles/modules/doctools2idx/idx_msgcat_en\&.n\fR
doctools::msgcat::idx::en
.TP
\fBfiles/modules/doctools2idx/idx_msgcat_fr\&.n\fR
doctools::msgcat::idx::fr
.TP
\fBfiles/modules/doctools2toc/toc_msgcat_c\&.n\fR
doctools::msgcat::toc::c
.TP
\fBfiles/modules/doctools2toc/toc_msgcat_de\&.n\fR
doctools::msgcat::toc::de
.TP
\fBfiles/modules/doctools2toc/toc_msgcat_en\&.n\fR
doctools::msgcat::toc::en
.TP
\fBfiles/modules/doctools2toc/toc_msgcat_fr\&.n\fR
doctools::msgcat::toc::fr
.RE
catalogue
.RS
.TP
\fBfiles/modules/docstrip/docstrip_util\&.n\fR
docstrip_util
.RE
cell-phone
.RS
.TP
\fBfiles/modules/valtype/imei\&.n\fR
valtype::imei
.RE
cer
.RS
.TP
\fBfiles/modules/asn/asn\&.n\fR
asn
.RE
CFG
.RS
.TP
\fBfiles/modules/grammar_me/me_intro\&.n\fR
grammar::me_intro
.RE
CFL
.RS
.TP
\fBfiles/modules/grammar_me/me_intro\&.n\fR
grammar::me_intro
.RE
CGI
.RS
.TP
\fBfiles/modules/ncgi/ncgi\&.n\fR
ncgi
.RE
cgraph
.RS
.TP
\fBfiles/modules/struct/graph\&.n\fR
struct::graph
.TP
\fBfiles/modules/struct/graph1\&.n\fR
struct::graph_v1
.RE
changelog
.RS
.TP
\fBfiles/modules/doctools/changelog\&.n\fR
doctools::changelog
.TP
\fBfiles/modules/doctools/cvs\&.n\fR
doctools::cvs
.RE
channel
.RS
.TP
\fBfiles/modules/coroutine/tcllib_coroutine\&.n\fR
coroutine
.TP
\fBfiles/modules/coroutine/coro_auto\&.n\fR
coroutine::auto
.TP
\fBfiles/modules/transfer/connect\&.n\fR
transfer::connect
.TP
\fBfiles/modules/transfer/copyops\&.n\fR
transfer::copy
.TP
\fBfiles/modules/transfer/tqueue\&.n\fR
transfer::copy::queue
.TP
\fBfiles/modules/transfer/ddest\&.n\fR
transfer::data::destination
.TP
\fBfiles/modules/transfer/dsource\&.n\fR
transfer::data::source
.TP
\fBfiles/modules/transfer/receiver\&.n\fR
transfer::receiver
.TP
\fBfiles/modules/transfer/transmitter\&.n\fR
transfer::transmitter
.RE
channel transformation
.RS
.TP
\fBfiles/modules/virtchannel_transform/adler32\&.n\fR
tcl::transform::adler32
.TP
\fBfiles/modules/virtchannel_transform/vt_base64\&.n\fR
tcl::transform::base64
.TP
\fBfiles/modules/virtchannel_transform/vt_counter\&.n\fR
tcl::transform::counter
.TP
\fBfiles/modules/virtchannel_transform/vt_crc32\&.n\fR
tcl::transform::crc32
.TP
\fBfiles/modules/virtchannel_transform/hex\&.n\fR
tcl::transform::hex
.TP
\fBfiles/modules/virtchannel_transform/identity\&.n\fR
tcl::transform::identity
.TP
\fBfiles/modules/virtchannel_transform/limitsize\&.n\fR
tcl::transform::limitsize
.TP
\fBfiles/modules/virtchannel_transform/observe\&.n\fR
tcl::transform::observe
.TP
\fBfiles/modules/virtchannel_transform/vt_otp\&.n\fR
tcl::transform::otp
.TP
\fBfiles/modules/virtchannel_transform/rot\&.n\fR
tcl::transform::rot
.TP
\fBfiles/modules/virtchannel_transform/spacer\&.n\fR
tcl::transform::spacer
.TP
\fBfiles/modules/virtchannel_transform/tcllib_zlib\&.n\fR
tcl::transform::zlib
.RE
character input
.RS
.TP
\fBfiles/modules/term/receive\&.n\fR
term::receive
.TP
\fBfiles/modules/term/term_bind\&.n\fR
term::receive::bind
.RE
character output
.RS
.TP
\fBfiles/modules/term/ansi_send\&.n\fR
term::ansi::send
.TP
\fBfiles/modules/term/term_send\&.n\fR
term::send
.RE
chat
.RS
.TP
\fBfiles/modules/irc/irc\&.n\fR
irc
.TP
\fBfiles/modules/multiplexer/multiplexer\&.n\fR
multiplexer
.TP
\fBfiles/modules/irc/picoirc\&.n\fR
picoirc
.RE
checkbox
.RS
.TP
\fBfiles/modules/html/html\&.n\fR
html
.TP
\fBfiles/modules/javascript/javascript\&.n\fR
javascript
.RE
checkbutton
.RS
.TP
\fBfiles/modules/html/html\&.n\fR
html
.RE
Checking
.RS
.TP
\fBfiles/modules/valtype/valtype_common\&.n\fR
valtype::common
.TP
\fBfiles/modules/valtype/cc_amex\&.n\fR
valtype::creditcard::amex
.TP
\fBfiles/modules/valtype/cc_discover\&.n\fR
valtype::creditcard::discover
.TP
\fBfiles/modules/valtype/cc_mastercard\&.n\fR
valtype::creditcard::mastercard
.TP
\fBfiles/modules/valtype/cc_visa\&.n\fR
valtype::creditcard::visa
.TP
\fBfiles/modules/valtype/ean13\&.n\fR
valtype::gs1::ean13
.TP
\fBfiles/modules/valtype/iban\&.n\fR
valtype::iban
.TP
\fBfiles/modules/valtype/imei\&.n\fR
valtype::imei
.TP
\fBfiles/modules/valtype/isbn\&.n\fR
valtype::isbn
.TP
\fBfiles/modules/valtype/luhn\&.n\fR
valtype::luhn
.TP
\fBfiles/modules/valtype/luhn5\&.n\fR
valtype::luhn5
.TP
\fBfiles/modules/valtype/usnpi\&.n\fR
valtype::usnpi
.TP
\fBfiles/modules/valtype/verhoeff\&.n\fR
valtype::verhoeff
.RE
checksum
.RS
.TP
\fBfiles/modules/crc/cksum\&.n\fR
cksum
.TP
\fBfiles/modules/crc/crc16\&.n\fR
crc16
.TP
\fBfiles/modules/crc/crc32\&.n\fR
crc32
.TP
\fBfiles/modules/crc/sum\&.n\fR
sum
.TP
\fBfiles/modules/virtchannel_transform/adler32\&.n\fR
tcl::transform::adler32
.TP
\fBfiles/modules/virtchannel_transform/vt_crc32\&.n\fR
tcl::transform::crc32
.RE
chop
.RS
.TP
\fBfiles/modules/textutil/textutil_string\&.n\fR
textutil::string
.RE
cipher
.RS
.TP
\fBfiles/modules/pki/pki\&.n\fR
pki
.TP
\fBfiles/modules/virtchannel_transform/vt_otp\&.n\fR
tcl::transform::otp
.TP
\fBfiles/modules/virtchannel_transform/rot\&.n\fR
tcl::transform::rot
.RE
cksum
.RS
.TP
\fBfiles/modules/crc/cksum\&.n\fR
cksum
.TP
\fBfiles/modules/crc/crc16\&.n\fR
crc16
.TP
\fBfiles/modules/crc/crc32\&.n\fR
crc32
.TP
\fBfiles/modules/crc/sum\&.n\fR
sum
.RE
class
.RS
.TP
\fBfiles/modules/snit/snit\&.n\fR
snit
.TP
\fBfiles/modules/snit/snitfaq\&.n\fR
snitfaq
.TP
\fBfiles/modules/stooop/stooop\&.n\fR
stooop
.TP
\fBfiles/modules/stooop/switched\&.n\fR
switched
.RE
class methods
.RS
.TP
\fBfiles/modules/tool/meta\&.n\fR
oo::util
.TP
\fBfiles/modules/ooutil/ooutil\&.n\fR
oo::util
.RE
class variables
.RS
.TP
\fBfiles/modules/tool/meta\&.n\fR
oo::util
.TP
\fBfiles/modules/ooutil/ooutil\&.n\fR
oo::util
.RE
cleanup
.RS
.TP
\fBfiles/modules/try/tcllib_try\&.n\fR
try
.RE
client
.RS
.TP
\fBfiles/modules/nns/nns_client\&.n\fR
nameserv
.TP
\fBfiles/modules/nns/nns_auto\&.n\fR
nameserv::auto
.TP
\fBfiles/modules/nns/nns_common\&.n\fR
nameserv::common
.TP
\fBfiles/apps/nns\&.n\fR
nns
.TP
\fBfiles/modules/nns/nns_intro\&.n\fR
nns_intro
.TP
\fBfiles/apps/nnslog\&.n\fR
nnslog
.RE
cloud
.RS
.TP
\fBfiles/modules/amazon-s3/S3\&.n\fR
S3
.RE
cmdline processing
.RS
.TP
\fBfiles/modules/cmdline/cmdline\&.n\fR
cmdline
.RE
color control
.RS
.TP
\fBfiles/modules/term/ansi_cattr\&.n\fR
term::ansi::code::attr
.TP
\fBfiles/modules/term/ansi_cctrl\&.n\fR
term::ansi::code::ctrl
.RE
columns
.RS
.TP
\fBfiles/modules/term/ansi_ctrlu\&.n\fR
term::ansi::ctrl::unix
.RE
comm
.RS
.TP
\fBfiles/modules/comm/comm\&.n\fR
comm
.TP
\fBfiles/modules/comm/comm_wire\&.n\fR
comm_wire
.TP
\fBfiles/modules/interp/deleg_method\&.n\fR
deleg_method
.TP
\fBfiles/modules/interp/deleg_proc\&.n\fR
deleg_proc
.TP
\fBfiles/modules/nns/nns_protocol\&.n\fR
nameserv::protocol
.RE
command
.RS
.TP
\fBfiles/modules/doctools2base/tcl_parse\&.n\fR
doctools::tcl::parse
.RE
command line processing
.RS
.TP
\fBfiles/modules/cmdline/cmdline\&.n\fR
cmdline
.RE
command prefix
.RS
.TP
\fBfiles/modules/lambda/lambda\&.n\fR
lambda
.TP
\fBfiles/modules/tool/meta\&.n\fR
oo::util
.TP
\fBfiles/modules/ooutil/ooutil\&.n\fR
oo::util
.RE
comment
.RS
.TP
\fBfiles/modules/jpeg/jpeg\&.n\fR
jpeg
.TP
\fBfiles/modules/png/png\&.n\fR
png
.RE
common
.RS
.TP
\fBfiles/modules/struct/struct_list\&.n\fR
struct::list
.RE
common prefix
.RS
.TP
\fBfiles/modules/textutil/textutil_string\&.n\fR
textutil::string
.RE
communication
.RS
.TP
\fBfiles/modules/comm/comm\&.n\fR
comm
.TP
\fBfiles/modules/comm/comm_wire\&.n\fR
comm_wire
.RE
comparison
.RS
.TP
\fBfiles/modules/struct/struct_list\&.n\fR
struct::list
.RE
complete graph
.RS
.TP
\fBfiles/modules/struct/graphops\&.n\fR
struct::graph::op
.RE
complex numbers
.RS
.TP
\fBfiles/modules/math/qcomplex\&.n\fR
math::complexnumbers
.TP
\fBfiles/modules/math/fourier\&.n\fR
math::fourier
.RE
compression
.RS
.TP
\fBfiles/modules/virtchannel_transform/tcllib_zlib\&.n\fR
tcl::transform::zlib
.TP
\fBfiles/modules/zip/encode\&.n\fR
zipfile::encode
.RE
computations
.RS
.TP
\fBfiles/modules/math/bigfloat\&.n\fR
math::bigfloat
.RE
concatenation channel
.RS
.TP
\fBfiles/modules/virtchannel_base/cat\&.n\fR
tcl::chan::cat
.TP
\fBfiles/modules/virtchannel_base/facade\&.n\fR
tcl::chan::facade
.RE
connected component
.RS
.TP
\fBfiles/modules/struct/graphops\&.n\fR
struct::graph::op
.RE
connected fifos
.RS
.TP
\fBfiles/modules/virtchannel_base/tcllib_fifo2\&.n\fR
tcl::chan::fifo2
.RE
connection
.RS
.TP
\fBfiles/modules/transfer/connect\&.n\fR
transfer::connect
.RE
constants
.RS
.TP
\fBfiles/modules/math/constants\&.n\fR
math::constants
.TP
\fBfiles/modules/units/units\&.n\fR
units
.RE
CONTAINER
.RS
.TP
\fBfiles/modules/pt/pt_peg_export_container\&.n\fR
pt::peg::export::container
.TP
\fBfiles/modules/pt/pt_peg_to_container\&.n\fR
pt::peg::to::container
.RE
contents
.RS
.TP
\fBfiles/modules/doctools2toc/toc_introduction\&.n\fR
doctools2toc_introduction
.RE
context-free grammar
.RS
.TP
\fBfiles/modules/grammar_me/me_intro\&.n\fR
grammar::me_intro
.RE
context-free languages
.RS
.TP
\fBfiles/modules/grammar_me/me_intro\&.n\fR
grammar::me_intro
.TP
\fBfiles/modules/grammar_peg/peg\&.n\fR
grammar::peg
.TP
\fBfiles/modules/grammar_peg/peg_interp\&.n\fR
grammar::peg::interp
.TP
\fBfiles/apps/pt\&.n\fR
pt
.TP
\fBfiles/modules/pt/pt_astree\&.n\fR
pt::ast
.TP
\fBfiles/modules/pt/pt_cparam_config_critcl\&.n\fR
pt::cparam::configuration::critcl
.TP
\fBfiles/modules/pt/pt_cparam_config_tea\&.n\fR
pt::cparam::configuration::tea
.TP
\fBfiles/modules/pt/pt_json_language\&.n\fR
pt::json_language
.TP
\fBfiles/modules/pt/pt_param\&.n\fR
pt::param
.TP
\fBfiles/modules/pt/pt_pexpression\&.n\fR
pt::pe
.TP
\fBfiles/modules/pt/pt_pexpr_op\&.n\fR
pt::pe::op
.TP
\fBfiles/modules/pt/pt_pegrammar\&.n\fR
pt::peg
.TP
\fBfiles/modules/pt/pt_peg_container\&.n\fR
pt::peg::container
.TP
\fBfiles/modules/pt/pt_peg_container_peg\&.n\fR
pt::peg::container::peg
.TP
\fBfiles/modules/pt/pt_peg_export\&.n\fR
pt::peg::export
.TP
\fBfiles/modules/pt/pt_peg_export_container\&.n\fR
pt::peg::export::container
.TP
\fBfiles/modules/pt/pt_peg_export_json\&.n\fR
pt::peg::export::json
.TP
\fBfiles/modules/pt/pt_peg_export_peg\&.n\fR
pt::peg::export::peg
.TP
\fBfiles/modules/pt/pt_peg_from_container\&.n\fR
pt::peg::from::container
.TP
\fBfiles/modules/pt/pt_peg_from_json\&.n\fR
pt::peg::from::json
.TP
\fBfiles/modules/pt/pt_peg_from_peg\&.n\fR
pt::peg::from::peg
.TP
\fBfiles/modules/pt/pt_peg_import\&.n\fR
pt::peg::import
.TP
\fBfiles/modules/pt/pt_peg_import_container\&.n\fR
pt::peg::import::container
.TP
\fBfiles/modules/pt/pt_peg_import_json\&.n\fR
pt::peg::import::json
.TP
\fBfiles/modules/pt/pt_peg_import_peg\&.n\fR
pt::peg::import::peg
.TP
\fBfiles/modules/pt/pt_peg_interp\&.n\fR
pt::peg::interp
.TP
\fBfiles/modules/pt/pt_peg_to_container\&.n\fR
pt::peg::to::container
.TP
\fBfiles/modules/pt/pt_peg_to_cparam\&.n\fR
pt::peg::to::cparam
.TP
\fBfiles/modules/pt/pt_peg_to_json\&.n\fR
pt::peg::to::json
.TP
\fBfiles/modules/pt/pt_peg_to_param\&.n\fR
pt::peg::to::param
.TP
\fBfiles/modules/pt/pt_peg_to_peg\&.n\fR
pt::peg::to::peg
.TP
\fBfiles/modules/pt/pt_peg_to_tclparam\&.n\fR
pt::peg::to::tclparam
.TP
\fBfiles/modules/pt/pt_peg_language\&.n\fR
pt::peg_language
.TP
\fBfiles/modules/pt/pt_peg_introduction\&.n\fR
pt::pegrammar
.TP
\fBfiles/modules/pt/pt_pgen\&.n\fR
pt::pgen
.TP
\fBfiles/modules/pt/pt_rdengine\&.n\fR
pt::rde
.TP
\fBfiles/modules/pt/pt_tclparam_config_snit\&.n\fR
pt::tclparam::configuration::snit
.TP
\fBfiles/modules/pt/pt_tclparam_config_tcloo\&.n\fR
pt::tclparam::configuration::tcloo
.TP
\fBfiles/modules/pt/pt_util\&.n\fR
pt::util
.TP
\fBfiles/modules/pt/pt_to_api\&.n\fR
pt_export_api
.TP
\fBfiles/modules/pt/pt_from_api\&.n\fR
pt_import_api
.TP
\fBfiles/modules/pt/pt_introduction\&.n\fR
pt_introduction
.TP
\fBfiles/modules/pt/pt_parse_peg\&.n\fR
pt_parse_peg
.TP
\fBfiles/modules/pt/pt_parser_api\&.n\fR
pt_parser_api
.TP
\fBfiles/modules/pt/pt_peg_op\&.n\fR
pt_peg_op
.RE
control
.RS
.TP
\fBfiles/modules/control/control\&.n\fR
control
.TP
\fBfiles/modules/term/term\&.n\fR
term
.TP
\fBfiles/modules/term/ansi_code\&.n\fR
term::ansi::code
.TP
\fBfiles/modules/term/ansi_cattr\&.n\fR
term::ansi::code::attr
.TP
\fBfiles/modules/term/ansi_cctrl\&.n\fR
term::ansi::code::ctrl
.TP
\fBfiles/modules/term/ansi_cmacros\&.n\fR
term::ansi::code::macros
.TP
\fBfiles/modules/term/ansi_ctrlu\&.n\fR
term::ansi::ctrl::unix
.TP
\fBfiles/modules/term/ansi_send\&.n\fR
term::ansi::send
.TP
\fBfiles/modules/term/imenu\&.n\fR
term::interact::menu
.TP
\fBfiles/modules/term/ipager\&.n\fR
term::interact::pager
.TP
\fBfiles/modules/term/receive\&.n\fR
term::receive
.TP
\fBfiles/modules/term/term_bind\&.n\fR
term::receive::bind
.TP
\fBfiles/modules/term/term_send\&.n\fR
term::send
.RE
control structure
.RS
.TP
\fBfiles/modules/generator/generator\&.n\fR
generator
.RE
conversion
.RS
.TP
\fBfiles/modules/doctools/doctools\&.n\fR
doctools
.TP
\fBfiles/modules/doctools2idx/idx_introduction\&.n\fR
doctools2idx_introduction
.TP
\fBfiles/modules/doctools2toc/toc_introduction\&.n\fR
doctools2toc_introduction
.TP
\fBfiles/modules/doctools2idx/idx_container\&.n\fR
doctools::idx
.TP
\fBfiles/modules/doctools/docidx\&.n\fR
doctools::idx
.TP
\fBfiles/modules/doctools2idx/idx_export\&.n\fR
doctools::idx::export
.TP
\fBfiles/modules/doctools2idx/idx_import\&.n\fR
doctools::idx::import
.TP
\fBfiles/modules/doctools/doctoc\&.n\fR
doctools::toc
.TP
\fBfiles/modules/doctools2toc/toc_container\&.n\fR
doctools::toc
.TP
\fBfiles/modules/doctools2toc/toc_export\&.n\fR
doctools::toc::export
.TP
\fBfiles/modules/doctools2toc/toc_import\&.n\fR
doctools::toc::import
.TP
\fBfiles/apps/dtplite\&.n\fR
dtplite
.TP
\fBfiles/modules/dtplite/pkg_dtplite\&.n\fR
dtplite
.TP
\fBfiles/modules/math/roman\&.n\fR
math::roman
.TP
\fBfiles/modules/doctools/mpexpand\&.n\fR
mpexpand
.TP
\fBfiles/modules/pt/pt_peg_from_json\&.n\fR
pt::peg::from::json
.TP
\fBfiles/modules/pt/pt_peg_from_peg\&.n\fR
pt::peg::from::peg
.TP
\fBfiles/modules/pt/pt_peg_to_container\&.n\fR
pt::peg::to::container
.TP
\fBfiles/modules/pt/pt_peg_to_cparam\&.n\fR
pt::peg::to::cparam
.TP
\fBfiles/modules/pt/pt_peg_to_json\&.n\fR
pt::peg::to::json
.TP
\fBfiles/modules/pt/pt_peg_to_param\&.n\fR
pt::peg::to::param
.TP
\fBfiles/modules/pt/pt_peg_to_peg\&.n\fR
pt::peg::to::peg
.TP
\fBfiles/modules/pt/pt_peg_to_tclparam\&.n\fR
pt::peg::to::tclparam
.TP
\fBfiles/apps/tcldocstrip\&.n\fR
tcldocstrip
.TP
\fBfiles/modules/units/units\&.n\fR
units
.RE
cooked
.RS
.TP
\fBfiles/modules/term/ansi_ctrlu\&.n\fR
term::ansi::ctrl::unix
.RE
cookie
.RS
.TP
\fBfiles/modules/ncgi/ncgi\&.n\fR
ncgi
.RE
copy
.RS
.TP
\fBfiles/modules/fileutil/multi\&.n\fR
fileutil::multi
.TP
\fBfiles/modules/fileutil/multiop\&.n\fR
fileutil::multi::op
.TP
\fBfiles/modules/transfer/copyops\&.n\fR
transfer::copy
.TP
\fBfiles/modules/transfer/tqueue\&.n\fR
transfer::copy::queue
.TP
\fBfiles/modules/transfer/ddest\&.n\fR
transfer::data::destination
.TP
\fBfiles/modules/transfer/dsource\&.n\fR
transfer::data::source
.TP
\fBfiles/modules/transfer/receiver\&.n\fR
transfer::receiver
.TP
\fBfiles/modules/transfer/transmitter\&.n\fR
transfer::transmitter
.RE
coroutine
.RS
.TP
\fBfiles/modules/coroutine/tcllib_coroutine\&.n\fR
coroutine
.TP
\fBfiles/modules/coroutine/coro_auto\&.n\fR
coroutine::auto
.TP
\fBfiles/modules/generator/generator\&.n\fR
generator
.RE
Cost
.RS
.TP
\fBfiles/modules/treeql/treeql\&.n\fR
treeql
.RE
counter
.RS
.TP
\fBfiles/modules/virtchannel_transform/vt_counter\&.n\fR
tcl::transform::counter
.RE
counting
.RS
.TP
\fBfiles/modules/counter/counter\&.n\fR
counter
.RE
CPARAM
.RS
.TP
\fBfiles/modules/pt/pt_peg_to_cparam\&.n\fR
pt::peg::to::cparam
.RE
crc
.RS
.TP
\fBfiles/modules/crc/cksum\&.n\fR
cksum
.TP
\fBfiles/modules/crc/crc16\&.n\fR
crc16
.TP
\fBfiles/modules/crc/crc32\&.n\fR
crc32
.TP
\fBfiles/modules/crc/sum\&.n\fR
sum
.RE
crc16
.RS
.TP
\fBfiles/modules/crc/crc16\&.n\fR
crc16
.RE
crc32
.RS
.TP
\fBfiles/modules/crc/cksum\&.n\fR
cksum
.TP
\fBfiles/modules/crc/crc16\&.n\fR
crc16
.TP
\fBfiles/modules/crc/crc32\&.n\fR
crc32
.TP
\fBfiles/modules/crc/sum\&.n\fR
sum
.TP
\fBfiles/modules/virtchannel_transform/vt_crc32\&.n\fR
tcl::transform::crc32
.RE
credit card
.RS
.TP
\fBfiles/modules/valtype/cc_amex\&.n\fR
valtype::creditcard::amex
.TP
\fBfiles/modules/valtype/cc_discover\&.n\fR
valtype::creditcard::discover
.TP
\fBfiles/modules/valtype/cc_mastercard\&.n\fR
valtype::creditcard::mastercard
.TP
\fBfiles/modules/valtype/cc_visa\&.n\fR
valtype::creditcard::visa
.RE
cron
.RS
.TP
\fBfiles/modules/cron/cron\&.n\fR
cron
.RE
cryptography
.RS
.TP
\fBfiles/modules/blowfish/blowfish\&.n\fR
blowfish
.RE
CSS
.RS
.TP
\fBfiles/modules/doctools2base/html_cssdefaults\&.n\fR
doctools::html::cssdefaults
.RE
csv
.RS
.TP
\fBfiles/modules/bench/bench_read\&.n\fR
bench::in
.TP
\fBfiles/modules/bench/bench_wcsv\&.n\fR
bench::out::csv
.TP
\fBfiles/modules/csv/csv\&.n\fR
csv
.RE
currying
.RS
.TP
\fBfiles/modules/lambda/lambda\&.n\fR
lambda
.TP
\fBfiles/modules/tool/meta\&.n\fR
oo::util
.TP
\fBfiles/modules/ooutil/ooutil\&.n\fR
oo::util
.RE
cut edge
.RS
.TP
\fBfiles/modules/struct/graphops\&.n\fR
struct::graph::op
.RE
cut vertex
.RS
.TP
\fBfiles/modules/struct/graphops\&.n\fR
struct::graph::op
.RE
CVS
.RS
.TP
\fBfiles/modules/rcs/rcs\&.n\fR
rcs
.RE
cvs
.RS
.TP
\fBfiles/modules/doctools/cvs\&.n\fR
doctools::cvs
.RE
cvs log
.RS
.TP
\fBfiles/modules/doctools/cvs\&.n\fR
doctools::cvs
.RE
cyclic redundancy check
.RS
.TP
\fBfiles/modules/crc/cksum\&.n\fR
cksum
.TP
\fBfiles/modules/crc/crc16\&.n\fR
crc16
.TP
\fBfiles/modules/crc/crc32\&.n\fR
crc32
.TP
\fBfiles/modules/crc/sum\&.n\fR
sum
.RE
data analysis
.RS
.TP
\fBfiles/modules/math/statistics\&.n\fR
math::statistics
.RE
data destination
.RS
.TP
\fBfiles/modules/transfer/ddest\&.n\fR
transfer::data::destination
.TP
\fBfiles/modules/transfer/receiver\&.n\fR
transfer::receiver
.RE
data entry form
.RS
.TP
\fBfiles/modules/tepam/tepam_argument_dialogbox\&.n\fR
tepam::argument_dialogbox
.RE
data exchange
.RS
.TP
\fBfiles/modules/yaml/huddle\&.n\fR
huddle
.TP
\fBfiles/modules/json/json\&.n\fR
json
.TP
\fBfiles/modules/json/json_write\&.n\fR
json::write
.TP
\fBfiles/modules/yaml/yaml\&.n\fR
yaml
.RE
data integrity
.RS
.TP
\fBfiles/modules/aes/aes\&.n\fR
aes
.TP
\fBfiles/modules/crc/cksum\&.n\fR
cksum
.TP
\fBfiles/modules/crc/crc16\&.n\fR
crc16
.TP
\fBfiles/modules/crc/crc32\&.n\fR
crc32
.TP
\fBfiles/modules/des/des\&.n\fR
des
.TP
\fBfiles/modules/pki/pki\&.n\fR
pki
.TP
\fBfiles/modules/rc4/rc4\&.n\fR
rc4
.TP
\fBfiles/modules/crc/sum\&.n\fR
sum
.TP
\fBfiles/modules/des/tcldesjr\&.n\fR
tcldes
.TP
\fBfiles/modules/des/tcldes\&.n\fR
tcldes
.RE
data source
.RS
.TP
\fBfiles/modules/transfer/dsource\&.n\fR
transfer::data::source
.TP
\fBfiles/modules/transfer/transmitter\&.n\fR
transfer::transmitter
.RE
data structures
.RS
.TP
\fBfiles/modules/struct/record\&.n\fR
struct::record
.RE
database
.RS
.TP
\fBfiles/modules/tie/tie\&.n\fR
tie
.TP
\fBfiles/modules/tie/tie_std\&.n\fR
tie
.RE
dataflow
.RS
.TP
\fBfiles/modules/page/page_util_flow\&.n\fR
page_util_flow
.RE
DE
.RS
.TP
\fBfiles/modules/doctools2idx/idx_msgcat_de\&.n\fR
doctools::msgcat::idx::de
.TP
\fBfiles/modules/doctools2toc/toc_msgcat_de\&.n\fR
doctools::msgcat::toc::de
.RE
debug
.RS
.TP
\fBfiles/modules/debug/debug\&.n\fR
debug
.TP
\fBfiles/modules/debug/debug_caller\&.n\fR
debug::caller
.TP
\fBfiles/modules/debug/debug_heartbeat\&.n\fR
debug::heartbeat
.TP
\fBfiles/modules/debug/debug_timestamp\&.n\fR
debug::timestamp
.RE
decimal
.RS
.TP
\fBfiles/modules/math/decimal\&.n\fR
math::decimal
.RE
declare
.RS
.TP
\fBfiles/modules/term/ansi_code\&.n\fR
term::ansi::code
.RE
decompression
.RS
.TP
\fBfiles/modules/virtchannel_transform/tcllib_zlib\&.n\fR
tcl::transform::zlib
.TP
\fBfiles/modules/zip/decode\&.n\fR
zipfile::decode
.TP
\fBfiles/modules/zip/mkzip\&.n\fR
zipfile::mkzip
.RE
decryption
.RS
.TP
\fBfiles/modules/virtchannel_transform/vt_otp\&.n\fR
tcl::transform::otp
.TP
\fBfiles/modules/virtchannel_transform/rot\&.n\fR
tcl::transform::rot
.RE
deferal
.RS
.TP
\fBfiles/modules/uev/uevent_onidle\&.n\fR
uevent::onidle
.RE
define
.RS
.TP
\fBfiles/modules/term/ansi_code\&.n\fR
term::ansi::code
.RE
degree
.RS
.TP
\fBfiles/modules/struct/graph\&.n\fR
struct::graph
.TP
\fBfiles/modules/struct/graphops\&.n\fR
struct::graph::op
.RE
degree constrained spanning tree
.RS
.TP
\fBfiles/modules/struct/graphops\&.n\fR
struct::graph::op
.RE
degrees
.RS
.TP
\fBfiles/modules/math/constants\&.n\fR
math::constants
.RE
delegation
.RS
.TP
\fBfiles/modules/interp/deleg_method\&.n\fR
deleg_method
.TP
\fBfiles/modules/interp/deleg_proc\&.n\fR
deleg_proc
.RE
depth-first
.RS
.TP
\fBfiles/modules/struct/struct_tree\&.n\fR
struct::tree
.RE
der
.RS
.TP
\fBfiles/modules/asn/asn\&.n\fR
asn
.RE
DES
.RS
.TP
\fBfiles/modules/des/des\&.n\fR
des
.TP
\fBfiles/modules/des/tcldesjr\&.n\fR
tcldes
.TP
\fBfiles/modules/des/tcldes\&.n\fR
tcldes
.RE
deserialization
.RS
.TP
\fBfiles/modules/doctools2idx/import_docidx\&.n\fR
doctools::idx::import::docidx
.TP
\fBfiles/modules/doctools2idx/idx_import_json\&.n\fR
doctools::idx::import::json
.TP
\fBfiles/modules/doctools2idx/idx_structure\&.n\fR
doctools::idx::structure
.TP
\fBfiles/modules/doctools2toc/import_doctoc\&.n\fR
doctools::toc::import::doctoc
.TP
\fBfiles/modules/doctools2toc/toc_import_json\&.n\fR
doctools::toc::import::json
.TP
\fBfiles/modules/doctools2toc/toc_structure\&.n\fR
doctools::toc::structure
.RE
diameter
.RS
.TP
\fBfiles/modules/struct/graphops\&.n\fR
struct::graph::op
.RE
dict
.RS
.TP
\fBfiles/modules/dicttool/dicttool\&.n\fR
dicttool
.RE
diff
.RS
.TP
\fBfiles/modules/docstrip/docstrip_util\&.n\fR
docstrip_util
.TP
\fBfiles/modules/struct/struct_list\&.n\fR
struct::list
.RE
diff -n format
.RS
.TP
\fBfiles/modules/rcs/rcs\&.n\fR
rcs
.RE
difference
.RS
.TP
\fBfiles/modules/struct/struct_set\&.n\fR
struct::set
.RE
differential
.RS
.TP
\fBfiles/modules/struct/struct_list\&.n\fR
struct::list
.RE
differential equations
.RS
.TP
\fBfiles/modules/math/calculus\&.n\fR
math::calculus
.RE
dijkstra
.RS
.TP
\fBfiles/modules/struct/graphops\&.n\fR
struct::graph::op
.RE
directory access
.RS
.TP
\fBfiles/modules/ldap/ldap\&.n\fR
ldap
.TP
\fBfiles/modules/ldap/ldapx\&.n\fR
ldapx
.RE
directory traversal
.RS
.TP
\fBfiles/modules/fileutil/traverse\&.n\fR
fileutil_traverse
.RE
Discover
.RS
.TP
\fBfiles/modules/valtype/cc_discover\&.n\fR
valtype::creditcard::discover
.RE
discrete items
.RS
.TP
\fBfiles/modules/struct/pool\&.n\fR
struct::pool
.RE
disjoint set
.RS
.TP
\fBfiles/modules/struct/disjointset\&.n\fR
struct::disjointset
.RE
dispatcher
.RS
.TP
\fBfiles/modules/term/term_bind\&.n\fR
term::receive::bind
.RE
distance
.RS
.TP
\fBfiles/modules/math/math_geometry\&.n\fR
math::geometry
.TP
\fBfiles/modules/struct/graphops\&.n\fR
struct::graph::op
.TP
\fBfiles/modules/units/units\&.n\fR
units
.RE
DNS
.RS
.TP
\fBfiles/modules/dns/tcllib_dns\&.n\fR
dns
.RE
do
.RS
.TP
\fBfiles/modules/control/control\&.n\fR
control
.RE
docidx
.RS
.TP
\fBfiles/modules/doctools/docidx\&.n\fR
doctools::idx
.TP
\fBfiles/modules/doctools2idx/idx_export\&.n\fR
doctools::idx::export
.TP
\fBfiles/modules/doctools2idx/export_docidx\&.n\fR
doctools::idx::export::docidx
.TP
\fBfiles/modules/doctools2idx/idx_import\&.n\fR
doctools::idx::import
.TP
\fBfiles/modules/doctools2idx/import_docidx\&.n\fR
doctools::idx::import::docidx
.TP
\fBfiles/modules/doctools2idx/idx_parse\&.n\fR
doctools::idx::parse
.TP
\fBfiles/modules/doctools2idx/idx_structure\&.n\fR
doctools::idx::structure
.TP
\fBfiles/modules/doctools2base/tcllib_msgcat\&.n\fR
doctools::msgcat
.TP
\fBfiles/modules/doctools2idx/idx_msgcat_c\&.n\fR
doctools::msgcat::idx::c
.TP
\fBfiles/modules/doctools2idx/idx_msgcat_de\&.n\fR
doctools::msgcat::idx::de
.TP
\fBfiles/modules/doctools2idx/idx_msgcat_en\&.n\fR
doctools::msgcat::idx::en
.TP
\fBfiles/modules/doctools2idx/idx_msgcat_fr\&.n\fR
doctools::msgcat::idx::fr
.TP
\fBfiles/apps/dtplite\&.n\fR
dtplite
.TP
\fBfiles/modules/dtplite/pkg_dtplite\&.n\fR
dtplite
.RE
docidx commands
.RS
.TP
\fBfiles/modules/doctools/docidx_lang_cmdref\&.n\fR
docidx_lang_cmdref
.TP
\fBfiles/modules/doctools/docidx_lang_faq\&.n\fR
docidx_lang_faq
.TP
\fBfiles/modules/doctools/docidx_lang_intro\&.n\fR
docidx_lang_intro
.TP
\fBfiles/modules/doctools/docidx_lang_syntax\&.n\fR
docidx_lang_syntax
.RE
docidx language
.RS
.TP
\fBfiles/modules/doctools/docidx_lang_cmdref\&.n\fR
docidx_lang_cmdref
.TP
\fBfiles/modules/doctools/docidx_lang_faq\&.n\fR
docidx_lang_faq
.TP
\fBfiles/modules/doctools/docidx_lang_intro\&.n\fR
docidx_lang_intro
.TP
\fBfiles/modules/doctools/docidx_lang_syntax\&.n\fR
docidx_lang_syntax
.RE
docidx markup
.RS
.TP
\fBfiles/modules/doctools/docidx_lang_cmdref\&.n\fR
docidx_lang_cmdref
.TP
\fBfiles/modules/doctools/docidx_lang_faq\&.n\fR
docidx_lang_faq
.TP
\fBfiles/modules/doctools/docidx_lang_intro\&.n\fR
docidx_lang_intro
.TP
\fBfiles/modules/doctools/docidx_lang_syntax\&.n\fR
docidx_lang_syntax
.TP
\fBfiles/modules/doctools2idx/idx_container\&.n\fR
doctools::idx
.RE
docidx syntax
.RS
.TP
\fBfiles/modules/doctools/docidx_lang_faq\&.n\fR
docidx_lang_faq
.TP
\fBfiles/modules/doctools/docidx_lang_intro\&.n\fR
docidx_lang_intro
.TP
\fBfiles/modules/doctools/docidx_lang_syntax\&.n\fR
docidx_lang_syntax
.RE
docstrip
.RS
.TP
\fBfiles/modules/docstrip/docstrip\&.n\fR
docstrip
.TP
\fBfiles/modules/docstrip/docstrip_util\&.n\fR
docstrip_util
.TP
\fBfiles/apps/tcldocstrip\&.n\fR
tcldocstrip
.RE
doctoc
.RS
.TP
\fBfiles/modules/doctools2base/tcllib_msgcat\&.n\fR
doctools::msgcat
.TP
\fBfiles/modules/doctools2toc/toc_msgcat_c\&.n\fR
doctools::msgcat::toc::c
.TP
\fBfiles/modules/doctools2toc/toc_msgcat_de\&.n\fR
doctools::msgcat::toc::de
.TP
\fBfiles/modules/doctools2toc/toc_msgcat_en\&.n\fR
doctools::msgcat::toc::en
.TP
\fBfiles/modules/doctools2toc/toc_msgcat_fr\&.n\fR
doctools::msgcat::toc::fr
.TP
\fBfiles/modules/doctools/doctoc\&.n\fR
doctools::toc
.TP
\fBfiles/modules/doctools2toc/toc_export\&.n\fR
doctools::toc::export
.TP
\fBfiles/modules/doctools2toc/export_doctoc\&.n\fR
doctools::toc::export::doctoc
.TP
\fBfiles/modules/doctools2toc/toc_import\&.n\fR
doctools::toc::import
.TP
\fBfiles/modules/doctools2toc/import_doctoc\&.n\fR
doctools::toc::import::doctoc
.TP
\fBfiles/modules/doctools2toc/toc_parse\&.n\fR
doctools::toc::parse
.TP
\fBfiles/modules/doctools2toc/toc_structure\&.n\fR
doctools::toc::structure
.TP
\fBfiles/apps/dtplite\&.n\fR
dtplite
.TP
\fBfiles/modules/dtplite/pkg_dtplite\&.n\fR
dtplite
.RE
doctoc commands
.RS
.TP
\fBfiles/modules/doctools/doctoc_lang_cmdref\&.n\fR
doctoc_lang_cmdref
.TP
\fBfiles/modules/doctools/doctoc_lang_faq\&.n\fR
doctoc_lang_faq
.TP
\fBfiles/modules/doctools/doctoc_lang_intro\&.n\fR
doctoc_lang_intro
.TP
\fBfiles/modules/doctools/doctoc_lang_syntax\&.n\fR
doctoc_lang_syntax
.RE
doctoc language
.RS
.TP
\fBfiles/modules/doctools/doctoc_lang_cmdref\&.n\fR
doctoc_lang_cmdref
.TP
\fBfiles/modules/doctools/doctoc_lang_faq\&.n\fR
doctoc_lang_faq
.TP
\fBfiles/modules/doctools/doctoc_lang_intro\&.n\fR
doctoc_lang_intro
.TP
\fBfiles/modules/doctools/doctoc_lang_syntax\&.n\fR
doctoc_lang_syntax
.RE
doctoc markup
.RS
.TP
\fBfiles/modules/doctools/doctoc_lang_cmdref\&.n\fR
doctoc_lang_cmdref
.TP
\fBfiles/modules/doctools/doctoc_lang_faq\&.n\fR
doctoc_lang_faq
.TP
\fBfiles/modules/doctools/doctoc_lang_intro\&.n\fR
doctoc_lang_intro
.TP
\fBfiles/modules/doctools/doctoc_lang_syntax\&.n\fR
doctoc_lang_syntax
.TP
\fBfiles/modules/doctools2toc/toc_container\&.n\fR
doctools::toc
.RE
doctoc syntax
.RS
.TP
\fBfiles/modules/doctools/doctoc_lang_faq\&.n\fR
doctoc_lang_faq
.TP
\fBfiles/modules/doctools/doctoc_lang_intro\&.n\fR
doctoc_lang_intro
.TP
\fBfiles/modules/doctools/doctoc_lang_syntax\&.n\fR
doctoc_lang_syntax
.RE
doctools
.RS
.TP
\fBfiles/modules/docstrip/docstrip_util\&.n\fR
docstrip_util
.TP
\fBfiles/modules/doctools/changelog\&.n\fR
doctools::changelog
.TP
\fBfiles/modules/doctools2base/html_cssdefaults\&.n\fR
doctools::html::cssdefaults
.TP
\fBfiles/modules/doctools2idx/export_docidx\&.n\fR
doctools::idx::export::docidx
.TP
\fBfiles/modules/doctools2idx/idx_export_html\&.n\fR
doctools::idx::export::html
.TP
\fBfiles/modules/doctools2idx/idx_export_json\&.n\fR
doctools::idx::export::json
.TP
\fBfiles/modules/doctools2idx/idx_export_nroff\&.n\fR
doctools::idx::export::nroff
.TP
\fBfiles/modules/doctools2idx/idx_export_text\&.n\fR
doctools::idx::export::text
.TP
\fBfiles/modules/doctools2idx/idx_export_wiki\&.n\fR
doctools::idx::export::wiki
.TP
\fBfiles/modules/doctools2idx/import_docidx\&.n\fR
doctools::idx::import::docidx
.TP
\fBfiles/modules/doctools2idx/idx_import_json\&.n\fR
doctools::idx::import::json
.TP
\fBfiles/modules/doctools2idx/idx_parse\&.n\fR
doctools::idx::parse
.TP
\fBfiles/modules/doctools2idx/idx_structure\&.n\fR
doctools::idx::structure
.TP
\fBfiles/modules/doctools2base/tcllib_msgcat\&.n\fR
doctools::msgcat
.TP
\fBfiles/modules/doctools2idx/idx_msgcat_c\&.n\fR
doctools::msgcat::idx::c
.TP
\fBfiles/modules/doctools2idx/idx_msgcat_de\&.n\fR
doctools::msgcat::idx::de
.TP
\fBfiles/modules/doctools2idx/idx_msgcat_en\&.n\fR
doctools::msgcat::idx::en
.TP
\fBfiles/modules/doctools2idx/idx_msgcat_fr\&.n\fR
doctools::msgcat::idx::fr
.TP
\fBfiles/modules/doctools2toc/toc_msgcat_c\&.n\fR
doctools::msgcat::toc::c
.TP
\fBfiles/modules/doctools2toc/toc_msgcat_de\&.n\fR
doctools::msgcat::toc::de
.TP
\fBfiles/modules/doctools2toc/toc_msgcat_en\&.n\fR
doctools::msgcat::toc::en
.TP
\fBfiles/modules/doctools2toc/toc_msgcat_fr\&.n\fR
doctools::msgcat::toc::fr
.TP
\fBfiles/modules/doctools2base/nroff_manmacros\&.n\fR
doctools::nroff::man_macros
.TP
\fBfiles/modules/doctools2base/tcl_parse\&.n\fR
doctools::tcl::parse
.TP
\fBfiles/modules/doctools2toc/export_doctoc\&.n\fR
doctools::toc::export::doctoc
.TP
\fBfiles/modules/doctools2toc/toc_export_html\&.n\fR
doctools::toc::export::html
.TP
\fBfiles/modules/doctools2toc/toc_export_json\&.n\fR
doctools::toc::export::json
.TP
\fBfiles/modules/doctools2toc/toc_export_nroff\&.n\fR
doctools::toc::export::nroff
.TP
\fBfiles/modules/doctools2toc/toc_export_text\&.n\fR
doctools::toc::export::text
.TP
\fBfiles/modules/doctools2toc/toc_export_wiki\&.n\fR
doctools::toc::export::wiki
.TP
\fBfiles/modules/doctools2toc/import_doctoc\&.n\fR
doctools::toc::import::doctoc
.TP
\fBfiles/modules/doctools2toc/toc_import_json\&.n\fR
doctools::toc::import::json
.TP
\fBfiles/modules/doctools2toc/toc_parse\&.n\fR
doctools::toc::parse
.TP
\fBfiles/modules/doctools2toc/toc_structure\&.n\fR
doctools::toc::structure
.TP
\fBfiles/apps/dtplite\&.n\fR
dtplite
.TP
\fBfiles/modules/dtplite/pkg_dtplite\&.n\fR
dtplite
.RE
doctools commands
.RS
.TP
\fBfiles/modules/doctools/doctools_lang_cmdref\&.n\fR
doctools_lang_cmdref
.TP
\fBfiles/modules/doctools/doctools_lang_faq\&.n\fR
doctools_lang_faq
.TP
\fBfiles/modules/doctools/doctools_lang_intro\&.n\fR
doctools_lang_intro
.TP
\fBfiles/modules/doctools/doctools_lang_syntax\&.n\fR
doctools_lang_syntax
.RE
doctools language
.RS
.TP
\fBfiles/modules/doctools/doctools_lang_cmdref\&.n\fR
doctools_lang_cmdref
.TP
\fBfiles/modules/doctools/doctools_lang_faq\&.n\fR
doctools_lang_faq
.TP
\fBfiles/modules/doctools/doctools_lang_intro\&.n\fR
doctools_lang_intro
.TP
\fBfiles/modules/doctools/doctools_lang_syntax\&.n\fR
doctools_lang_syntax
.RE
doctools markup
.RS
.TP
\fBfiles/modules/doctools/doctools_lang_cmdref\&.n\fR
doctools_lang_cmdref
.TP
\fBfiles/modules/doctools/doctools_lang_faq\&.n\fR
doctools_lang_faq
.TP
\fBfiles/modules/doctools/doctools_lang_intro\&.n\fR
doctools_lang_intro
.TP
\fBfiles/modules/doctools/doctools_lang_syntax\&.n\fR
doctools_lang_syntax
.RE
doctools syntax
.RS
.TP
\fBfiles/modules/doctools/doctools_lang_faq\&.n\fR
doctools_lang_faq
.TP
\fBfiles/modules/doctools/doctools_lang_intro\&.n\fR
doctools_lang_intro
.TP
\fBfiles/modules/doctools/doctools_lang_syntax\&.n\fR
doctools_lang_syntax
.RE
document
.RS
.TP
\fBfiles/modules/doctools/doctools_plugin_apiref\&.n\fR
doctools_plugin_apiref
.RE
documentation
.RS
.TP
\fBfiles/modules/docstrip/docstrip\&.n\fR
docstrip
.TP
\fBfiles/modules/docstrip/docstrip_util\&.n\fR
docstrip_util
.TP
\fBfiles/modules/doctools/doctools\&.n\fR
doctools
.TP
\fBfiles/modules/doctools2idx/idx_container\&.n\fR
doctools::idx
.TP
\fBfiles/modules/doctools/docidx\&.n\fR
doctools::idx
.TP
\fBfiles/modules/doctools2idx/idx_export\&.n\fR
doctools::idx::export
.TP
\fBfiles/modules/doctools2idx/idx_import\&.n\fR
doctools::idx::import
.TP
\fBfiles/modules/doctools/doctoc\&.n\fR
doctools::toc
.TP
\fBfiles/modules/doctools2toc/toc_container\&.n\fR
doctools::toc
.TP
\fBfiles/modules/doctools2toc/toc_export\&.n\fR
doctools::toc::export
.TP
\fBfiles/modules/doctools2toc/toc_import\&.n\fR
doctools::toc::import
.TP
\fBfiles/apps/tcldocstrip\&.n\fR
tcldocstrip
.TP
\fBfiles/modules/tepam/tepam_doc_gen\&.n\fR
tepam::doc_gen
.RE
DOM
.RS
.TP
\fBfiles/modules/treeql/treeql\&.n\fR
treeql
.RE
dom
.RS
.TP
\fBfiles/modules/amazon-s3/xsxp\&.n\fR
xsxp
.RE
domain name service
.RS
.TP
\fBfiles/modules/dns/tcllib_dns\&.n\fR
dns
.RE
e
.RS
.TP
\fBfiles/modules/math/constants\&.n\fR
math::constants
.RE
EAN
.RS
.TP
\fBfiles/modules/valtype/ean13\&.n\fR
valtype::gs1::ean13
.TP
\fBfiles/modules/valtype/isbn\&.n\fR
valtype::isbn
.RE
EAN13
.RS
.TP
\fBfiles/modules/valtype/ean13\&.n\fR
valtype::gs1::ean13
.TP
\fBfiles/modules/valtype/isbn\&.n\fR
valtype::isbn
.RE
earley
.RS
.TP
\fBfiles/modules/grammar_aycock/aycock\&.n\fR
grammar::aycock
.RE
EBNF
.RS
.TP
\fBfiles/apps/pt\&.n\fR
pt
.TP
\fBfiles/modules/pt/pt_astree\&.n\fR
pt::ast
.TP
\fBfiles/modules/pt/pt_cparam_config_critcl\&.n\fR
pt::cparam::configuration::critcl
.TP
\fBfiles/modules/pt/pt_cparam_config_tea\&.n\fR
pt::cparam::configuration::tea
.TP
\fBfiles/modules/pt/pt_json_language\&.n\fR
pt::json_language
.TP
\fBfiles/modules/pt/pt_param\&.n\fR
pt::param
.TP
\fBfiles/modules/pt/pt_pexpression\&.n\fR
pt::pe
.TP
\fBfiles/modules/pt/pt_pexpr_op\&.n\fR
pt::pe::op
.TP
\fBfiles/modules/pt/pt_pegrammar\&.n\fR
pt::peg
.TP
\fBfiles/modules/pt/pt_peg_container\&.n\fR
pt::peg::container
.TP
\fBfiles/modules/pt/pt_peg_container_peg\&.n\fR
pt::peg::container::peg
.TP
\fBfiles/modules/pt/pt_peg_export\&.n\fR
pt::peg::export
.TP
\fBfiles/modules/pt/pt_peg_export_container\&.n\fR
pt::peg::export::container
.TP
\fBfiles/modules/pt/pt_peg_export_json\&.n\fR
pt::peg::export::json
.TP
\fBfiles/modules/pt/pt_peg_export_peg\&.n\fR
pt::peg::export::peg
.TP
\fBfiles/modules/pt/pt_peg_from_container\&.n\fR
pt::peg::from::container
.TP
\fBfiles/modules/pt/pt_peg_from_json\&.n\fR
pt::peg::from::json
.TP
\fBfiles/modules/pt/pt_peg_from_peg\&.n\fR
pt::peg::from::peg
.TP
\fBfiles/modules/pt/pt_peg_import\&.n\fR
pt::peg::import
.TP
\fBfiles/modules/pt/pt_peg_import_container\&.n\fR
pt::peg::import::container
.TP
\fBfiles/modules/pt/pt_peg_import_json\&.n\fR
pt::peg::import::json
.TP
\fBfiles/modules/pt/pt_peg_import_peg\&.n\fR
pt::peg::import::peg
.TP
\fBfiles/modules/pt/pt_peg_interp\&.n\fR
pt::peg::interp
.TP
\fBfiles/modules/pt/pt_peg_to_container\&.n\fR
pt::peg::to::container
.TP
\fBfiles/modules/pt/pt_peg_to_cparam\&.n\fR
pt::peg::to::cparam
.TP
\fBfiles/modules/pt/pt_peg_to_json\&.n\fR
pt::peg::to::json
.TP
\fBfiles/modules/pt/pt_peg_to_param\&.n\fR
pt::peg::to::param
.TP
\fBfiles/modules/pt/pt_peg_to_peg\&.n\fR
pt::peg::to::peg
.TP
\fBfiles/modules/pt/pt_peg_to_tclparam\&.n\fR
pt::peg::to::tclparam
.TP
\fBfiles/modules/pt/pt_peg_language\&.n\fR
pt::peg_language
.TP
\fBfiles/modules/pt/pt_peg_introduction\&.n\fR
pt::pegrammar
.TP
\fBfiles/modules/pt/pt_pgen\&.n\fR
pt::pgen
.TP
\fBfiles/modules/pt/pt_rdengine\&.n\fR
pt::rde
.TP
\fBfiles/modules/pt/pt_tclparam_config_snit\&.n\fR
pt::tclparam::configuration::snit
.TP
\fBfiles/modules/pt/pt_tclparam_config_tcloo\&.n\fR
pt::tclparam::configuration::tcloo
.TP
\fBfiles/modules/pt/pt_util\&.n\fR
pt::util
.TP
\fBfiles/modules/pt/pt_to_api\&.n\fR
pt_export_api
.TP
\fBfiles/modules/pt/pt_from_api\&.n\fR
pt_import_api
.TP
\fBfiles/modules/pt/pt_introduction\&.n\fR
pt_introduction
.TP
\fBfiles/modules/pt/pt_parse_peg\&.n\fR
pt_parse_peg
.TP
\fBfiles/modules/pt/pt_parser_api\&.n\fR
pt_parser_api
.TP
\fBfiles/modules/pt/pt_peg_op\&.n\fR
pt_peg_op
.RE
eccentricity
.RS
.TP
\fBfiles/modules/struct/graphops\&.n\fR
struct::graph::op
.RE
edge
.RS
.TP
\fBfiles/modules/struct/graph\&.n\fR
struct::graph
.TP
\fBfiles/modules/struct/graphops\&.n\fR
struct::graph::op
.RE
emacs
.RS
.TP
\fBfiles/modules/doctools/changelog\&.n\fR
doctools::changelog
.TP
\fBfiles/modules/doctools/cvs\&.n\fR
doctools::cvs
.RE
email
.RS
.TP
\fBfiles/modules/imap4/imap4\&.n\fR
imap4
.TP
\fBfiles/modules/mime/mime\&.n\fR
mime
.TP
\fBfiles/modules/pop3/pop3\&.n\fR
pop3
.TP
\fBfiles/modules/mime/smtp\&.n\fR
smtp
.RE
emptiness
.RS
.TP
\fBfiles/modules/struct/struct_set\&.n\fR
struct::set
.RE
empty interpreter
.RS
.TP
\fBfiles/modules/interp/tcllib_interp\&.n\fR
interp
.RE
EN
.RS
.TP
\fBfiles/modules/doctools2idx/idx_msgcat_en\&.n\fR
doctools::msgcat::idx::en
.TP
\fBfiles/modules/doctools2toc/toc_msgcat_en\&.n\fR
doctools::msgcat::toc::en
.RE
encoding
.RS
.TP
\fBfiles/modules/base64/ascii85\&.n\fR
ascii85
.TP
\fBfiles/modules/base64/base64\&.n\fR
base64
.TP
\fBfiles/modules/base64/uuencode\&.n\fR
uuencode
.TP
\fBfiles/modules/base64/yencode\&.n\fR
yencode
.RE
encryption
.RS
.TP
\fBfiles/modules/aes/aes\&.n\fR
aes
.TP
\fBfiles/modules/blowfish/blowfish\&.n\fR
blowfish
.TP
\fBfiles/modules/des/des\&.n\fR
des
.TP
\fBfiles/modules/pki/pki\&.n\fR
pki
.TP
\fBfiles/modules/rc4/rc4\&.n\fR
rc4
.TP
\fBfiles/modules/virtchannel_transform/vt_otp\&.n\fR
tcl::transform::otp
.TP
\fBfiles/modules/virtchannel_transform/rot\&.n\fR
tcl::transform::rot
.TP
\fBfiles/modules/des/tcldesjr\&.n\fR
tcldes
.TP
\fBfiles/modules/des/tcldes\&.n\fR
tcldes
.RE
entry mask
.RS
.TP
\fBfiles/modules/tepam/tepam_introduction\&.n\fR
tepam
.RE
equal
.RS
.TP
\fBfiles/modules/struct/struct_list\&.n\fR
struct::list
.RE
equality
.RS
.TP
\fBfiles/modules/struct/struct_list\&.n\fR
struct::list
.RE
equivalence class
.RS
.TP
\fBfiles/modules/struct/disjointset\&.n\fR
struct::disjointset
.RE
error
.RS
.TP
\fBfiles/modules/try/tcllib_try\&.n\fR
try
.TP
\fBfiles/modules/try/tcllib_throw\&.n\fR
try
.RE
error function
.RS
.TP
\fBfiles/modules/math/special\&.n\fR
math::special
.RE
European Article Number
.RS
.TP
\fBfiles/modules/valtype/ean13\&.n\fR
valtype::gs1::ean13
.TP
\fBfiles/modules/valtype/isbn\&.n\fR
valtype::isbn
.RE
event
.RS
.TP
\fBfiles/modules/hook/hook\&.n\fR
hook
.TP
\fBfiles/modules/uev/uevent\&.n\fR
uevent
.TP
\fBfiles/modules/uev/uevent_onidle\&.n\fR
uevent::onidle
.RE
event management
.RS
.TP
\fBfiles/modules/virtchannel_core/events\&.n\fR
tcl::chan::events
.RE
events
.RS
.TP
\fBfiles/modules/coroutine/tcllib_coroutine\&.n\fR
coroutine
.TP
\fBfiles/modules/coroutine/coro_auto\&.n\fR
coroutine::auto
.RE
examples
.RS
.TP
\fBfiles/modules/bench/bench_lang_intro\&.n\fR
bench_lang_intro
.TP
\fBfiles/modules/doctools/docidx_lang_faq\&.n\fR
docidx_lang_faq
.TP
\fBfiles/modules/doctools/doctoc_lang_faq\&.n\fR
doctoc_lang_faq
.TP
\fBfiles/modules/doctools/doctools_lang_faq\&.n\fR
doctools_lang_faq
.RE
exception
.RS
.TP
\fBfiles/modules/try/tcllib_try\&.n\fR
try
.RE
exchange format
.RS
.TP
\fBfiles/modules/yaml/huddle\&.n\fR
huddle
.TP
\fBfiles/modules/json/json\&.n\fR
json
.TP
\fBfiles/modules/json/json_write\&.n\fR
json::write
.RE
exclusion
.RS
.TP
\fBfiles/modules/struct/struct_set\&.n\fR
struct::set
.RE
execution
.RS
.TP
\fBfiles/modules/grammar_fa/dexec\&.n\fR
grammar::fa::dexec
.RE
exif
.RS
.TP
\fBfiles/modules/jpeg/jpeg\&.n\fR
jpeg
.RE
exit
.RS
.TP
\fBfiles/modules/coroutine/tcllib_coroutine\&.n\fR
coroutine
.TP
\fBfiles/modules/coroutine/coro_auto\&.n\fR
coroutine::auto
.RE
export
.RS
.TP
\fBfiles/modules/doctools2base/html_cssdefaults\&.n\fR
doctools::html::cssdefaults
.TP
\fBfiles/modules/doctools2idx/idx_export\&.n\fR
doctools::idx::export
.TP
\fBfiles/modules/doctools2idx/export_docidx\&.n\fR
doctools::idx::export::docidx
.TP
\fBfiles/modules/doctools2idx/idx_export_html\&.n\fR
doctools::idx::export::html
.TP
\fBfiles/modules/doctools2idx/idx_export_json\&.n\fR
doctools::idx::export::json
.TP
\fBfiles/modules/doctools2idx/idx_export_nroff\&.n\fR
doctools::idx::export::nroff
.TP
\fBfiles/modules/doctools2idx/idx_export_text\&.n\fR
doctools::idx::export::text
.TP
\fBfiles/modules/doctools2idx/idx_export_wiki\&.n\fR
doctools::idx::export::wiki
.TP
\fBfiles/modules/doctools2base/nroff_manmacros\&.n\fR
doctools::nroff::man_macros
.TP
\fBfiles/modules/doctools2toc/toc_export\&.n\fR
doctools::toc::export
.TP
\fBfiles/modules/doctools2toc/export_doctoc\&.n\fR
doctools::toc::export::doctoc
.TP
\fBfiles/modules/doctools2toc/toc_export_html\&.n\fR
doctools::toc::export::html
.TP
\fBfiles/modules/doctools2toc/toc_export_json\&.n\fR
doctools::toc::export::json
.TP
\fBfiles/modules/doctools2toc/toc_export_nroff\&.n\fR
doctools::toc::export::nroff
.TP
\fBfiles/modules/doctools2toc/toc_export_text\&.n\fR
doctools::toc::export::text
.TP
\fBfiles/modules/doctools2toc/toc_export_wiki\&.n\fR
doctools::toc::export::wiki
.TP
\fBfiles/modules/pt/pt_peg_export_container\&.n\fR
pt::peg::export::container
.TP
\fBfiles/modules/pt/pt_peg_export_json\&.n\fR
pt::peg::export::json
.TP
\fBfiles/modules/pt/pt_peg_export_peg\&.n\fR
pt::peg::export::peg
.RE
expression
.RS
.TP
\fBfiles/modules/grammar_me/me_intro\&.n\fR
grammar::me_intro
.TP
\fBfiles/modules/grammar_peg/peg\&.n\fR
grammar::peg
.TP
\fBfiles/modules/grammar_peg/peg_interp\&.n\fR
grammar::peg::interp
.TP
\fBfiles/apps/pt\&.n\fR
pt
.TP
\fBfiles/modules/pt/pt_astree\&.n\fR
pt::ast
.TP
\fBfiles/modules/pt/pt_cparam_config_critcl\&.n\fR
pt::cparam::configuration::critcl
.TP
\fBfiles/modules/pt/pt_cparam_config_tea\&.n\fR
pt::cparam::configuration::tea
.TP
\fBfiles/modules/pt/pt_json_language\&.n\fR
pt::json_language
.TP
\fBfiles/modules/pt/pt_param\&.n\fR
pt::param
.TP
\fBfiles/modules/pt/pt_pexpression\&.n\fR
pt::pe
.TP
\fBfiles/modules/pt/pt_pexpr_op\&.n\fR
pt::pe::op
.TP
\fBfiles/modules/pt/pt_pegrammar\&.n\fR
pt::peg
.TP
\fBfiles/modules/pt/pt_peg_container\&.n\fR
pt::peg::container
.TP
\fBfiles/modules/pt/pt_peg_container_peg\&.n\fR
pt::peg::container::peg
.TP
\fBfiles/modules/pt/pt_peg_export\&.n\fR
pt::peg::export
.TP
\fBfiles/modules/pt/pt_peg_export_container\&.n\fR
pt::peg::export::container
.TP
\fBfiles/modules/pt/pt_peg_export_json\&.n\fR
pt::peg::export::json
.TP
\fBfiles/modules/pt/pt_peg_export_peg\&.n\fR
pt::peg::export::peg
.TP
\fBfiles/modules/pt/pt_peg_from_container\&.n\fR
pt::peg::from::container
.TP
\fBfiles/modules/pt/pt_peg_from_json\&.n\fR
pt::peg::from::json
.TP
\fBfiles/modules/pt/pt_peg_from_peg\&.n\fR
pt::peg::from::peg
.TP
\fBfiles/modules/pt/pt_peg_import\&.n\fR
pt::peg::import
.TP
\fBfiles/modules/pt/pt_peg_import_container\&.n\fR
pt::peg::import::container
.TP
\fBfiles/modules/pt/pt_peg_import_json\&.n\fR
pt::peg::import::json
.TP
\fBfiles/modules/pt/pt_peg_import_peg\&.n\fR
pt::peg::import::peg
.TP
\fBfiles/modules/pt/pt_peg_interp\&.n\fR
pt::peg::interp
.TP
\fBfiles/modules/pt/pt_peg_to_container\&.n\fR
pt::peg::to::container
.TP
\fBfiles/modules/pt/pt_peg_to_cparam\&.n\fR
pt::peg::to::cparam
.TP
\fBfiles/modules/pt/pt_peg_to_json\&.n\fR
pt::peg::to::json
.TP
\fBfiles/modules/pt/pt_peg_to_param\&.n\fR
pt::peg::to::param
.TP
\fBfiles/modules/pt/pt_peg_to_peg\&.n\fR
pt::peg::to::peg
.TP
\fBfiles/modules/pt/pt_peg_to_tclparam\&.n\fR
pt::peg::to::tclparam
.TP
\fBfiles/modules/pt/pt_peg_language\&.n\fR
pt::peg_language
.TP
\fBfiles/modules/pt/pt_peg_introduction\&.n\fR
pt::pegrammar
.TP
\fBfiles/modules/pt/pt_pgen\&.n\fR
pt::pgen
.TP
\fBfiles/modules/pt/pt_rdengine\&.n\fR
pt::rde
.TP
\fBfiles/modules/pt/pt_tclparam_config_snit\&.n\fR
pt::tclparam::configuration::snit
.TP
\fBfiles/modules/pt/pt_tclparam_config_tcloo\&.n\fR
pt::tclparam::configuration::tcloo
.TP
\fBfiles/modules/pt/pt_util\&.n\fR
pt::util
.TP
\fBfiles/modules/pt/pt_to_api\&.n\fR
pt_export_api
.TP
\fBfiles/modules/pt/pt_from_api\&.n\fR
pt_import_api
.TP
\fBfiles/modules/pt/pt_introduction\&.n\fR
pt_introduction
.TP
\fBfiles/modules/pt/pt_parse_peg\&.n\fR
pt_parse_peg
.TP
\fBfiles/modules/pt/pt_parser_api\&.n\fR
pt_parser_api
.TP
\fBfiles/modules/pt/pt_peg_op\&.n\fR
pt_peg_op
.RE
extended namespace
.RS
.TP
\fBfiles/modules/namespacex/namespacex\&.n\fR
namespacex
.RE
faq
.RS
.TP
\fBfiles/modules/doctools/docidx_lang_faq\&.n\fR
docidx_lang_faq
.TP
\fBfiles/modules/doctools/doctoc_lang_faq\&.n\fR
doctoc_lang_faq
.TP
\fBfiles/modules/doctools/doctools_lang_faq\&.n\fR
doctools_lang_faq
.RE
fetching information
.RS
.TP
\fBfiles/modules/uri/uri\&.n\fR
uri
.RE
FFT
.RS
.TP
\fBfiles/modules/math/fourier\&.n\fR
math::fourier
.RE
fifo
.RS
.TP
\fBfiles/modules/virtchannel_base/tcllib_fifo\&.n\fR
tcl::chan::fifo
.TP
\fBfiles/modules/virtchannel_base/tcllib_fifo2\&.n\fR
tcl::chan::fifo2
.TP
\fBfiles/modules/virtchannel_base/halfpipe\&.n\fR
tcl::chan::halfpipe
.RE
file
.RS
.TP
\fBfiles/modules/tie/tie\&.n\fR
tie
.TP
\fBfiles/modules/tie/tie_std\&.n\fR
tie
.TP
\fBfiles/modules/uri/uri\&.n\fR
uri
.RE
file recognition
.RS
.TP
\fBfiles/modules/fumagic/cfront\&.n\fR
fileutil::magic::cfront
.TP
\fBfiles/modules/fumagic/cgen\&.n\fR
fileutil::magic::cgen
.TP
\fBfiles/modules/fumagic/filetypes\&.n\fR
fileutil::magic::filetype
.TP
\fBfiles/modules/fumagic/mimetypes\&.n\fR
fileutil::magic::mimetype
.TP
\fBfiles/modules/fumagic/rtcore\&.n\fR
fileutil::magic::rt
.RE
file type
.RS
.TP
\fBfiles/modules/fumagic/cfront\&.n\fR
fileutil::magic::cfront
.TP
\fBfiles/modules/fumagic/cgen\&.n\fR
fileutil::magic::cgen
.TP
\fBfiles/modules/fumagic/filetypes\&.n\fR
fileutil::magic::filetype
.TP
\fBfiles/modules/fumagic/mimetypes\&.n\fR
fileutil::magic::mimetype
.TP
\fBfiles/modules/fumagic/rtcore\&.n\fR
fileutil::magic::rt
.RE
file utilities
.RS
.TP
\fBfiles/modules/fileutil/fileutil\&.n\fR
fileutil
.TP
\fBfiles/modules/fumagic/cfront\&.n\fR
fileutil::magic::cfront
.TP
\fBfiles/modules/fumagic/cgen\&.n\fR
fileutil::magic::cgen
.TP
\fBfiles/modules/fumagic/filetypes\&.n\fR
fileutil::magic::filetype
.TP
\fBfiles/modules/fumagic/mimetypes\&.n\fR
fileutil::magic::mimetype
.TP
\fBfiles/modules/fumagic/rtcore\&.n\fR
fileutil::magic::rt
.TP
\fBfiles/modules/fileutil/multi\&.n\fR
fileutil::multi
.TP
\fBfiles/modules/fileutil/multiop\&.n\fR
fileutil::multi::op
.RE
filesystem
.RS
.TP
\fBfiles/modules/map/map_slippy_cache\&.n\fR
map::slippy::cache
.RE
filter
.RS
.TP
\fBfiles/modules/generator/generator\&.n\fR
generator
.TP
\fBfiles/modules/struct/struct_list\&.n\fR
struct::list
.RE
final
.RS
.TP
\fBfiles/modules/try/tcllib_try\&.n\fR
try
.RE
finance
.RS
.TP
\fBfiles/modules/valtype/cc_amex\&.n\fR
valtype::creditcard::amex
.TP
\fBfiles/modules/valtype/cc_discover\&.n\fR
valtype::creditcard::discover
.TP
\fBfiles/modules/valtype/cc_mastercard\&.n\fR
valtype::creditcard::mastercard
.TP
\fBfiles/modules/valtype/cc_visa\&.n\fR
valtype::creditcard::visa
.TP
\fBfiles/modules/valtype/iban\&.n\fR
valtype::iban
.RE
find
.RS
.TP
\fBfiles/modules/struct/disjointset\&.n\fR
struct::disjointset
.RE
finite
.RS
.TP
\fBfiles/modules/struct/pool\&.n\fR
struct::pool
.RE
finite automaton
.RS
.TP
\fBfiles/modules/grammar_fa/fa\&.n\fR
grammar::fa
.TP
\fBfiles/modules/grammar_fa/dacceptor\&.n\fR
grammar::fa::dacceptor
.TP
\fBfiles/modules/grammar_fa/dexec\&.n\fR
grammar::fa::dexec
.TP
\fBfiles/modules/grammar_fa/faop\&.n\fR
grammar::fa::op
.RE
FIPS 180-1
.RS
.TP
\fBfiles/modules/sha1/sha1\&.n\fR
sha1
.TP
\fBfiles/modules/sha1/sha256\&.n\fR
sha256
.RE
first permutation
.RS
.TP
\fBfiles/modules/struct/struct_list\&.n\fR
struct::list
.RE
Fisher-Yates
.RS
.TP
\fBfiles/modules/struct/struct_list\&.n\fR
struct::list
.RE
flatten
.RS
.TP
\fBfiles/modules/struct/struct_list\&.n\fR
struct::list
.RE
floating-point
.RS
.TP
\fBfiles/modules/math/bigfloat\&.n\fR
math::bigfloat
.TP
\fBfiles/modules/math/fuzzy\&.n\fR
math::fuzzy
.RE
flow
.RS
.TP
\fBfiles/modules/control/control\&.n\fR
control
.RE
flow network
.RS
.TP
\fBfiles/modules/struct/graphops\&.n\fR
struct::graph::op
.RE
folding
.RS
.TP
\fBfiles/modules/struct/struct_list\&.n\fR
struct::list
.RE
foldl
.RS
.TP
\fBfiles/modules/generator/generator\&.n\fR
generator
.RE
foldr
.RS
.TP
\fBfiles/modules/generator/generator\&.n\fR
generator
.RE
foreach
.RS
.TP
\fBfiles/modules/generator/generator\&.n\fR
generator
.RE
form
.RS
.TP
\fBfiles/modules/html/html\&.n\fR
html
.TP
\fBfiles/modules/ncgi/ncgi\&.n\fR
ncgi
.RE
format conversion
.RS
.TP
\fBfiles/modules/pt/pt_peg_from_json\&.n\fR
pt::peg::from::json
.TP
\fBfiles/modules/pt/pt_peg_from_peg\&.n\fR
pt::peg::from::peg
.TP
\fBfiles/modules/pt/pt_peg_to_container\&.n\fR
pt::peg::to::container
.TP
\fBfiles/modules/pt/pt_peg_to_cparam\&.n\fR
pt::peg::to::cparam
.TP
\fBfiles/modules/pt/pt_peg_to_json\&.n\fR
pt::peg::to::json
.TP
\fBfiles/modules/pt/pt_peg_to_param\&.n\fR
pt::peg::to::param
.TP
\fBfiles/modules/pt/pt_peg_to_peg\&.n\fR
pt::peg::to::peg
.TP
\fBfiles/modules/pt/pt_peg_to_tclparam\&.n\fR
pt::peg::to::tclparam
.RE
formatter
.RS
.TP
\fBfiles/modules/doctools/doctools_plugin_apiref\&.n\fR
doctools_plugin_apiref
.RE
formatting
.RS
.TP
\fBfiles/modules/bench/bench_read\&.n\fR
bench::in
.TP
\fBfiles/modules/bench/bench_wcsv\&.n\fR
bench::out::csv
.TP
\fBfiles/modules/bench/bench_wtext\&.n\fR
bench::out::text
.TP
\fBfiles/modules/doctools2idx/idx_introduction\&.n\fR
doctools2idx_introduction
.TP
\fBfiles/modules/doctools2toc/toc_introduction\&.n\fR
doctools2toc_introduction
.TP
\fBfiles/modules/doctools2idx/idx_container\&.n\fR
doctools::idx
.TP
\fBfiles/modules/doctools2idx/idx_export\&.n\fR
doctools::idx::export
.TP
\fBfiles/modules/doctools2toc/toc_container\&.n\fR
doctools::toc
.TP
\fBfiles/modules/doctools2toc/toc_export\&.n\fR
doctools::toc::export
.TP
\fBfiles/modules/textutil/textutil\&.n\fR
textutil
.TP
\fBfiles/modules/textutil/adjust\&.n\fR
textutil::adjust
.TP
\fBfiles/modules/textutil/textutil_string\&.n\fR
textutil::string
.TP
\fBfiles/modules/textutil/tabify\&.n\fR
textutil::tabify
.RE
formatting engine
.RS
.TP
\fBfiles/modules/doctools/docidx_plugin_apiref\&.n\fR
docidx_plugin_apiref
.TP
\fBfiles/modules/doctools/doctoc_plugin_apiref\&.n\fR
doctoc_plugin_apiref
.TP
\fBfiles/modules/doctools/doctools_plugin_apiref\&.n\fR
doctools_plugin_apiref
.RE
Fourier transform
.RS
.TP
\fBfiles/modules/math/fourier\&.n\fR
math::fourier
.RE
FR
.RS
.TP
\fBfiles/modules/doctools2idx/idx_msgcat_fr\&.n\fR
doctools::msgcat::idx::fr
.TP
\fBfiles/modules/doctools2toc/toc_msgcat_fr\&.n\fR
doctools::msgcat::toc::fr
.RE
frame
.RS
.TP
\fBfiles/modules/term/ansi_cmacros\&.n\fR
term::ansi::code::macros
.RE
ftp
.RS
.TP
\fBfiles/modules/ftp/ftp\&.n\fR
ftp
.TP
\fBfiles/modules/ftp/ftp_geturl\&.n\fR
ftp::geturl
.TP
\fBfiles/modules/ftpd/ftpd\&.n\fR
ftpd
.TP
\fBfiles/modules/uri/uri\&.n\fR
uri
.RE
ftpd
.RS
.TP
\fBfiles/modules/ftpd/ftpd\&.n\fR
ftpd
.RE
ftpserver
.RS
.TP
\fBfiles/modules/ftpd/ftpd\&.n\fR
ftpd
.RE
full outer join
.RS
.TP
\fBfiles/modules/struct/struct_list\&.n\fR
struct::list
.RE
generate event
.RS
.TP
\fBfiles/modules/uev/uevent\&.n\fR
uevent
.RE
generate permutations
.RS
.TP
\fBfiles/modules/struct/struct_list\&.n\fR
struct::list
.RE
generation
.RS
.TP
\fBfiles/modules/doctools2idx/idx_container\&.n\fR
doctools::idx
.TP
\fBfiles/modules/doctools2idx/idx_export\&.n\fR
doctools::idx::export
.TP
\fBfiles/modules/doctools2toc/toc_container\&.n\fR
doctools::toc
.TP
\fBfiles/modules/doctools2toc/toc_export\&.n\fR
doctools::toc::export
.RE
generator
.RS
.TP
\fBfiles/modules/generator/generator\&.n\fR
generator
.RE
geocoding
.RS
.TP
\fBfiles/modules/map/map_geocode_nominatim\&.n\fR
map::geocode::nominatim
.RE
geodesy
.RS
.TP
\fBfiles/modules/map/map_slippy\&.n\fR
map::slippy
.TP
\fBfiles/modules/mapproj/mapproj\&.n\fR
mapproj
.RE
geography
.RS
.TP
\fBfiles/modules/map/map_slippy\&.n\fR
map::slippy
.RE
get character
.RS
.TP
\fBfiles/modules/term/receive\&.n\fR
term::receive
.RE
gets
.RS
.TP
\fBfiles/modules/coroutine/tcllib_coroutine\&.n\fR
coroutine
.TP
\fBfiles/modules/coroutine/coro_auto\&.n\fR
coroutine::auto
.RE
global
.RS
.TP
\fBfiles/modules/coroutine/tcllib_coroutine\&.n\fR
coroutine
.TP
\fBfiles/modules/coroutine/coro_auto\&.n\fR
coroutine::auto
.RE
gopher
.RS
.TP
\fBfiles/modules/uri/uri\&.n\fR
uri
.RE
gps
.RS
.TP
\fBfiles/modules/gpx/gpx\&.n\fR
gpx
.TP
\fBfiles/modules/nmea/nmea\&.n\fR
nmea
.RE
gpx
.RS
.TP
\fBfiles/modules/gpx/gpx\&.n\fR
gpx
.RE
grammar
.RS
.TP
\fBfiles/modules/grammar_aycock/aycock\&.n\fR
grammar::aycock
.TP
\fBfiles/modules/grammar_fa/fa\&.n\fR
grammar::fa
.TP
\fBfiles/modules/grammar_fa/dacceptor\&.n\fR
grammar::fa::dacceptor
.TP
\fBfiles/modules/grammar_fa/dexec\&.n\fR
grammar::fa::dexec
.TP
\fBfiles/modules/grammar_fa/faop\&.n\fR
grammar::fa::op
.TP
\fBfiles/modules/grammar_me/me_cpu\&.n\fR
grammar::me::cpu
.TP
\fBfiles/modules/grammar_me/me_cpucore\&.n\fR
grammar::me::cpu::core
.TP
\fBfiles/modules/grammar_me/gasm\&.n\fR
grammar::me::cpu::gasm
.TP
\fBfiles/modules/grammar_me/me_tcl\&.n\fR
grammar::me::tcl
.TP
\fBfiles/modules/grammar_me/me_intro\&.n\fR
grammar::me_intro
.TP
\fBfiles/modules/grammar_me/me_vm\&.n\fR
grammar::me_vm
.TP
\fBfiles/modules/grammar_peg/peg\&.n\fR
grammar::peg
.TP
\fBfiles/modules/grammar_peg/peg_interp\&.n\fR
grammar::peg::interp
.TP
\fBfiles/apps/pt\&.n\fR
pt
.TP
\fBfiles/modules/pt/pt_astree\&.n\fR
pt::ast
.TP
\fBfiles/modules/pt/pt_cparam_config_critcl\&.n\fR
pt::cparam::configuration::critcl
.TP
\fBfiles/modules/pt/pt_cparam_config_tea\&.n\fR
pt::cparam::configuration::tea
.TP
\fBfiles/modules/pt/pt_json_language\&.n\fR
pt::json_language
.TP
\fBfiles/modules/pt/pt_param\&.n\fR
pt::param
.TP
\fBfiles/modules/pt/pt_pexpression\&.n\fR
pt::pe
.TP
\fBfiles/modules/pt/pt_pexpr_op\&.n\fR
pt::pe::op
.TP
\fBfiles/modules/pt/pt_pegrammar\&.n\fR
pt::peg
.TP
\fBfiles/modules/pt/pt_peg_container\&.n\fR
pt::peg::container
.TP
\fBfiles/modules/pt/pt_peg_container_peg\&.n\fR
pt::peg::container::peg
.TP
\fBfiles/modules/pt/pt_peg_export\&.n\fR
pt::peg::export
.TP
\fBfiles/modules/pt/pt_peg_export_container\&.n\fR
pt::peg::export::container
.TP
\fBfiles/modules/pt/pt_peg_export_json\&.n\fR
pt::peg::export::json
.TP
\fBfiles/modules/pt/pt_peg_export_peg\&.n\fR
pt::peg::export::peg
.TP
\fBfiles/modules/pt/pt_peg_from_container\&.n\fR
pt::peg::from::container
.TP
\fBfiles/modules/pt/pt_peg_from_json\&.n\fR
pt::peg::from::json
.TP
\fBfiles/modules/pt/pt_peg_from_peg\&.n\fR
pt::peg::from::peg
.TP
\fBfiles/modules/pt/pt_peg_import\&.n\fR
pt::peg::import
.TP
\fBfiles/modules/pt/pt_peg_import_container\&.n\fR
pt::peg::import::container
.TP
\fBfiles/modules/pt/pt_peg_import_json\&.n\fR
pt::peg::import::json
.TP
\fBfiles/modules/pt/pt_peg_import_peg\&.n\fR
pt::peg::import::peg
.TP
\fBfiles/modules/pt/pt_peg_interp\&.n\fR
pt::peg::interp
.TP
\fBfiles/modules/pt/pt_peg_to_container\&.n\fR
pt::peg::to::container
.TP
\fBfiles/modules/pt/pt_peg_to_cparam\&.n\fR
pt::peg::to::cparam
.TP
\fBfiles/modules/pt/pt_peg_to_json\&.n\fR
pt::peg::to::json
.TP
\fBfiles/modules/pt/pt_peg_to_param\&.n\fR
pt::peg::to::param
.TP
\fBfiles/modules/pt/pt_peg_to_peg\&.n\fR
pt::peg::to::peg
.TP
\fBfiles/modules/pt/pt_peg_to_tclparam\&.n\fR
pt::peg::to::tclparam
.TP
\fBfiles/modules/pt/pt_peg_language\&.n\fR
pt::peg_language
.TP
\fBfiles/modules/pt/pt_peg_introduction\&.n\fR
pt::pegrammar
.TP
\fBfiles/modules/pt/pt_pgen\&.n\fR
pt::pgen
.TP
\fBfiles/modules/pt/pt_rdengine\&.n\fR
pt::rde
.TP
\fBfiles/modules/pt/pt_tclparam_config_snit\&.n\fR
pt::tclparam::configuration::snit
.TP
\fBfiles/modules/pt/pt_tclparam_config_tcloo\&.n\fR
pt::tclparam::configuration::tcloo
.TP
\fBfiles/modules/pt/pt_util\&.n\fR
pt::util
.TP
\fBfiles/modules/pt/pt_to_api\&.n\fR
pt_export_api
.TP
\fBfiles/modules/pt/pt_from_api\&.n\fR
pt_import_api
.TP
\fBfiles/modules/pt/pt_introduction\&.n\fR
pt_introduction
.TP
\fBfiles/modules/pt/pt_parse_peg\&.n\fR
pt_parse_peg
.TP
\fBfiles/modules/pt/pt_parser_api\&.n\fR
pt_parser_api
.TP
\fBfiles/modules/pt/pt_peg_op\&.n\fR
pt_peg_op
.RE
graph
.RS
.TP
\fBfiles/modules/grammar_me/gasm\&.n\fR
grammar::me::cpu::gasm
.TP
\fBfiles/modules/struct/graph\&.n\fR
struct::graph
.TP
\fBfiles/modules/struct/graphops\&.n\fR
struct::graph::op
.TP
\fBfiles/modules/struct/graph1\&.n\fR
struct::graph_v1
.TP
\fBfiles/modules/struct/queue\&.n\fR
struct::queue
.TP
\fBfiles/modules/struct/stack\&.n\fR
struct::stack
.RE
graph walking
.RS
.TP
\fBfiles/modules/page/page_util_flow\&.n\fR
page_util_flow
.TP
\fBfiles/modules/page/page_util_norm_lemon\&.n\fR
page_util_norm_lemon
.TP
\fBfiles/modules/page/page_util_norm_peg\&.n\fR
page_util_norm_peg
.RE
green threads
.RS
.TP
\fBfiles/modules/coroutine/tcllib_coroutine\&.n\fR
coroutine
.TP
\fBfiles/modules/coroutine/coro_auto\&.n\fR
coroutine::auto
.RE
grep
.RS
.TP
\fBfiles/modules/fileutil/fileutil\&.n\fR
fileutil
.RE
GUID
.RS
.TP
\fBfiles/modules/uuid/uuid\&.n\fR
uuid
.RE
hashing
.RS
.TP
\fBfiles/modules/md4/md4\&.n\fR
md4
.TP
\fBfiles/modules/md5/md5\&.n\fR
md5
.TP
\fBfiles/modules/md5crypt/md5crypt\&.n\fR
md5crypt
.TP
\fBfiles/modules/otp/otp\&.n\fR
otp
.TP
\fBfiles/modules/ripemd/ripemd128\&.n\fR
ripemd128
.TP
\fBfiles/modules/ripemd/ripemd160\&.n\fR
ripemd160
.TP
\fBfiles/modules/sha1/sha1\&.n\fR
sha1
.TP
\fBfiles/modules/sha1/sha256\&.n\fR
sha256
.RE
heartbeat
.RS
.TP
\fBfiles/modules/debug/debug_heartbeat\&.n\fR
debug::heartbeat
.RE
heuristic
.RS
.TP
\fBfiles/modules/struct/graphops\&.n\fR
struct::graph::op
.RE
hex
.RS
.TP
\fBfiles/modules/base32/base32hex\&.n\fR
base32::hex
.RE
hexadecimal
.RS
.TP
\fBfiles/modules/virtchannel_transform/hex\&.n\fR
tcl::transform::hex
.RE
histogram
.RS
.TP
\fBfiles/modules/counter/counter\&.n\fR
counter
.RE
hook
.RS
.TP
\fBfiles/modules/hook/hook\&.n\fR
hook
.TP
\fBfiles/modules/uev/uevent\&.n\fR
uevent
.RE
horspool
.RS
.TP
\fBfiles/modules/grammar_aycock/aycock\&.n\fR
grammar::aycock
.RE
HTML
.RS
.TP
\fBfiles/modules/doctools/doctools\&.n\fR
doctools
.TP
\fBfiles/modules/doctools2base/html_cssdefaults\&.n\fR
doctools::html::cssdefaults
.TP
\fBfiles/modules/doctools2idx/idx_container\&.n\fR
doctools::idx
.TP
\fBfiles/modules/doctools/docidx\&.n\fR
doctools::idx
.TP
\fBfiles/modules/doctools2idx/idx_export\&.n\fR
doctools::idx::export
.TP
\fBfiles/modules/doctools2idx/idx_export_html\&.n\fR
doctools::idx::export::html
.TP
\fBfiles/modules/doctools/doctoc\&.n\fR
doctools::toc
.TP
\fBfiles/modules/doctools2toc/toc_container\&.n\fR
doctools::toc
.TP
\fBfiles/modules/doctools2toc/toc_export\&.n\fR
doctools::toc::export
.TP
\fBfiles/modules/doctools2toc/toc_export_html\&.n\fR
doctools::toc::export::html
.TP
\fBfiles/apps/dtplite\&.n\fR
dtplite
.TP
\fBfiles/modules/dtplite/pkg_dtplite\&.n\fR
dtplite
.TP
\fBfiles/modules/doctools/mpexpand\&.n\fR
mpexpand
.RE
html
.RS
.TP
\fBfiles/modules/html/html\&.n\fR
html
.TP
\fBfiles/modules/htmlparse/htmlparse\&.n\fR
htmlparse
.TP
\fBfiles/modules/javascript/javascript\&.n\fR
javascript
.TP
\fBfiles/modules/ncgi/ncgi\&.n\fR
ncgi
.RE
http
.RS
.TP
\fBfiles/modules/http/autoproxy\&.n\fR
autoproxy
.TP
\fBfiles/modules/map/map_geocode_nominatim\&.n\fR
map::geocode::nominatim
.TP
\fBfiles/modules/map/map_slippy_fetcher\&.n\fR
map::slippy::fetcher
.TP
\fBfiles/modules/uri/uri\&.n\fR
uri
.TP
\fBfiles/modules/websocket/websocket\&.n\fR
websocket
.RE
huddle
.RS
.TP
\fBfiles/modules/yaml/huddle\&.n\fR
huddle
.TP
\fBfiles/modules/yaml/yaml\&.n\fR
yaml
.RE
human readable
.RS
.TP
\fBfiles/modules/bench/bench_read\&.n\fR
bench::in
.TP
\fBfiles/modules/bench/bench_wtext\&.n\fR
bench::out::text
.RE
hyphenation
.RS
.TP
\fBfiles/modules/textutil/textutil\&.n\fR
textutil
.TP
\fBfiles/modules/textutil/adjust\&.n\fR
textutil::adjust
.RE
i18n
.RS
.TP
\fBfiles/modules/doctools2base/tcllib_msgcat\&.n\fR
doctools::msgcat
.TP
\fBfiles/modules/doctools2idx/idx_msgcat_c\&.n\fR
doctools::msgcat::idx::c
.TP
\fBfiles/modules/doctools2idx/idx_msgcat_de\&.n\fR
doctools::msgcat::idx::de
.TP
\fBfiles/modules/doctools2idx/idx_msgcat_en\&.n\fR
doctools::msgcat::idx::en
.TP
\fBfiles/modules/doctools2idx/idx_msgcat_fr\&.n\fR
doctools::msgcat::idx::fr
.TP
\fBfiles/modules/doctools2toc/toc_msgcat_c\&.n\fR
doctools::msgcat::toc::c
.TP
\fBfiles/modules/doctools2toc/toc_msgcat_de\&.n\fR
doctools::msgcat::toc::de
.TP
\fBfiles/modules/doctools2toc/toc_msgcat_en\&.n\fR
doctools::msgcat::toc::en
.TP
\fBfiles/modules/doctools2toc/toc_msgcat_fr\&.n\fR
doctools::msgcat::toc::fr
.RE
IBAN
.RS
.TP
\fBfiles/modules/valtype/iban\&.n\fR
valtype::iban
.RE
ident
.RS
.TP
\fBfiles/modules/ident/ident\&.n\fR
ident
.RE
identification
.RS
.TP
\fBfiles/modules/ident/ident\&.n\fR
ident
.RE
identity
.RS
.TP
\fBfiles/modules/virtchannel_transform/identity\&.n\fR
tcl::transform::identity
.RE
idle
.RS
.TP
\fBfiles/modules/uev/uevent_onidle\&.n\fR
uevent::onidle
.RE
image
.RS
.TP
\fBfiles/modules/jpeg/jpeg\&.n\fR
jpeg
.TP
\fBfiles/modules/png/png\&.n\fR
png
.TP
\fBfiles/modules/tiff/tiff\&.n\fR
tiff
.RE
imap
.RS
.TP
\fBfiles/modules/imap4/imap4\&.n\fR
imap4
.RE
IMEI
.RS
.TP
\fBfiles/modules/valtype/imei\&.n\fR
valtype::imei
.RE
import
.RS
.TP
\fBfiles/modules/doctools2idx/idx_import\&.n\fR
doctools::idx::import
.TP
\fBfiles/modules/doctools2idx/import_docidx\&.n\fR
doctools::idx::import::docidx
.TP
\fBfiles/modules/doctools2idx/idx_import_json\&.n\fR
doctools::idx::import::json
.TP
\fBfiles/modules/doctools2toc/toc_import\&.n\fR
doctools::toc::import
.TP
\fBfiles/modules/doctools2toc/import_doctoc\&.n\fR
doctools::toc::import::doctoc
.TP
\fBfiles/modules/doctools2toc/toc_import_json\&.n\fR
doctools::toc::import::json
.TP
\fBfiles/modules/pt/pt_peg_import_json\&.n\fR
pt::peg::import::json
.TP
\fBfiles/modules/pt/pt_peg_import_peg\&.n\fR
pt::peg::import::peg
.RE
in-memory channel
.RS
.TP
\fBfiles/modules/virtchannel_base/tcllib_fifo\&.n\fR
tcl::chan::fifo
.TP
\fBfiles/modules/virtchannel_base/tcllib_fifo2\&.n\fR
tcl::chan::fifo2
.TP
\fBfiles/modules/virtchannel_base/halfpipe\&.n\fR
tcl::chan::halfpipe
.TP
\fBfiles/modules/virtchannel_base/tcllib_memchan\&.n\fR
tcl::chan::memchan
.TP
\fBfiles/modules/virtchannel_base/tcllib_string\&.n\fR
tcl::chan::string
.TP
\fBfiles/modules/virtchannel_base/tcllib_variable\&.n\fR
tcl::chan::variable
.RE
in-order
.RS
.TP
\fBfiles/modules/struct/struct_tree\&.n\fR
struct::tree
.RE
inclusion
.RS
.TP
\fBfiles/modules/struct/struct_set\&.n\fR
struct::set
.RE
Incr Tcl
.RS
.TP
\fBfiles/modules/snit/snit\&.n\fR
snit
.TP
\fBfiles/modules/snit/snitfaq\&.n\fR
snitfaq
.RE
indenting
.RS
.TP
\fBfiles/modules/textutil/textutil\&.n\fR
textutil
.TP
\fBfiles/modules/textutil/adjust\&.n\fR
textutil::adjust
.RE
independent set
.RS
.TP
\fBfiles/modules/struct/graphops\&.n\fR
struct::graph::op
.RE
index
.RS
.TP
\fBfiles/modules/doctools/docidx_intro\&.n\fR
docidx_intro
.TP
\fBfiles/modules/doctools/docidx_plugin_apiref\&.n\fR
docidx_plugin_apiref
.TP
\fBfiles/modules/doctools2idx/idx_introduction\&.n\fR
doctools2idx_introduction
.TP
\fBfiles/modules/doctools2idx/idx_container\&.n\fR
doctools::idx
.TP
\fBfiles/modules/doctools/docidx\&.n\fR
doctools::idx
.TP
\fBfiles/modules/doctools2idx/idx_export\&.n\fR
doctools::idx::export
.TP
\fBfiles/modules/doctools2idx/export_docidx\&.n\fR
doctools::idx::export::docidx
.TP
\fBfiles/modules/doctools2idx/idx_export_html\&.n\fR
doctools::idx::export::html
.TP
\fBfiles/modules/doctools2idx/idx_export_json\&.n\fR
doctools::idx::export::json
.TP
\fBfiles/modules/doctools2idx/idx_export_nroff\&.n\fR
doctools::idx::export::nroff
.TP
\fBfiles/modules/doctools2idx/idx_export_text\&.n\fR
doctools::idx::export::text
.TP
\fBfiles/modules/doctools2idx/idx_export_wiki\&.n\fR
doctools::idx::export::wiki
.TP
\fBfiles/modules/doctools2idx/idx_import\&.n\fR
doctools::idx::import
.TP
\fBfiles/modules/doctools2idx/import_docidx\&.n\fR
doctools::idx::import::docidx
.TP
\fBfiles/modules/doctools2idx/idx_import_json\&.n\fR
doctools::idx::import::json
.RE
index formatter
.RS
.TP
\fBfiles/modules/doctools/docidx_plugin_apiref\&.n\fR
docidx_plugin_apiref
.RE
info
.RS
.TP
\fBfiles/modules/namespacex/namespacex\&.n\fR
namespacex
.RE
inner join
.RS
.TP
\fBfiles/modules/struct/struct_list\&.n\fR
struct::list
.RE
input mode
.RS
.TP
\fBfiles/modules/term/ansi_ctrlu\&.n\fR
term::ansi::ctrl::unix
.RE
integer
.RS
.TP
\fBfiles/modules/math/roman\&.n\fR
math::roman
.RE
integration
.RS
.TP
\fBfiles/modules/math/calculus\&.n\fR
math::calculus
.RE
inter-thread communication
.RS
.TP
\fBfiles/modules/virtchannel_base/tcllib_fifo2\&.n\fR
tcl::chan::fifo2
.RE
International Article Number
.RS
.TP
\fBfiles/modules/valtype/ean13\&.n\fR
valtype::gs1::ean13
.TP
\fBfiles/modules/valtype/isbn\&.n\fR
valtype::isbn
.RE
International Bank Account Number
.RS
.TP
\fBfiles/modules/valtype/iban\&.n\fR
valtype::iban
.RE
International Mobile Equipment Identity
.RS
.TP
\fBfiles/modules/valtype/imei\&.n\fR
valtype::imei
.RE
International Standard Book Number
.RS
.TP
\fBfiles/modules/valtype/isbn\&.n\fR
valtype::isbn
.RE
internationalization
.RS
.TP
\fBfiles/modules/doctools2base/tcllib_msgcat\&.n\fR
doctools::msgcat
.TP
\fBfiles/modules/doctools2idx/idx_msgcat_c\&.n\fR
doctools::msgcat::idx::c
.TP
\fBfiles/modules/doctools2idx/idx_msgcat_de\&.n\fR
doctools::msgcat::idx::de
.TP
\fBfiles/modules/doctools2idx/idx_msgcat_en\&.n\fR
doctools::msgcat::idx::en
.TP
\fBfiles/modules/doctools2idx/idx_msgcat_fr\&.n\fR
doctools::msgcat::idx::fr
.TP
\fBfiles/modules/doctools2toc/toc_msgcat_c\&.n\fR
doctools::msgcat::toc::c
.TP
\fBfiles/modules/doctools2toc/toc_msgcat_de\&.n\fR
doctools::msgcat::toc::de
.TP
\fBfiles/modules/doctools2toc/toc_msgcat_en\&.n\fR
doctools::msgcat::toc::en
.TP
\fBfiles/modules/doctools2toc/toc_msgcat_fr\&.n\fR
doctools::msgcat::toc::fr
.RE
internet
.RS
.TP
\fBfiles/modules/asn/asn\&.n\fR
asn
.TP
\fBfiles/modules/ftp/ftp\&.n\fR
ftp
.TP
\fBfiles/modules/ftp/ftp_geturl\&.n\fR
ftp::geturl
.TP
\fBfiles/modules/imap4/imap4\&.n\fR
imap4
.TP
\fBfiles/modules/ldap/ldap\&.n\fR
ldap
.TP
\fBfiles/modules/ldap/ldapx\&.n\fR
ldapx
.TP
\fBfiles/modules/mime/mime\&.n\fR
mime
.TP
\fBfiles/modules/pop3d/pop3d\&.n\fR
pop3d
.TP
\fBfiles/modules/pop3d/pop3d_dbox\&.n\fR
pop3d::dbox
.TP
\fBfiles/modules/pop3d/pop3d_udb\&.n\fR
pop3d::udb
.TP
\fBfiles/modules/mime/smtp\&.n\fR
smtp
.TP
\fBfiles/modules/websocket/websocket\&.n\fR
websocket
.RE
internet address
.RS
.TP
\fBfiles/modules/dns/tcllib_ip\&.n\fR
tcllib_ip
.RE
interpolation
.RS
.TP
\fBfiles/modules/math/interpolate\&.n\fR
math::interpolate
.RE
interpreter
.RS
.TP
\fBfiles/modules/interp/deleg_method\&.n\fR
deleg_method
.TP
\fBfiles/modules/interp/deleg_proc\&.n\fR
deleg_proc
.TP
\fBfiles/modules/interp/tcllib_interp\&.n\fR
interp
.TP
\fBfiles/modules/wip/wip\&.n\fR
wip
.RE
intersection
.RS
.TP
\fBfiles/modules/struct/struct_set\&.n\fR
struct::set
.RE
interval
.RS
.TP
\fBfiles/modules/math/bigfloat\&.n\fR
math::bigfloat
.RE
ip
.RS
.TP
\fBfiles/modules/dns/tcllib_ip\&.n\fR
tcllib_ip
.RE
ipc
.RS
.TP
\fBfiles/modules/comm/comm\&.n\fR
comm
.TP
\fBfiles/modules/comm/comm_wire\&.n\fR
comm_wire
.RE
ipv4
.RS
.TP
\fBfiles/modules/dns/tcllib_ip\&.n\fR
tcllib_ip
.RE
ipv6
.RS
.TP
\fBfiles/modules/dns/tcllib_ip\&.n\fR
tcllib_ip
.RE
irc
.RS
.TP
\fBfiles/modules/irc/irc\&.n\fR
irc
.TP
\fBfiles/modules/irc/picoirc\&.n\fR
picoirc
.RE
isA
.RS
.TP
\fBfiles/modules/valtype/valtype_common\&.n\fR
valtype::common
.TP
\fBfiles/modules/valtype/cc_amex\&.n\fR
valtype::creditcard::amex
.TP
\fBfiles/modules/valtype/cc_discover\&.n\fR
valtype::creditcard::discover
.TP
\fBfiles/modules/valtype/cc_mastercard\&.n\fR
valtype::creditcard::mastercard
.TP
\fBfiles/modules/valtype/cc_visa\&.n\fR
valtype::creditcard::visa
.TP
\fBfiles/modules/valtype/ean13\&.n\fR
valtype::gs1::ean13
.TP
\fBfiles/modules/valtype/iban\&.n\fR
valtype::iban
.TP
\fBfiles/modules/valtype/imei\&.n\fR
valtype::imei
.TP
\fBfiles/modules/valtype/isbn\&.n\fR
valtype::isbn
.TP
\fBfiles/modules/valtype/luhn\&.n\fR
valtype::luhn
.TP
\fBfiles/modules/valtype/luhn5\&.n\fR
valtype::luhn5
.TP
\fBfiles/modules/valtype/usnpi\&.n\fR
valtype::usnpi
.TP
\fBfiles/modules/valtype/verhoeff\&.n\fR
valtype::verhoeff
.RE
ISBN
.RS
.TP
\fBfiles/modules/valtype/isbn\&.n\fR
valtype::isbn
.RE
isthmus
.RS
.TP
\fBfiles/modules/struct/graphops\&.n\fR
struct::graph::op
.RE
iterator
.RS
.TP
\fBfiles/modules/generator/generator\&.n\fR
generator
.RE
javascript
.RS
.TP
\fBfiles/modules/javascript/javascript\&.n\fR
javascript
.TP
\fBfiles/modules/json/json\&.n\fR
json
.TP
\fBfiles/modules/json/json_write\&.n\fR
json::write
.RE
jfif
.RS
.TP
\fBfiles/modules/jpeg/jpeg\&.n\fR
jpeg
.RE
join
.RS
.TP
\fBfiles/modules/struct/struct_list\&.n\fR
struct::list
.RE
jpeg
.RS
.TP
\fBfiles/modules/jpeg/jpeg\&.n\fR
jpeg
.RE
JSON
.RS
.TP
\fBfiles/modules/doctools2idx/idx_export_json\&.n\fR
doctools::idx::export::json
.TP
\fBfiles/modules/doctools2idx/idx_import_json\&.n\fR
doctools::idx::import::json
.TP
\fBfiles/modules/doctools2toc/toc_export_json\&.n\fR
doctools::toc::export::json
.TP
\fBfiles/modules/doctools2toc/toc_import_json\&.n\fR
doctools::toc::import::json
.TP
\fBfiles/modules/pt/pt_peg_export_json\&.n\fR
pt::peg::export::json
.TP
\fBfiles/modules/pt/pt_peg_from_json\&.n\fR
pt::peg::from::json
.TP
\fBfiles/modules/pt/pt_peg_import_json\&.n\fR
pt::peg::import::json
.TP
\fBfiles/modules/pt/pt_peg_to_json\&.n\fR
pt::peg::to::json
.RE
json
.RS
.TP
\fBfiles/modules/doctools2idx/idx_container\&.n\fR
doctools::idx
.TP
\fBfiles/modules/doctools2idx/idx_export\&.n\fR
doctools::idx::export
.TP
\fBfiles/modules/doctools2idx/idx_import\&.n\fR
doctools::idx::import
.TP
\fBfiles/modules/doctools2toc/toc_container\&.n\fR
doctools::toc
.TP
\fBfiles/modules/doctools2toc/toc_export\&.n\fR
doctools::toc::export
.TP
\fBfiles/modules/doctools2toc/toc_import\&.n\fR
doctools::toc::import
.TP
\fBfiles/modules/yaml/huddle\&.n\fR
huddle
.TP
\fBfiles/modules/json/json\&.n\fR
json
.TP
\fBfiles/modules/json/json_write\&.n\fR
json::write
.RE
justification
.RS
.TP
\fBfiles/modules/textutil/adjust\&.n\fR
textutil::adjust
.RE
keyword index
.RS
.TP
\fBfiles/modules/doctools/docidx_intro\&.n\fR
docidx_intro
.TP
\fBfiles/modules/doctools2idx/idx_introduction\&.n\fR
doctools2idx_introduction
.TP
\fBfiles/modules/doctools2idx/idx_container\&.n\fR
doctools::idx
.TP
\fBfiles/modules/doctools/docidx\&.n\fR
doctools::idx
.TP
\fBfiles/modules/doctools2idx/idx_export\&.n\fR
doctools::idx::export
.TP
\fBfiles/modules/doctools2idx/idx_import\&.n\fR
doctools::idx::import
.RE
keywords
.RS
.TP
\fBfiles/modules/doctools/docidx_plugin_apiref\&.n\fR
docidx_plugin_apiref
.RE
knuth
.RS
.TP
\fBfiles/modules/soundex/soundex\&.n\fR
soundex
.RE
l10n
.RS
.TP
\fBfiles/modules/doctools2base/tcllib_msgcat\&.n\fR
doctools::msgcat
.TP
\fBfiles/modules/doctools2idx/idx_msgcat_c\&.n\fR
doctools::msgcat::idx::c
.TP
\fBfiles/modules/doctools2idx/idx_msgcat_de\&.n\fR
doctools::msgcat::idx::de
.TP
\fBfiles/modules/doctools2idx/idx_msgcat_en\&.n\fR
doctools::msgcat::idx::en
.TP
\fBfiles/modules/doctools2idx/idx_msgcat_fr\&.n\fR
doctools::msgcat::idx::fr
.TP
\fBfiles/modules/doctools2toc/toc_msgcat_c\&.n\fR
doctools::msgcat::toc::c
.TP
\fBfiles/modules/doctools2toc/toc_msgcat_de\&.n\fR
doctools::msgcat::toc::de
.TP
\fBfiles/modules/doctools2toc/toc_msgcat_en\&.n\fR
doctools::msgcat::toc::en
.TP
\fBfiles/modules/doctools2toc/toc_msgcat_fr\&.n\fR
doctools::msgcat::toc::fr
.RE
lambda
.RS
.TP
\fBfiles/modules/lambda/lambda\&.n\fR
lambda
.RE
LaTeX
.RS
.TP
\fBfiles/modules/docstrip/docstrip\&.n\fR
docstrip
.TP
\fBfiles/modules/docstrip/docstrip_util\&.n\fR
docstrip_util
.TP
\fBfiles/apps/tcldocstrip\&.n\fR
tcldocstrip
.RE
latex
.RS
.TP
\fBfiles/modules/doctools2idx/idx_container\&.n\fR
doctools::idx
.TP
\fBfiles/modules/doctools/docidx\&.n\fR
doctools::idx
.TP
\fBfiles/modules/doctools/doctoc\&.n\fR
doctools::toc
.TP
\fBfiles/modules/doctools2toc/toc_container\&.n\fR
doctools::toc
.RE
latitute
.RS
.TP
\fBfiles/modules/map/map_slippy\&.n\fR
map::slippy
.RE
ldap
.RS
.TP
\fBfiles/modules/ldap/ldap\&.n\fR
ldap
.TP
\fBfiles/modules/ldap/ldapx\&.n\fR
ldapx
.TP
\fBfiles/modules/uri/uri\&.n\fR
uri
.RE
ldap client
.RS
.TP
\fBfiles/modules/ldap/ldap\&.n\fR
ldap
.TP
\fBfiles/modules/ldap/ldapx\&.n\fR
ldapx
.RE
ldif
.RS
.TP
\fBfiles/modules/ldap/ldapx\&.n\fR
ldapx
.RE
least squares
.RS
.TP
\fBfiles/modules/math/linalg\&.n\fR
math::linearalgebra
.RE
left outer join
.RS
.TP
\fBfiles/modules/struct/struct_list\&.n\fR
struct::list
.RE
lemon
.RS
.TP
\fBfiles/modules/page/page_util_norm_lemon\&.n\fR
page_util_norm_lemon
.RE
level graph
.RS
.TP
\fBfiles/modules/struct/graphops\&.n\fR
struct::graph::op
.RE
lexer
.RS
.TP
\fBfiles/modules/doctools2idx/idx_parse\&.n\fR
doctools::idx::parse
.TP
\fBfiles/modules/doctools2toc/toc_parse\&.n\fR
doctools::toc::parse
.RE
lexing
.RS
.TP
\fBfiles/modules/string/token\&.n\fR
string::token
.TP
\fBfiles/modules/string/token_shell\&.n\fR
string::token::shell
.RE
limitsize
.RS
.TP
\fBfiles/modules/virtchannel_transform/limitsize\&.n\fR
tcl::transform::limitsize
.RE
line
.RS
.TP
\fBfiles/modules/math/math_geometry\&.n\fR
math::geometry
.RE
linear algebra
.RS
.TP
\fBfiles/modules/math/linalg\&.n\fR
math::linearalgebra
.RE
linear equations
.RS
.TP
\fBfiles/modules/math/linalg\&.n\fR
math::linearalgebra
.RE
linear program
.RS
.TP
\fBfiles/modules/math/optimize\&.n\fR
math::optimize
.RE
lines
.RS
.TP
\fBfiles/modules/term/ansi_ctrlu\&.n\fR
term::ansi::ctrl::unix
.RE
list
.RS
.TP
\fBfiles/modules/struct/struct_list\&.n\fR
struct::list
.TP
\fBfiles/modules/struct/queue\&.n\fR
struct::queue
.TP
\fBfiles/modules/wip/wip\&.n\fR
wip
.RE
listener
.RS
.TP
\fBfiles/modules/term/receive\&.n\fR
term::receive
.TP
\fBfiles/modules/term/term_bind\&.n\fR
term::receive::bind
.RE
literate programming
.RS
.TP
\fBfiles/modules/docstrip/docstrip\&.n\fR
docstrip
.TP
\fBfiles/modules/docstrip/docstrip_util\&.n\fR
docstrip_util
.TP
\fBfiles/apps/tcldocstrip\&.n\fR
tcldocstrip
.RE
LL(k)
.RS
.TP
\fBfiles/modules/grammar_me/me_intro\&.n\fR
grammar::me_intro
.TP
\fBfiles/modules/grammar_peg/peg\&.n\fR
grammar::peg
.TP
\fBfiles/modules/grammar_peg/peg_interp\&.n\fR
grammar::peg::interp
.TP
\fBfiles/apps/pt\&.n\fR
pt
.TP
\fBfiles/modules/pt/pt_astree\&.n\fR
pt::ast
.TP
\fBfiles/modules/pt/pt_cparam_config_critcl\&.n\fR
pt::cparam::configuration::critcl
.TP
\fBfiles/modules/pt/pt_cparam_config_tea\&.n\fR
pt::cparam::configuration::tea
.TP
\fBfiles/modules/pt/pt_json_language\&.n\fR
pt::json_language
.TP
\fBfiles/modules/pt/pt_param\&.n\fR
pt::param
.TP
\fBfiles/modules/pt/pt_pexpression\&.n\fR
pt::pe
.TP
\fBfiles/modules/pt/pt_pexpr_op\&.n\fR
pt::pe::op
.TP
\fBfiles/modules/pt/pt_pegrammar\&.n\fR
pt::peg
.TP
\fBfiles/modules/pt/pt_peg_container\&.n\fR
pt::peg::container
.TP
\fBfiles/modules/pt/pt_peg_container_peg\&.n\fR
pt::peg::container::peg
.TP
\fBfiles/modules/pt/pt_peg_export\&.n\fR
pt::peg::export
.TP
\fBfiles/modules/pt/pt_peg_export_container\&.n\fR
pt::peg::export::container
.TP
\fBfiles/modules/pt/pt_peg_export_json\&.n\fR
pt::peg::export::json
.TP
\fBfiles/modules/pt/pt_peg_export_peg\&.n\fR
pt::peg::export::peg
.TP
\fBfiles/modules/pt/pt_peg_from_container\&.n\fR
pt::peg::from::container
.TP
\fBfiles/modules/pt/pt_peg_from_json\&.n\fR
pt::peg::from::json
.TP
\fBfiles/modules/pt/pt_peg_from_peg\&.n\fR
pt::peg::from::peg
.TP
\fBfiles/modules/pt/pt_peg_import\&.n\fR
pt::peg::import
.TP
\fBfiles/modules/pt/pt_peg_import_container\&.n\fR
pt::peg::import::container
.TP
\fBfiles/modules/pt/pt_peg_import_json\&.n\fR
pt::peg::import::json
.TP
\fBfiles/modules/pt/pt_peg_import_peg\&.n\fR
pt::peg::import::peg
.TP
\fBfiles/modules/pt/pt_peg_interp\&.n\fR
pt::peg::interp
.TP
\fBfiles/modules/pt/pt_peg_to_container\&.n\fR
pt::peg::to::container
.TP
\fBfiles/modules/pt/pt_peg_to_cparam\&.n\fR
pt::peg::to::cparam
.TP
\fBfiles/modules/pt/pt_peg_to_json\&.n\fR
pt::peg::to::json
.TP
\fBfiles/modules/pt/pt_peg_to_param\&.n\fR
pt::peg::to::param
.TP
\fBfiles/modules/pt/pt_peg_to_peg\&.n\fR
pt::peg::to::peg
.TP
\fBfiles/modules/pt/pt_peg_to_tclparam\&.n\fR
pt::peg::to::tclparam
.TP
\fBfiles/modules/pt/pt_peg_language\&.n\fR
pt::peg_language
.TP
\fBfiles/modules/pt/pt_peg_introduction\&.n\fR
pt::pegrammar
.TP
\fBfiles/modules/pt/pt_pgen\&.n\fR
pt::pgen
.TP
\fBfiles/modules/pt/pt_rdengine\&.n\fR
pt::rde
.TP
\fBfiles/modules/pt/pt_tclparam_config_snit\&.n\fR
pt::tclparam::configuration::snit
.TP
\fBfiles/modules/pt/pt_tclparam_config_tcloo\&.n\fR
pt::tclparam::configuration::tcloo
.TP
\fBfiles/modules/pt/pt_util\&.n\fR
pt::util
.TP
\fBfiles/modules/pt/pt_to_api\&.n\fR
pt_export_api
.TP
\fBfiles/modules/pt/pt_from_api\&.n\fR
pt_import_api
.TP
\fBfiles/modules/pt/pt_introduction\&.n\fR
pt_introduction
.TP
\fBfiles/modules/pt/pt_parse_peg\&.n\fR
pt_parse_peg
.TP
\fBfiles/modules/pt/pt_parser_api\&.n\fR
pt_parser_api
.TP
\fBfiles/modules/pt/pt_peg_op\&.n\fR
pt_peg_op
.RE
local searching
.RS
.TP
\fBfiles/modules/struct/graphops\&.n\fR
struct::graph::op
.RE
localization
.RS
.TP
\fBfiles/modules/doctools2base/tcllib_msgcat\&.n\fR
doctools::msgcat
.TP
\fBfiles/modules/doctools2idx/idx_msgcat_c\&.n\fR
doctools::msgcat::idx::c
.TP
\fBfiles/modules/doctools2idx/idx_msgcat_de\&.n\fR
doctools::msgcat::idx::de
.TP
\fBfiles/modules/doctools2idx/idx_msgcat_en\&.n\fR
doctools::msgcat::idx::en
.TP
\fBfiles/modules/doctools2idx/idx_msgcat_fr\&.n\fR
doctools::msgcat::idx::fr
.TP
\fBfiles/modules/doctools2toc/toc_msgcat_c\&.n\fR
doctools::msgcat::toc::c
.TP
\fBfiles/modules/doctools2toc/toc_msgcat_de\&.n\fR
doctools::msgcat::toc::de
.TP
\fBfiles/modules/doctools2toc/toc_msgcat_en\&.n\fR
doctools::msgcat::toc::en
.TP
\fBfiles/modules/doctools2toc/toc_msgcat_fr\&.n\fR
doctools::msgcat::toc::fr
.RE
location
.RS
.TP
\fBfiles/modules/map/map_geocode_nominatim\&.n\fR
map::geocode::nominatim
.TP
\fBfiles/modules/map/map_slippy\&.n\fR
map::slippy
.TP
\fBfiles/modules/map/map_slippy_cache\&.n\fR
map::slippy::cache
.TP
\fBfiles/modules/map/map_slippy_fetcher\&.n\fR
map::slippy::fetcher
.RE
log
.RS
.TP
\fBfiles/modules/debug/debug\&.n\fR
debug
.TP
\fBfiles/modules/debug/debug_caller\&.n\fR
debug::caller
.TP
\fBfiles/modules/debug/debug_heartbeat\&.n\fR
debug::heartbeat
.TP
\fBfiles/modules/debug/debug_timestamp\&.n\fR
debug::timestamp
.TP
\fBfiles/modules/doctools/cvs\&.n\fR
doctools::cvs
.TP
\fBfiles/modules/log/log\&.n\fR
log
.TP
\fBfiles/modules/log/logger\&.n\fR
logger
.RE
log level
.RS
.TP
\fBfiles/modules/log/log\&.n\fR
log
.TP
\fBfiles/modules/log/logger\&.n\fR
logger
.RE
logger
.RS
.TP
\fBfiles/modules/log/logger\&.n\fR
logger
.TP
\fBfiles/modules/log/loggerAppender\&.n\fR
logger::appender
.TP
\fBfiles/modules/log/loggerUtils\&.n\fR
logger::utils
.RE
longest common subsequence
.RS
.TP
\fBfiles/modules/struct/struct_list\&.n\fR
struct::list
.RE
longitude
.RS
.TP
\fBfiles/modules/map/map_slippy\&.n\fR
map::slippy
.RE
loop
.RS
.TP
\fBfiles/modules/struct/graph\&.n\fR
struct::graph
.TP
\fBfiles/modules/struct/graphops\&.n\fR
struct::graph::op
.RE
luhn
.RS
.TP
\fBfiles/modules/valtype/luhn\&.n\fR
valtype::luhn
.TP
\fBfiles/modules/valtype/luhn5\&.n\fR
valtype::luhn5
.RE
luhn-5
.RS
.TP
\fBfiles/modules/valtype/luhn5\&.n\fR
valtype::luhn5
.RE
macros
.RS
.TP
\fBfiles/modules/doctools2base/nroff_manmacros\&.n\fR
doctools::nroff::man_macros
.RE
mail
.RS
.TP
\fBfiles/modules/imap4/imap4\&.n\fR
imap4
.TP
\fBfiles/modules/mime/mime\&.n\fR
mime
.TP
\fBfiles/modules/pop3/pop3\&.n\fR
pop3
.TP
\fBfiles/modules/mime/smtp\&.n\fR
smtp
.RE
mailto
.RS
.TP
\fBfiles/modules/uri/uri\&.n\fR
uri
.RE
man_macros
.RS
.TP
\fBfiles/modules/doctools2base/nroff_manmacros\&.n\fR
doctools::nroff::man_macros
.RE
manpage
.RS
.TP
\fBfiles/modules/doctools/doctools\&.n\fR
doctools
.TP
\fBfiles/modules/doctools2idx/idx_container\&.n\fR
doctools::idx
.TP
\fBfiles/modules/doctools/docidx\&.n\fR
doctools::idx
.TP
\fBfiles/modules/doctools2idx/idx_export\&.n\fR
doctools::idx::export
.TP
\fBfiles/modules/doctools2idx/idx_import\&.n\fR
doctools::idx::import
.TP
\fBfiles/modules/doctools/doctoc\&.n\fR
doctools::toc
.TP
\fBfiles/modules/doctools2toc/toc_export\&.n\fR
doctools::toc::export
.TP
\fBfiles/modules/doctools2toc/toc_import\&.n\fR
doctools::toc::import
.TP
\fBfiles/modules/doctools/doctools_plugin_apiref\&.n\fR
doctools_plugin_apiref
.TP
\fBfiles/apps/dtplite\&.n\fR
dtplite
.TP
\fBfiles/modules/dtplite/pkg_dtplite\&.n\fR
dtplite
.TP
\fBfiles/modules/doctools/mpexpand\&.n\fR
mpexpand
.RE
map
.RS
.TP
\fBfiles/modules/generator/generator\&.n\fR
generator
.TP
\fBfiles/modules/map/map_geocode_nominatim\&.n\fR
map::geocode::nominatim
.TP
\fBfiles/modules/map/map_slippy\&.n\fR
map::slippy
.TP
\fBfiles/modules/map/map_slippy_cache\&.n\fR
map::slippy::cache
.TP
\fBfiles/modules/map/map_slippy_fetcher\&.n\fR
map::slippy::fetcher
.TP
\fBfiles/modules/mapproj/mapproj\&.n\fR
mapproj
.TP
\fBfiles/modules/struct/struct_list\&.n\fR
struct::list
.RE
markup
.RS
.TP
\fBfiles/modules/doctools/docidx_intro\&.n\fR
docidx_intro
.TP
\fBfiles/modules/doctools/docidx_lang_cmdref\&.n\fR
docidx_lang_cmdref
.TP
\fBfiles/modules/doctools/docidx_lang_faq\&.n\fR
docidx_lang_faq
.TP
\fBfiles/modules/doctools/docidx_lang_intro\&.n\fR
docidx_lang_intro
.TP
\fBfiles/modules/doctools/docidx_lang_syntax\&.n\fR
docidx_lang_syntax
.TP
\fBfiles/modules/doctools/docidx_plugin_apiref\&.n\fR
docidx_plugin_apiref
.TP
\fBfiles/modules/doctools/doctoc_intro\&.n\fR
doctoc_intro
.TP
\fBfiles/modules/doctools/doctoc_lang_cmdref\&.n\fR
doctoc_lang_cmdref
.TP
\fBfiles/modules/doctools/doctoc_lang_faq\&.n\fR
doctoc_lang_faq
.TP
\fBfiles/modules/doctools/doctoc_lang_intro\&.n\fR
doctoc_lang_intro
.TP
\fBfiles/modules/doctools/doctoc_lang_syntax\&.n\fR
doctoc_lang_syntax
.TP
\fBfiles/modules/doctools/doctoc_plugin_apiref\&.n\fR
doctoc_plugin_apiref
.TP
\fBfiles/modules/doctools/doctools\&.n\fR
doctools
.TP
\fBfiles/modules/doctools2idx/idx_introduction\&.n\fR
doctools2idx_introduction
.TP
\fBfiles/modules/doctools2toc/toc_introduction\&.n\fR
doctools2toc_introduction
.TP
\fBfiles/modules/doctools2idx/idx_container\&.n\fR
doctools::idx
.TP
\fBfiles/modules/doctools/docidx\&.n\fR
doctools::idx
.TP
\fBfiles/modules/doctools2idx/idx_export\&.n\fR
doctools::idx::export
.TP
\fBfiles/modules/doctools2idx/idx_import\&.n\fR
doctools::idx::import
.TP
\fBfiles/modules/doctools/doctoc\&.n\fR
doctools::toc
.TP
\fBfiles/modules/doctools2toc/toc_container\&.n\fR
doctools::toc
.TP
\fBfiles/modules/doctools2toc/toc_export\&.n\fR
doctools::toc::export
.TP
\fBfiles/modules/doctools2toc/toc_import\&.n\fR
doctools::toc::import
.TP
\fBfiles/modules/doctools/doctools_intro\&.n\fR
doctools_intro
.TP
\fBfiles/modules/doctools/doctools_lang_cmdref\&.n\fR
doctools_lang_cmdref
.TP
\fBfiles/modules/doctools/doctools_lang_faq\&.n\fR
doctools_lang_faq
.TP
\fBfiles/modules/doctools/doctools_lang_intro\&.n\fR
doctools_lang_intro
.TP
\fBfiles/modules/doctools/doctools_lang_syntax\&.n\fR
doctools_lang_syntax
.TP
\fBfiles/modules/doctools/doctools_plugin_apiref\&.n\fR
doctools_plugin_apiref
.TP
\fBfiles/apps/dtplite\&.n\fR
dtplite
.TP
\fBfiles/modules/dtplite/pkg_dtplite\&.n\fR
dtplite
.TP
\fBfiles/modules/doctools/mpexpand\&.n\fR
mpexpand
.TP
\fBfiles/apps/tcldocstrip\&.n\fR
tcldocstrip
.RE
MasterCard
.RS
.TP
\fBfiles/modules/valtype/cc_mastercard\&.n\fR
valtype::creditcard::mastercard
.RE
matching
.RS
.TP
\fBfiles/modules/grammar_me/me_intro\&.n\fR
grammar::me_intro
.TP
\fBfiles/modules/grammar_peg/peg_interp\&.n\fR
grammar::peg::interp
.TP
\fBfiles/apps/pt\&.n\fR
pt
.TP
\fBfiles/modules/pt/pt_astree\&.n\fR
pt::ast
.TP
\fBfiles/modules/pt/pt_cparam_config_critcl\&.n\fR
pt::cparam::configuration::critcl
.TP
\fBfiles/modules/pt/pt_cparam_config_tea\&.n\fR
pt::cparam::configuration::tea
.TP
\fBfiles/modules/pt/pt_json_language\&.n\fR
pt::json_language
.TP
\fBfiles/modules/pt/pt_param\&.n\fR
pt::param
.TP
\fBfiles/modules/pt/pt_pexpression\&.n\fR
pt::pe
.TP
\fBfiles/modules/pt/pt_pexpr_op\&.n\fR
pt::pe::op
.TP
\fBfiles/modules/pt/pt_pegrammar\&.n\fR
pt::peg
.TP
\fBfiles/modules/pt/pt_peg_container\&.n\fR
pt::peg::container
.TP
\fBfiles/modules/pt/pt_peg_container_peg\&.n\fR
pt::peg::container::peg
.TP
\fBfiles/modules/pt/pt_peg_export\&.n\fR
pt::peg::export
.TP
\fBfiles/modules/pt/pt_peg_export_container\&.n\fR
pt::peg::export::container
.TP
\fBfiles/modules/pt/pt_peg_export_json\&.n\fR
pt::peg::export::json
.TP
\fBfiles/modules/pt/pt_peg_export_peg\&.n\fR
pt::peg::export::peg
.TP
\fBfiles/modules/pt/pt_peg_from_container\&.n\fR
pt::peg::from::container
.TP
\fBfiles/modules/pt/pt_peg_from_json\&.n\fR
pt::peg::from::json
.TP
\fBfiles/modules/pt/pt_peg_from_peg\&.n\fR
pt::peg::from::peg
.TP
\fBfiles/modules/pt/pt_peg_import\&.n\fR
pt::peg::import
.TP
\fBfiles/modules/pt/pt_peg_import_container\&.n\fR
pt::peg::import::container
.TP
\fBfiles/modules/pt/pt_peg_import_json\&.n\fR
pt::peg::import::json
.TP
\fBfiles/modules/pt/pt_peg_import_peg\&.n\fR
pt::peg::import::peg
.TP
\fBfiles/modules/pt/pt_peg_interp\&.n\fR
pt::peg::interp
.TP
\fBfiles/modules/pt/pt_peg_to_container\&.n\fR
pt::peg::to::container
.TP
\fBfiles/modules/pt/pt_peg_to_cparam\&.n\fR
pt::peg::to::cparam
.TP
\fBfiles/modules/pt/pt_peg_to_json\&.n\fR
pt::peg::to::json
.TP
\fBfiles/modules/pt/pt_peg_to_param\&.n\fR
pt::peg::to::param
.TP
\fBfiles/modules/pt/pt_peg_to_peg\&.n\fR
pt::peg::to::peg
.TP
\fBfiles/modules/pt/pt_peg_to_tclparam\&.n\fR
pt::peg::to::tclparam
.TP
\fBfiles/modules/pt/pt_peg_language\&.n\fR
pt::peg_language
.TP
\fBfiles/modules/pt/pt_peg_introduction\&.n\fR
pt::pegrammar
.TP
\fBfiles/modules/pt/pt_pgen\&.n\fR
pt::pgen
.TP
\fBfiles/modules/pt/pt_rdengine\&.n\fR
pt::rde
.TP
\fBfiles/modules/pt/pt_tclparam_config_snit\&.n\fR
pt::tclparam::configuration::snit
.TP
\fBfiles/modules/pt/pt_tclparam_config_tcloo\&.n\fR
pt::tclparam::configuration::tcloo
.TP
\fBfiles/modules/pt/pt_util\&.n\fR
pt::util
.TP
\fBfiles/modules/pt/pt_to_api\&.n\fR
pt_export_api
.TP
\fBfiles/modules/pt/pt_from_api\&.n\fR
pt_import_api
.TP
\fBfiles/modules/pt/pt_introduction\&.n\fR
pt_introduction
.TP
\fBfiles/modules/pt/pt_parse_peg\&.n\fR
pt_parse_peg
.TP
\fBfiles/modules/pt/pt_parser_api\&.n\fR
pt_parser_api
.TP
\fBfiles/modules/pt/pt_peg_op\&.n\fR
pt_peg_op
.TP
\fBfiles/modules/struct/graphops\&.n\fR
struct::graph::op
.RE
math
.RS
.TP
\fBfiles/modules/math/math\&.n\fR
math
.TP
\fBfiles/modules/math/bigfloat\&.n\fR
math::bigfloat
.TP
\fBfiles/modules/math/bignum\&.n\fR
math::bignum
.TP
\fBfiles/modules/math/calculus\&.n\fR
math::calculus
.TP
\fBfiles/modules/math/qcomplex\&.n\fR
math::complexnumbers
.TP
\fBfiles/modules/math/constants\&.n\fR
math::constants
.TP
\fBfiles/modules/math/decimal\&.n\fR
math::decimal
.TP
\fBfiles/modules/math/fuzzy\&.n\fR
math::fuzzy
.TP
\fBfiles/modules/math/math_geometry\&.n\fR
math::geometry
.TP
\fBfiles/modules/math/interpolate\&.n\fR
math::interpolate
.TP
\fBfiles/modules/math/linalg\&.n\fR
math::linearalgebra
.TP
\fBfiles/modules/math/optimize\&.n\fR
math::optimize
.TP
\fBfiles/modules/math/polynomials\&.n\fR
math::polynomials
.TP
\fBfiles/modules/math/rational_funcs\&.n\fR
math::rationalfunctions
.TP
\fBfiles/modules/math/special\&.n\fR
math::special
.TP
\fBfiles/modules/simulation/annealing\&.n\fR
simulation::annealing
.TP
\fBfiles/modules/simulation/montecarlo\&.n\fR
simulation::montecarlo
.TP
\fBfiles/modules/simulation/simulation_random\&.n\fR
simulation::random
.RE
mathematics
.RS
.TP
\fBfiles/modules/math/fourier\&.n\fR
math::fourier
.TP
\fBfiles/modules/math/statistics\&.n\fR
math::statistics
.RE
matrices
.RS
.TP
\fBfiles/modules/math/linalg\&.n\fR
math::linearalgebra
.RE
matrix
.RS
.TP
\fBfiles/modules/csv/csv\&.n\fR
csv
.TP
\fBfiles/modules/math/linalg\&.n\fR
math::linearalgebra
.TP
\fBfiles/modules/report/report\&.n\fR
report
.TP
\fBfiles/modules/struct/matrix\&.n\fR
struct::matrix
.TP
\fBfiles/modules/struct/matrix1\&.n\fR
struct::matrix_v1
.TP
\fBfiles/modules/struct/queue\&.n\fR
struct::queue
.TP
\fBfiles/modules/struct/stack\&.n\fR
struct::stack
.RE
max cut
.RS
.TP
\fBfiles/modules/struct/graphops\&.n\fR
struct::graph::op
.RE
maximum
.RS
.TP
\fBfiles/modules/math/optimize\&.n\fR
math::optimize
.RE
maximum flow
.RS
.TP
\fBfiles/modules/struct/graphops\&.n\fR
struct::graph::op
.RE
md4
.RS
.TP
\fBfiles/modules/md4/md4\&.n\fR
md4
.TP
\fBfiles/modules/ripemd/ripemd128\&.n\fR
ripemd128
.TP
\fBfiles/modules/ripemd/ripemd160\&.n\fR
ripemd160
.RE
md5
.RS
.TP
\fBfiles/modules/md5/md5\&.n\fR
md5
.TP
\fBfiles/modules/md5crypt/md5crypt\&.n\fR
md5crypt
.RE
md5crypt
.RS
.TP
\fBfiles/modules/md5crypt/md5crypt\&.n\fR
md5crypt
.RE
medicare
.RS
.TP
\fBfiles/modules/valtype/usnpi\&.n\fR
valtype::usnpi
.RE
mega widget
.RS
.TP
\fBfiles/modules/snit/snit\&.n\fR
snit
.TP
\fBfiles/modules/snit/snitfaq\&.n\fR
snitfaq
.RE
membership
.RS
.TP
\fBfiles/modules/struct/struct_set\&.n\fR
struct::set
.RE
menu
.RS
.TP
\fBfiles/modules/term/ansi_cmacros\&.n\fR
term::ansi::code::macros
.TP
\fBfiles/modules/term/imenu\&.n\fR
term::interact::menu
.RE
merge
.RS
.TP
\fBfiles/modules/virtchannel_base/randseed\&.n\fR
tcl::randomseed
.TP
\fBfiles/modules/uev/uevent_onidle\&.n\fR
uevent::onidle
.RE
merge find
.RS
.TP
\fBfiles/modules/struct/disjointset\&.n\fR
struct::disjointset
.RE
merging
.RS
.TP
\fBfiles/modules/bench/bench\&.n\fR
bench
.RE
message
.RS
.TP
\fBfiles/modules/comm/comm\&.n\fR
comm
.TP
\fBfiles/modules/comm/comm_wire\&.n\fR
comm_wire
.TP
\fBfiles/modules/log/log\&.n\fR
log
.RE
message catalog
.RS
.TP
\fBfiles/modules/doctools2base/tcllib_msgcat\&.n\fR
doctools::msgcat
.TP
\fBfiles/modules/doctools2idx/idx_msgcat_c\&.n\fR
doctools::msgcat::idx::c
.TP
\fBfiles/modules/doctools2idx/idx_msgcat_de\&.n\fR
doctools::msgcat::idx::de
.TP
\fBfiles/modules/doctools2idx/idx_msgcat_en\&.n\fR
doctools::msgcat::idx::en
.TP
\fBfiles/modules/doctools2idx/idx_msgcat_fr\&.n\fR
doctools::msgcat::idx::fr
.TP
\fBfiles/modules/doctools2toc/toc_msgcat_c\&.n\fR
doctools::msgcat::toc::c
.TP
\fBfiles/modules/doctools2toc/toc_msgcat_de\&.n\fR
doctools::msgcat::toc::de
.TP
\fBfiles/modules/doctools2toc/toc_msgcat_en\&.n\fR
doctools::msgcat::toc::en
.TP
\fBfiles/modules/doctools2toc/toc_msgcat_fr\&.n\fR
doctools::msgcat::toc::fr
.RE
message level
.RS
.TP
\fBfiles/modules/log/log\&.n\fR
log
.RE
message package
.RS
.TP
\fBfiles/modules/doctools2base/tcllib_msgcat\&.n\fR
doctools::msgcat
.TP
\fBfiles/modules/doctools2idx/idx_msgcat_c\&.n\fR
doctools::msgcat::idx::c
.TP
\fBfiles/modules/doctools2idx/idx_msgcat_de\&.n\fR
doctools::msgcat::idx::de
.TP
\fBfiles/modules/doctools2idx/idx_msgcat_en\&.n\fR
doctools::msgcat::idx::en
.TP
\fBfiles/modules/doctools2idx/idx_msgcat_fr\&.n\fR
doctools::msgcat::idx::fr
.TP
\fBfiles/modules/doctools2toc/toc_msgcat_c\&.n\fR
doctools::msgcat::toc::c
.TP
\fBfiles/modules/doctools2toc/toc_msgcat_de\&.n\fR
doctools::msgcat::toc::de
.TP
\fBfiles/modules/doctools2toc/toc_msgcat_en\&.n\fR
doctools::msgcat::toc::en
.TP
\fBfiles/modules/doctools2toc/toc_msgcat_fr\&.n\fR
doctools::msgcat::toc::fr
.RE
message-digest
.RS
.TP
\fBfiles/modules/md4/md4\&.n\fR
md4
.TP
\fBfiles/modules/md5/md5\&.n\fR
md5
.TP
\fBfiles/modules/md5crypt/md5crypt\&.n\fR
md5crypt
.TP
\fBfiles/modules/otp/otp\&.n\fR
otp
.TP
\fBfiles/modules/ripemd/ripemd128\&.n\fR
ripemd128
.TP
\fBfiles/modules/ripemd/ripemd160\&.n\fR
ripemd160
.TP
\fBfiles/modules/sha1/sha1\&.n\fR
sha1
.TP
\fBfiles/modules/sha1/sha256\&.n\fR
sha256
.RE
metakit
.RS
.TP
\fBfiles/modules/tie/tie\&.n\fR
tie
.TP
\fBfiles/modules/tie/tie_std\&.n\fR
tie
.RE
method
.RS
.TP
\fBfiles/modules/interp/deleg_method\&.n\fR
deleg_method
.TP
\fBfiles/modules/interp/tcllib_interp\&.n\fR
interp
.RE
method reference
.RS
.TP
\fBfiles/modules/tool/meta\&.n\fR
oo::util
.TP
\fBfiles/modules/ooutil/ooutil\&.n\fR
oo::util
.RE
mime
.RS
.TP
\fBfiles/modules/fumagic/cfront\&.n\fR
fileutil::magic::cfront
.TP
\fBfiles/modules/fumagic/cgen\&.n\fR
fileutil::magic::cgen
.TP
\fBfiles/modules/fumagic/mimetypes\&.n\fR
fileutil::magic::mimetype
.TP
\fBfiles/modules/fumagic/rtcore\&.n\fR
fileutil::magic::rt
.TP
\fBfiles/modules/mime/mime\&.n\fR
mime
.TP
\fBfiles/modules/mime/smtp\&.n\fR
smtp
.RE
minimal spanning tree
.RS
.TP
\fBfiles/modules/struct/graphops\&.n\fR
struct::graph::op
.RE
minimum
.RS
.TP
\fBfiles/modules/math/optimize\&.n\fR
math::optimize
.RE
minimum cost flow
.RS
.TP
\fBfiles/modules/struct/graphops\&.n\fR
struct::graph::op
.RE
minimum degree spanning tree
.RS
.TP
\fBfiles/modules/struct/graphops\&.n\fR
struct::graph::op
.RE
minimum diameter spanning tree
.RS
.TP
\fBfiles/modules/struct/graphops\&.n\fR
struct::graph::op
.RE
mobile phone
.RS
.TP
\fBfiles/modules/valtype/imei\&.n\fR
valtype::imei
.RE
module
.RS
.TP
\fBfiles/modules/docstrip/docstrip_util\&.n\fR
docstrip_util
.RE
montecarlo simulation
.RS
.TP
\fBfiles/modules/simulation/montecarlo\&.n\fR
simulation::montecarlo
.RE
move
.RS
.TP
\fBfiles/modules/fileutil/multi\&.n\fR
fileutil::multi
.TP
\fBfiles/modules/fileutil/multiop\&.n\fR
fileutil::multi::op
.RE
multi-file
.RS
.TP
\fBfiles/modules/fileutil/multi\&.n\fR
fileutil::multi
.TP
\fBfiles/modules/fileutil/multiop\&.n\fR
fileutil::multi::op
.RE
multiplexer
.RS
.TP
\fBfiles/modules/multiplexer/multiplexer\&.n\fR
multiplexer
.RE
multiprecision
.RS
.TP
\fBfiles/modules/math/bigfloat\&.n\fR
math::bigfloat
.TP
\fBfiles/modules/math/bignum\&.n\fR
math::bignum
.RE
my method
.RS
.TP
\fBfiles/modules/tool/meta\&.n\fR
oo::util
.TP
\fBfiles/modules/ooutil/ooutil\&.n\fR
oo::util
.RE
name service
.RS
.TP
\fBfiles/modules/nns/nns_client\&.n\fR
nameserv
.TP
\fBfiles/modules/nns/nns_auto\&.n\fR
nameserv::auto
.TP
\fBfiles/modules/nns/nns_common\&.n\fR
nameserv::common
.TP
\fBfiles/modules/nns/nns_protocol\&.n\fR
nameserv::protocol
.TP
\fBfiles/modules/nns/nns_server\&.n\fR
nameserv::server
.TP
\fBfiles/apps/nns\&.n\fR
nns
.TP
\fBfiles/modules/nns/nns_intro\&.n\fR
nns_intro
.TP
\fBfiles/apps/nnsd\&.n\fR
nnsd
.TP
\fBfiles/apps/nnslog\&.n\fR
nnslog
.RE
namespace unknown
.RS
.TP
\fBfiles/modules/namespacex/namespacex\&.n\fR
namespacex
.RE
namespace utilities
.RS
.TP
\fBfiles/modules/namespacex/namespacex\&.n\fR
namespacex
.RE
narrative
.RS
.TP
\fBfiles/modules/debug/debug\&.n\fR
debug
.TP
\fBfiles/modules/debug/debug_caller\&.n\fR
debug::caller
.TP
\fBfiles/modules/debug/debug_heartbeat\&.n\fR
debug::heartbeat
.TP
\fBfiles/modules/debug/debug_timestamp\&.n\fR
debug::timestamp
.RE
National Provider Identifier
.RS
.TP
\fBfiles/modules/valtype/usnpi\&.n\fR
valtype::usnpi
.RE
neighbour
.RS
.TP
\fBfiles/modules/struct/graph\&.n\fR
struct::graph
.TP
\fBfiles/modules/struct/graphops\&.n\fR
struct::graph::op
.RE
net
.RS
.TP
\fBfiles/modules/ftp/ftp\&.n\fR
ftp
.TP
\fBfiles/modules/ftp/ftp_geturl\&.n\fR
ftp::geturl
.TP
\fBfiles/modules/imap4/imap4\&.n\fR
imap4
.TP
\fBfiles/modules/mime/mime\&.n\fR
mime
.TP
\fBfiles/modules/mime/smtp\&.n\fR
smtp
.TP
\fBfiles/modules/websocket/websocket\&.n\fR
websocket
.RE
nettool
.RS
.TP
\fBfiles/modules/nettool/nettool\&.n\fR
nettool
.RE
network
.RS
.TP
\fBfiles/modules/pop3d/pop3d\&.n\fR
pop3d
.TP
\fBfiles/modules/pop3d/pop3d_dbox\&.n\fR
pop3d::dbox
.TP
\fBfiles/modules/pop3d/pop3d_udb\&.n\fR
pop3d::udb
.RE
news
.RS
.TP
\fBfiles/modules/nntp/nntp\&.n\fR
nntp
.TP
\fBfiles/modules/uri/uri\&.n\fR
uri
.RE
next permutation
.RS
.TP
\fBfiles/modules/struct/struct_list\&.n\fR
struct::list
.RE
nmea
.RS
.TP
\fBfiles/modules/nmea/nmea\&.n\fR
nmea
.RE
nntp
.RS
.TP
\fBfiles/modules/nntp/nntp\&.n\fR
nntp
.RE
nntpclient
.RS
.TP
\fBfiles/modules/nntp/nntp\&.n\fR
nntp
.RE
no-op
.RS
.TP
\fBfiles/modules/control/control\&.n\fR
control
.RE
node
.RS
.TP
\fBfiles/modules/struct/graph\&.n\fR
struct::graph
.TP
\fBfiles/modules/struct/graphops\&.n\fR
struct::graph::op
.TP
\fBfiles/modules/struct/struct_tree\&.n\fR
struct::tree
.RE
nominatim
.RS
.TP
\fBfiles/modules/map/map_geocode_nominatim\&.n\fR
map::geocode::nominatim
.RE
normalization
.RS
.TP
\fBfiles/modules/bench/bench\&.n\fR
bench
.TP
\fBfiles/modules/page/page_util_norm_lemon\&.n\fR
page_util_norm_lemon
.TP
\fBfiles/modules/page/page_util_norm_peg\&.n\fR
page_util_norm_peg
.TP
\fBfiles/modules/stringprep/unicode\&.n\fR
unicode
.RE
NPI
.RS
.TP
\fBfiles/modules/valtype/usnpi\&.n\fR
valtype::usnpi
.RE
nroff
.RS
.TP
\fBfiles/modules/doctools/doctools\&.n\fR
doctools
.TP
\fBfiles/modules/doctools2idx/idx_container\&.n\fR
doctools::idx
.TP
\fBfiles/modules/doctools/docidx\&.n\fR
doctools::idx
.TP
\fBfiles/modules/doctools2idx/idx_export\&.n\fR
doctools::idx::export
.TP
\fBfiles/modules/doctools2idx/idx_export_nroff\&.n\fR
doctools::idx::export::nroff
.TP
\fBfiles/modules/doctools2base/nroff_manmacros\&.n\fR
doctools::nroff::man_macros
.TP
\fBfiles/modules/doctools/doctoc\&.n\fR
doctools::toc
.TP
\fBfiles/modules/doctools2toc/toc_container\&.n\fR
doctools::toc
.TP
\fBfiles/modules/doctools2toc/toc_export\&.n\fR
doctools::toc::export
.TP
\fBfiles/modules/doctools2toc/toc_export_nroff\&.n\fR
doctools::toc::export::nroff
.TP
\fBfiles/apps/dtplite\&.n\fR
dtplite
.TP
\fBfiles/modules/dtplite/pkg_dtplite\&.n\fR
dtplite
.TP
\fBfiles/modules/doctools/mpexpand\&.n\fR
mpexpand
.RE
NTLM
.RS
.TP
\fBfiles/modules/sasl/ntlm\&.n\fR
SASL::NTLM
.RE
NTP
.RS
.TP
\fBfiles/modules/ntp/ntp_time\&.n\fR
ntp_time
.RE
null
.RS
.TP
\fBfiles/modules/virtchannel_base/tcllib_null\&.n\fR
tcl::chan::null
.TP
\fBfiles/modules/virtchannel_base/nullzero\&.n\fR
tcl::chan::nullzero
.RE
number theory
.RS
.TP
\fBfiles/modules/math/numtheory\&.n\fR
math::numtheory
.RE
oauth
.RS
.TP
\fBfiles/modules/oauth/oauth\&.n\fR
oauth
.RE
object
.RS
.TP
\fBfiles/modules/snit/snit\&.n\fR
snit
.TP
\fBfiles/modules/snit/snitfaq\&.n\fR
snitfaq
.TP
\fBfiles/modules/stooop/stooop\&.n\fR
stooop
.TP
\fBfiles/modules/stooop/switched\&.n\fR
switched
.RE
object oriented
.RS
.TP
\fBfiles/modules/snit/snit\&.n\fR
snit
.TP
\fBfiles/modules/snit/snitfaq\&.n\fR
snitfaq
.TP
\fBfiles/modules/stooop/stooop\&.n\fR
stooop
.TP
\fBfiles/modules/stooop/switched\&.n\fR
switched
.RE
observer
.RS
.TP
\fBfiles/modules/hook/hook\&.n\fR
hook
.TP
\fBfiles/modules/virtchannel_transform/observe\&.n\fR
tcl::transform::observe
.RE
odie
.RS
.TP
\fBfiles/modules/cron/cron\&.n\fR
cron
.TP
\fBfiles/modules/nettool/nettool\&.n\fR
nettool
.TP
\fBfiles/modules/processman/processman\&.n\fR
processman
.RE
on-idle
.RS
.TP
\fBfiles/modules/uev/uevent_onidle\&.n\fR
uevent::onidle
.RE
one time pad
.RS
.TP
\fBfiles/modules/virtchannel_transform/vt_otp\&.n\fR
tcl::transform::otp
.RE
optimization
.RS
.TP
\fBfiles/modules/math/optimize\&.n\fR
math::optimize
.TP
\fBfiles/modules/simulation/annealing\&.n\fR
simulation::annealing
.RE
ordered list
.RS
.TP
\fBfiles/modules/struct/prioqueue\&.n\fR
struct::prioqueue
.RE
otp
.RS
.TP
\fBfiles/modules/virtchannel_transform/vt_otp\&.n\fR
tcl::transform::otp
.RE
outer join
.RS
.TP
\fBfiles/modules/struct/struct_list\&.n\fR
struct::list
.RE
package
.RS
.TP
\fBfiles/modules/csv/csv\&.n\fR
csv
.RE
package indexing
.RS
.TP
\fBfiles/modules/docstrip/docstrip_util\&.n\fR
docstrip_util
.RE
page
.RS
.TP
\fBfiles/modules/page/page_intro\&.n\fR
page_intro
.TP
\fBfiles/modules/page/page_pluginmgr\&.n\fR
page_pluginmgr
.TP
\fBfiles/modules/page/page_util_flow\&.n\fR
page_util_flow
.TP
\fBfiles/modules/page/page_util_norm_lemon\&.n\fR
page_util_norm_lemon
.TP
\fBfiles/modules/page/page_util_norm_peg\&.n\fR
page_util_norm_peg
.TP
\fBfiles/modules/page/page_util_peg\&.n\fR
page_util_peg
.TP
\fBfiles/modules/page/page_util_quote\&.n\fR
page_util_quote
.RE
pager
.RS
.TP
\fBfiles/modules/term/ipager\&.n\fR
term::interact::pager
.RE
paragraph
.RS
.TP
\fBfiles/modules/textutil/textutil\&.n\fR
textutil
.TP
\fBfiles/modules/textutil/adjust\&.n\fR
textutil::adjust
.RE
PARAM
.RS
.TP
\fBfiles/modules/pt/pt_peg_to_param\&.n\fR
pt::peg::to::param
.RE
parameter entry form
.RS
.TP
\fBfiles/modules/tepam/tepam_introduction\&.n\fR
tepam
.TP
\fBfiles/modules/tepam/tepam_argument_dialogbox\&.n\fR
tepam::argument_dialogbox
.RE
parser
.RS
.TP
\fBfiles/modules/doctools2idx/idx_parse\&.n\fR
doctools::idx::parse
.TP
\fBfiles/modules/doctools2base/tcl_parse\&.n\fR
doctools::tcl::parse
.TP
\fBfiles/modules/doctools2toc/toc_parse\&.n\fR
doctools::toc::parse
.TP
\fBfiles/modules/grammar_aycock/aycock\&.n\fR
grammar::aycock
.TP
\fBfiles/apps/pt\&.n\fR
pt
.TP
\fBfiles/modules/pt/pt_astree\&.n\fR
pt::ast
.TP
\fBfiles/modules/pt/pt_cparam_config_critcl\&.n\fR
pt::cparam::configuration::critcl
.TP
\fBfiles/modules/pt/pt_cparam_config_tea\&.n\fR
pt::cparam::configuration::tea
.TP
\fBfiles/modules/pt/pt_json_language\&.n\fR
pt::json_language
.TP
\fBfiles/modules/pt/pt_param\&.n\fR
pt::param
.TP
\fBfiles/modules/pt/pt_pexpression\&.n\fR
pt::pe
.TP
\fBfiles/modules/pt/pt_pexpr_op\&.n\fR
pt::pe::op
.TP
\fBfiles/modules/pt/pt_pegrammar\&.n\fR
pt::peg
.TP
\fBfiles/modules/pt/pt_peg_container\&.n\fR
pt::peg::container
.TP
\fBfiles/modules/pt/pt_peg_container_peg\&.n\fR
pt::peg::container::peg
.TP
\fBfiles/modules/pt/pt_peg_export\&.n\fR
pt::peg::export
.TP
\fBfiles/modules/pt/pt_peg_export_container\&.n\fR
pt::peg::export::container
.TP
\fBfiles/modules/pt/pt_peg_export_json\&.n\fR
pt::peg::export::json
.TP
\fBfiles/modules/pt/pt_peg_export_peg\&.n\fR
pt::peg::export::peg
.TP
\fBfiles/modules/pt/pt_peg_from_container\&.n\fR
pt::peg::from::container
.TP
\fBfiles/modules/pt/pt_peg_from_json\&.n\fR
pt::peg::from::json
.TP
\fBfiles/modules/pt/pt_peg_from_peg\&.n\fR
pt::peg::from::peg
.TP
\fBfiles/modules/pt/pt_peg_import\&.n\fR
pt::peg::import
.TP
\fBfiles/modules/pt/pt_peg_import_container\&.n\fR
pt::peg::import::container
.TP
\fBfiles/modules/pt/pt_peg_import_json\&.n\fR
pt::peg::import::json
.TP
\fBfiles/modules/pt/pt_peg_import_peg\&.n\fR
pt::peg::import::peg
.TP
\fBfiles/modules/pt/pt_peg_interp\&.n\fR
pt::peg::interp
.TP
\fBfiles/modules/pt/pt_peg_to_container\&.n\fR
pt::peg::to::container
.TP
\fBfiles/modules/pt/pt_peg_to_cparam\&.n\fR
pt::peg::to::cparam
.TP
\fBfiles/modules/pt/pt_peg_to_json\&.n\fR
pt::peg::to::json
.TP
\fBfiles/modules/pt/pt_peg_to_param\&.n\fR
pt::peg::to::param
.TP
\fBfiles/modules/pt/pt_peg_to_peg\&.n\fR
pt::peg::to::peg
.TP
\fBfiles/modules/pt/pt_peg_to_tclparam\&.n\fR
pt::peg::to::tclparam
.TP
\fBfiles/modules/pt/pt_peg_language\&.n\fR
pt::peg_language
.TP
\fBfiles/modules/pt/pt_peg_introduction\&.n\fR
pt::pegrammar
.TP
\fBfiles/modules/pt/pt_pgen\&.n\fR
pt::pgen
.TP
\fBfiles/modules/pt/pt_rdengine\&.n\fR
pt::rde
.TP
\fBfiles/modules/pt/pt_tclparam_config_snit\&.n\fR
pt::tclparam::configuration::snit
.TP
\fBfiles/modules/pt/pt_tclparam_config_tcloo\&.n\fR
pt::tclparam::configuration::tcloo
.TP
\fBfiles/modules/pt/pt_util\&.n\fR
pt::util
.TP
\fBfiles/modules/pt/pt_to_api\&.n\fR
pt_export_api
.TP
\fBfiles/modules/pt/pt_from_api\&.n\fR
pt_import_api
.TP
\fBfiles/modules/pt/pt_introduction\&.n\fR
pt_introduction
.TP
\fBfiles/modules/pt/pt_parse_peg\&.n\fR
pt_parse_peg
.TP
\fBfiles/modules/pt/pt_parser_api\&.n\fR
pt_parser_api
.TP
\fBfiles/modules/pt/pt_peg_op\&.n\fR
pt_peg_op
.TP
\fBfiles/modules/amazon-s3/xsxp\&.n\fR
xsxp
.RE
parser generator
.RS
.TP
\fBfiles/apps/page\&.n\fR
page
.TP
\fBfiles/modules/page/page_intro\&.n\fR
page_intro
.TP
\fBfiles/modules/page/page_pluginmgr\&.n\fR
page_pluginmgr
.TP
\fBfiles/modules/page/page_util_flow\&.n\fR
page_util_flow
.TP
\fBfiles/modules/page/page_util_norm_lemon\&.n\fR
page_util_norm_lemon
.TP
\fBfiles/modules/page/page_util_norm_peg\&.n\fR
page_util_norm_peg
.TP
\fBfiles/modules/page/page_util_peg\&.n\fR
page_util_peg
.TP
\fBfiles/modules/page/page_util_quote\&.n\fR
page_util_quote
.RE
parsing
.RS
.TP
\fBfiles/modules/bench/bench_read\&.n\fR
bench::in
.TP
\fBfiles/modules/bibtex/bibtex\&.n\fR
bibtex
.TP
\fBfiles/modules/doctools2idx/idx_introduction\&.n\fR
doctools2idx_introduction
.TP
\fBfiles/modules/doctools2toc/toc_introduction\&.n\fR
doctools2toc_introduction
.TP
\fBfiles/modules/doctools2idx/idx_container\&.n\fR
doctools::idx
.TP
\fBfiles/modules/doctools2idx/idx_import\&.n\fR
doctools::idx::import
.TP
\fBfiles/modules/doctools2toc/toc_container\&.n\fR
doctools::toc
.TP
\fBfiles/modules/doctools2toc/toc_import\&.n\fR
doctools::toc::import
.TP
\fBfiles/modules/grammar_aycock/aycock\&.n\fR
grammar::aycock
.TP
\fBfiles/modules/grammar_fa/fa\&.n\fR
grammar::fa
.TP
\fBfiles/modules/grammar_fa/dacceptor\&.n\fR
grammar::fa::dacceptor
.TP
\fBfiles/modules/grammar_fa/dexec\&.n\fR
grammar::fa::dexec
.TP
\fBfiles/modules/grammar_fa/faop\&.n\fR
grammar::fa::op
.TP
\fBfiles/modules/grammar_me/me_cpu\&.n\fR
grammar::me::cpu
.TP
\fBfiles/modules/grammar_me/me_cpucore\&.n\fR
grammar::me::cpu::core
.TP
\fBfiles/modules/grammar_me/gasm\&.n\fR
grammar::me::cpu::gasm
.TP
\fBfiles/modules/grammar_me/me_tcl\&.n\fR
grammar::me::tcl
.TP
\fBfiles/modules/grammar_me/me_intro\&.n\fR
grammar::me_intro
.TP
\fBfiles/modules/grammar_me/me_vm\&.n\fR
grammar::me_vm
.TP
\fBfiles/modules/grammar_peg/peg\&.n\fR
grammar::peg
.TP
\fBfiles/modules/grammar_peg/peg_interp\&.n\fR
grammar::peg::interp
.TP
\fBfiles/modules/htmlparse/htmlparse\&.n\fR
htmlparse
.TP
\fBfiles/modules/yaml/huddle\&.n\fR
huddle
.TP
\fBfiles/modules/string/token_shell\&.n\fR
string::token::shell
.TP
\fBfiles/modules/yaml/yaml\&.n\fR
yaml
.RE
parsing expression
.RS
.TP
\fBfiles/modules/grammar_peg/peg\&.n\fR
grammar::peg
.TP
\fBfiles/modules/grammar_peg/peg_interp\&.n\fR
grammar::peg::interp
.TP
\fBfiles/apps/pt\&.n\fR
pt
.TP
\fBfiles/modules/pt/pt_astree\&.n\fR
pt::ast
.TP
\fBfiles/modules/pt/pt_cparam_config_critcl\&.n\fR
pt::cparam::configuration::critcl
.TP
\fBfiles/modules/pt/pt_cparam_config_tea\&.n\fR
pt::cparam::configuration::tea
.TP
\fBfiles/modules/pt/pt_json_language\&.n\fR
pt::json_language
.TP
\fBfiles/modules/pt/pt_param\&.n\fR
pt::param
.TP
\fBfiles/modules/pt/pt_pexpression\&.n\fR
pt::pe
.TP
\fBfiles/modules/pt/pt_pexpr_op\&.n\fR
pt::pe::op
.TP
\fBfiles/modules/pt/pt_pegrammar\&.n\fR
pt::peg
.TP
\fBfiles/modules/pt/pt_peg_container\&.n\fR
pt::peg::container
.TP
\fBfiles/modules/pt/pt_peg_container_peg\&.n\fR
pt::peg::container::peg
.TP
\fBfiles/modules/pt/pt_peg_export\&.n\fR
pt::peg::export
.TP
\fBfiles/modules/pt/pt_peg_export_container\&.n\fR
pt::peg::export::container
.TP
\fBfiles/modules/pt/pt_peg_export_json\&.n\fR
pt::peg::export::json
.TP
\fBfiles/modules/pt/pt_peg_export_peg\&.n\fR
pt::peg::export::peg
.TP
\fBfiles/modules/pt/pt_peg_from_container\&.n\fR
pt::peg::from::container
.TP
\fBfiles/modules/pt/pt_peg_from_json\&.n\fR
pt::peg::from::json
.TP
\fBfiles/modules/pt/pt_peg_from_peg\&.n\fR
pt::peg::from::peg
.TP
\fBfiles/modules/pt/pt_peg_import\&.n\fR
pt::peg::import
.TP
\fBfiles/modules/pt/pt_peg_import_container\&.n\fR
pt::peg::import::container
.TP
\fBfiles/modules/pt/pt_peg_import_json\&.n\fR
pt::peg::import::json
.TP
\fBfiles/modules/pt/pt_peg_import_peg\&.n\fR
pt::peg::import::peg
.TP
\fBfiles/modules/pt/pt_peg_interp\&.n\fR
pt::peg::interp
.TP
\fBfiles/modules/pt/pt_peg_to_container\&.n\fR
pt::peg::to::container
.TP
\fBfiles/modules/pt/pt_peg_to_cparam\&.n\fR
pt::peg::to::cparam
.TP
\fBfiles/modules/pt/pt_peg_to_json\&.n\fR
pt::peg::to::json
.TP
\fBfiles/modules/pt/pt_peg_to_param\&.n\fR
pt::peg::to::param
.TP
\fBfiles/modules/pt/pt_peg_to_peg\&.n\fR
pt::peg::to::peg
.TP
\fBfiles/modules/pt/pt_peg_to_tclparam\&.n\fR
pt::peg::to::tclparam
.TP
\fBfiles/modules/pt/pt_peg_language\&.n\fR
pt::peg_language
.TP
\fBfiles/modules/pt/pt_peg_introduction\&.n\fR
pt::pegrammar
.TP
\fBfiles/modules/pt/pt_pgen\&.n\fR
pt::pgen
.TP
\fBfiles/modules/pt/pt_rdengine\&.n\fR
pt::rde
.TP
\fBfiles/modules/pt/pt_tclparam_config_snit\&.n\fR
pt::tclparam::configuration::snit
.TP
\fBfiles/modules/pt/pt_tclparam_config_tcloo\&.n\fR
pt::tclparam::configuration::tcloo
.TP
\fBfiles/modules/pt/pt_util\&.n\fR
pt::util
.TP
\fBfiles/modules/pt/pt_to_api\&.n\fR
pt_export_api
.TP
\fBfiles/modules/pt/pt_from_api\&.n\fR
pt_import_api
.TP
\fBfiles/modules/pt/pt_introduction\&.n\fR
pt_introduction
.TP
\fBfiles/modules/pt/pt_parse_peg\&.n\fR
pt_parse_peg
.TP
\fBfiles/modules/pt/pt_parser_api\&.n\fR
pt_parser_api
.TP
\fBfiles/modules/pt/pt_peg_op\&.n\fR
pt_peg_op
.RE
parsing expression grammar
.RS
.TP
\fBfiles/modules/grammar_me/me_intro\&.n\fR
grammar::me_intro
.TP
\fBfiles/modules/grammar_peg/peg\&.n\fR
grammar::peg
.TP
\fBfiles/modules/grammar_peg/peg_interp\&.n\fR
grammar::peg::interp
.TP
\fBfiles/modules/page/page_util_peg\&.n\fR
page_util_peg
.TP
\fBfiles/apps/pt\&.n\fR
pt
.TP
\fBfiles/modules/pt/pt_astree\&.n\fR
pt::ast
.TP
\fBfiles/modules/pt/pt_cparam_config_critcl\&.n\fR
pt::cparam::configuration::critcl
.TP
\fBfiles/modules/pt/pt_cparam_config_tea\&.n\fR
pt::cparam::configuration::tea
.TP
\fBfiles/modules/pt/pt_json_language\&.n\fR
pt::json_language
.TP
\fBfiles/modules/pt/pt_param\&.n\fR
pt::param
.TP
\fBfiles/modules/pt/pt_pexpression\&.n\fR
pt::pe
.TP
\fBfiles/modules/pt/pt_pexpr_op\&.n\fR
pt::pe::op
.TP
\fBfiles/modules/pt/pt_pegrammar\&.n\fR
pt::peg
.TP
\fBfiles/modules/pt/pt_peg_container\&.n\fR
pt::peg::container
.TP
\fBfiles/modules/pt/pt_peg_container_peg\&.n\fR
pt::peg::container::peg
.TP
\fBfiles/modules/pt/pt_peg_export\&.n\fR
pt::peg::export
.TP
\fBfiles/modules/pt/pt_peg_export_container\&.n\fR
pt::peg::export::container
.TP
\fBfiles/modules/pt/pt_peg_export_json\&.n\fR
pt::peg::export::json
.TP
\fBfiles/modules/pt/pt_peg_export_peg\&.n\fR
pt::peg::export::peg
.TP
\fBfiles/modules/pt/pt_peg_from_container\&.n\fR
pt::peg::from::container
.TP
\fBfiles/modules/pt/pt_peg_from_json\&.n\fR
pt::peg::from::json
.TP
\fBfiles/modules/pt/pt_peg_from_peg\&.n\fR
pt::peg::from::peg
.TP
\fBfiles/modules/pt/pt_peg_import\&.n\fR
pt::peg::import
.TP
\fBfiles/modules/pt/pt_peg_import_container\&.n\fR
pt::peg::import::container
.TP
\fBfiles/modules/pt/pt_peg_import_json\&.n\fR
pt::peg::import::json
.TP
\fBfiles/modules/pt/pt_peg_import_peg\&.n\fR
pt::peg::import::peg
.TP
\fBfiles/modules/pt/pt_peg_interp\&.n\fR
pt::peg::interp
.TP
\fBfiles/modules/pt/pt_peg_to_container\&.n\fR
pt::peg::to::container
.TP
\fBfiles/modules/pt/pt_peg_to_cparam\&.n\fR
pt::peg::to::cparam
.TP
\fBfiles/modules/pt/pt_peg_to_json\&.n\fR
pt::peg::to::json
.TP
\fBfiles/modules/pt/pt_peg_to_param\&.n\fR
pt::peg::to::param
.TP
\fBfiles/modules/pt/pt_peg_to_peg\&.n\fR
pt::peg::to::peg
.TP
\fBfiles/modules/pt/pt_peg_to_tclparam\&.n\fR
pt::peg::to::tclparam
.TP
\fBfiles/modules/pt/pt_peg_language\&.n\fR
pt::peg_language
.TP
\fBfiles/modules/pt/pt_peg_introduction\&.n\fR
pt::pegrammar
.TP
\fBfiles/modules/pt/pt_pgen\&.n\fR
pt::pgen
.TP
\fBfiles/modules/pt/pt_rdengine\&.n\fR
pt::rde
.TP
\fBfiles/modules/pt/pt_tclparam_config_snit\&.n\fR
pt::tclparam::configuration::snit
.TP
\fBfiles/modules/pt/pt_tclparam_config_tcloo\&.n\fR
pt::tclparam::configuration::tcloo
.TP
\fBfiles/modules/pt/pt_util\&.n\fR
pt::util
.TP
\fBfiles/modules/pt/pt_to_api\&.n\fR
pt_export_api
.TP
\fBfiles/modules/pt/pt_from_api\&.n\fR
pt_import_api
.TP
\fBfiles/modules/pt/pt_introduction\&.n\fR
pt_introduction
.TP
\fBfiles/modules/pt/pt_parse_peg\&.n\fR
pt_parse_peg
.TP
\fBfiles/modules/pt/pt_parser_api\&.n\fR
pt_parser_api
.TP
\fBfiles/modules/pt/pt_peg_op\&.n\fR
pt_peg_op
.RE
partial application
.RS
.TP
\fBfiles/modules/lambda/lambda\&.n\fR
lambda
.RE
partition
.RS
.TP
\fBfiles/modules/struct/disjointset\&.n\fR
struct::disjointset
.RE
partitioned set
.RS
.TP
\fBfiles/modules/struct/disjointset\&.n\fR
struct::disjointset
.RE
passive
.RS
.TP
\fBfiles/modules/transfer/connect\&.n\fR
transfer::connect
.RE
password
.RS
.TP
\fBfiles/modules/otp/otp\&.n\fR
otp
.RE
patch
.RS
.TP
\fBfiles/modules/docstrip/docstrip_util\&.n\fR
docstrip_util
.RE
patching
.RS
.TP
\fBfiles/modules/rcs/rcs\&.n\fR
rcs
.RE
PEG
.RS
.TP
\fBfiles/modules/grammar_me/me_intro\&.n\fR
grammar::me_intro
.TP
\fBfiles/modules/page/page_util_norm_peg\&.n\fR
page_util_norm_peg
.TP
\fBfiles/modules/page/page_util_peg\&.n\fR
page_util_peg
.TP
\fBfiles/apps/pt\&.n\fR
pt
.TP
\fBfiles/modules/pt/pt_astree\&.n\fR
pt::ast
.TP
\fBfiles/modules/pt/pt_cparam_config_critcl\&.n\fR
pt::cparam::configuration::critcl
.TP
\fBfiles/modules/pt/pt_cparam_config_tea\&.n\fR
pt::cparam::configuration::tea
.TP
\fBfiles/modules/pt/pt_json_language\&.n\fR
pt::json_language
.TP
\fBfiles/modules/pt/pt_param\&.n\fR
pt::param
.TP
\fBfiles/modules/pt/pt_pexpression\&.n\fR
pt::pe
.TP
\fBfiles/modules/pt/pt_pexpr_op\&.n\fR
pt::pe::op
.TP
\fBfiles/modules/pt/pt_pegrammar\&.n\fR
pt::peg
.TP
\fBfiles/modules/pt/pt_peg_container\&.n\fR
pt::peg::container
.TP
\fBfiles/modules/pt/pt_peg_container_peg\&.n\fR
pt::peg::container::peg
.TP
\fBfiles/modules/pt/pt_peg_export\&.n\fR
pt::peg::export
.TP
\fBfiles/modules/pt/pt_peg_export_container\&.n\fR
pt::peg::export::container
.TP
\fBfiles/modules/pt/pt_peg_export_json\&.n\fR
pt::peg::export::json
.TP
\fBfiles/modules/pt/pt_peg_export_peg\&.n\fR
pt::peg::export::peg
.TP
\fBfiles/modules/pt/pt_peg_from_container\&.n\fR
pt::peg::from::container
.TP
\fBfiles/modules/pt/pt_peg_from_json\&.n\fR
pt::peg::from::json
.TP
\fBfiles/modules/pt/pt_peg_from_peg\&.n\fR
pt::peg::from::peg
.TP
\fBfiles/modules/pt/pt_peg_import\&.n\fR
pt::peg::import
.TP
\fBfiles/modules/pt/pt_peg_import_container\&.n\fR
pt::peg::import::container
.TP
\fBfiles/modules/pt/pt_peg_import_json\&.n\fR
pt::peg::import::json
.TP
\fBfiles/modules/pt/pt_peg_import_peg\&.n\fR
pt::peg::import::peg
.TP
\fBfiles/modules/pt/pt_peg_interp\&.n\fR
pt::peg::interp
.TP
\fBfiles/modules/pt/pt_peg_to_container\&.n\fR
pt::peg::to::container
.TP
\fBfiles/modules/pt/pt_peg_to_cparam\&.n\fR
pt::peg::to::cparam
.TP
\fBfiles/modules/pt/pt_peg_to_json\&.n\fR
pt::peg::to::json
.TP
\fBfiles/modules/pt/pt_peg_to_param\&.n\fR
pt::peg::to::param
.TP
\fBfiles/modules/pt/pt_peg_to_peg\&.n\fR
pt::peg::to::peg
.TP
\fBfiles/modules/pt/pt_peg_to_tclparam\&.n\fR
pt::peg::to::tclparam
.TP
\fBfiles/modules/pt/pt_peg_language\&.n\fR
pt::peg_language
.TP
\fBfiles/modules/pt/pt_peg_introduction\&.n\fR
pt::pegrammar
.TP
\fBfiles/modules/pt/pt_pgen\&.n\fR
pt::pgen
.TP
\fBfiles/modules/pt/pt_rdengine\&.n\fR
pt::rde
.TP
\fBfiles/modules/pt/pt_tclparam_config_snit\&.n\fR
pt::tclparam::configuration::snit
.TP
\fBfiles/modules/pt/pt_tclparam_config_tcloo\&.n\fR
pt::tclparam::configuration::tcloo
.TP
\fBfiles/modules/pt/pt_util\&.n\fR
pt::util
.TP
\fBfiles/modules/pt/pt_to_api\&.n\fR
pt_export_api
.TP
\fBfiles/modules/pt/pt_from_api\&.n\fR
pt_import_api
.TP
\fBfiles/modules/pt/pt_introduction\&.n\fR
pt_introduction
.TP
\fBfiles/modules/pt/pt_parse_peg\&.n\fR
pt_parse_peg
.TP
\fBfiles/modules/pt/pt_parser_api\&.n\fR
pt_parser_api
.TP
\fBfiles/modules/pt/pt_peg_op\&.n\fR
pt_peg_op
.RE
performance
.RS
.TP
\fBfiles/modules/bench/bench\&.n\fR
bench
.TP
\fBfiles/modules/bench/bench_read\&.n\fR
bench::in
.TP
\fBfiles/modules/bench/bench_wcsv\&.n\fR
bench::out::csv
.TP
\fBfiles/modules/bench/bench_wtext\&.n\fR
bench::out::text
.TP
\fBfiles/modules/bench/bench_intro\&.n\fR
bench_intro
.TP
\fBfiles/modules/bench/bench_lang_intro\&.n\fR
bench_lang_intro
.TP
\fBfiles/modules/bench/bench_lang_spec\&.n\fR
bench_lang_spec
.TP
\fBfiles/modules/profiler/profiler\&.n\fR
profiler
.RE
permutation
.RS
.TP
\fBfiles/modules/struct/struct_list\&.n\fR
struct::list
.RE
persistence
.RS
.TP
\fBfiles/modules/tie/tie\&.n\fR
tie
.TP
\fBfiles/modules/tie/tie_std\&.n\fR
tie
.RE
phone
.RS
.TP
\fBfiles/modules/valtype/imei\&.n\fR
valtype::imei
.RE
pi
.RS
.TP
\fBfiles/modules/math/constants\&.n\fR
math::constants
.RE
plain text
.RS
.TP
\fBfiles/modules/doctools2idx/idx_export_text\&.n\fR
doctools::idx::export::text
.TP
\fBfiles/modules/doctools2toc/toc_export_text\&.n\fR
doctools::toc::export::text
.RE
plane geometry
.RS
.TP
\fBfiles/modules/math/math_geometry\&.n\fR
math::geometry
.RE
plugin
.RS
.TP
\fBfiles/modules/doctools/docidx_plugin_apiref\&.n\fR
docidx_plugin_apiref
.TP
\fBfiles/modules/doctools/doctoc_plugin_apiref\&.n\fR
doctoc_plugin_apiref
.TP
\fBfiles/modules/doctools2idx/idx_introduction\&.n\fR
doctools2idx_introduction
.TP
\fBfiles/modules/doctools2toc/toc_introduction\&.n\fR
doctools2toc_introduction
.TP
\fBfiles/modules/doctools2base/html_cssdefaults\&.n\fR
doctools::html::cssdefaults
.TP
\fBfiles/modules/doctools2idx/idx_container\&.n\fR
doctools::idx
.TP
\fBfiles/modules/doctools2idx/idx_export\&.n\fR
doctools::idx::export
.TP
\fBfiles/modules/doctools2idx/idx_import\&.n\fR
doctools::idx::import
.TP
\fBfiles/modules/doctools2base/nroff_manmacros\&.n\fR
doctools::nroff::man_macros
.TP
\fBfiles/modules/doctools2toc/toc_container\&.n\fR
doctools::toc
.TP
\fBfiles/modules/doctools2toc/toc_export\&.n\fR
doctools::toc::export
.TP
\fBfiles/modules/doctools2toc/toc_import\&.n\fR
doctools::toc::import
.TP
\fBfiles/modules/pt/pt_peg_export_container\&.n\fR
pt::peg::export::container
.TP
\fBfiles/modules/pt/pt_peg_export_json\&.n\fR
pt::peg::export::json
.TP
\fBfiles/modules/pt/pt_peg_export_peg\&.n\fR
pt::peg::export::peg
.TP
\fBfiles/modules/pt/pt_peg_import_json\&.n\fR
pt::peg::import::json
.TP
\fBfiles/modules/pt/pt_peg_import_peg\&.n\fR
pt::peg::import::peg
.RE
plugin management
.RS
.TP
\fBfiles/modules/pluginmgr/pluginmgr\&.n\fR
pluginmgr
.RE
plugin search
.RS
.TP
\fBfiles/modules/pluginmgr/pluginmgr\&.n\fR
pluginmgr
.RE
png
.RS
.TP
\fBfiles/modules/png/png\&.n\fR
png
.RE
point
.RS
.TP
\fBfiles/modules/math/math_geometry\&.n\fR
math::geometry
.RE
polynomial functions
.RS
.TP
\fBfiles/modules/math/polynomials\&.n\fR
math::polynomials
.RE
pool
.RS
.TP
\fBfiles/modules/struct/pool\&.n\fR
struct::pool
.TP
\fBfiles/modules/struct/queue\&.n\fR
struct::queue
.RE
pop
.RS
.TP
\fBfiles/modules/pop3/pop3\&.n\fR
pop3
.RE
pop3
.RS
.TP
\fBfiles/modules/pop3/pop3\&.n\fR
pop3
.TP
\fBfiles/modules/pop3d/pop3d\&.n\fR
pop3d
.TP
\fBfiles/modules/pop3d/pop3d_dbox\&.n\fR
pop3d::dbox
.TP
\fBfiles/modules/pop3d/pop3d_udb\&.n\fR
pop3d::udb
.RE
post-order
.RS
.TP
\fBfiles/modules/struct/struct_tree\&.n\fR
struct::tree
.RE
pre-order
.RS
.TP
\fBfiles/modules/struct/struct_tree\&.n\fR
struct::tree
.RE
prefix
.RS
.TP
\fBfiles/modules/textutil/textutil_string\&.n\fR
textutil::string
.TP
\fBfiles/modules/textutil/trim\&.n\fR
textutil::trim
.RE
prime
.RS
.TP
\fBfiles/modules/math/numtheory\&.n\fR
math::numtheory
.RE
prioqueue
.RS
.TP
\fBfiles/modules/struct/prioqueue\&.n\fR
struct::prioqueue
.TP
\fBfiles/modules/struct/queue\&.n\fR
struct::queue
.RE
priority queue
.RS
.TP
\fBfiles/modules/struct/prioqueue\&.n\fR
struct::prioqueue
.RE
proc
.RS
.TP
\fBfiles/modules/lambda/lambda\&.n\fR
lambda
.RE
procedure
.RS
.TP
\fBfiles/modules/interp/deleg_proc\&.n\fR
deleg_proc
.TP
\fBfiles/modules/tepam/tepam_introduction\&.n\fR
tepam
.TP
\fBfiles/modules/tepam/tepam_procedure\&.n\fR
tepam::procedure
.RE
procedure documentation
.RS
.TP
\fBfiles/modules/tepam/tepam_doc_gen\&.n\fR
tepam::doc_gen
.RE
processman
.RS
.TP
\fBfiles/modules/processman/processman\&.n\fR
processman
.RE
producer
.RS
.TP
\fBfiles/modules/hook/hook\&.n\fR
hook
.RE
profile
.RS
.TP
\fBfiles/modules/profiler/profiler\&.n\fR
profiler
.RE
projection
.RS
.TP
\fBfiles/modules/mapproj/mapproj\&.n\fR
mapproj
.RE
prospero
.RS
.TP
\fBfiles/modules/uri/uri\&.n\fR
uri
.RE
protocol
.RS
.TP
\fBfiles/modules/asn/asn\&.n\fR
asn
.TP
\fBfiles/modules/ldap/ldap\&.n\fR
ldap
.TP
\fBfiles/modules/ldap/ldapx\&.n\fR
ldapx
.TP
\fBfiles/modules/nns/nns_protocol\&.n\fR
nameserv::protocol
.TP
\fBfiles/modules/pop3d/pop3d\&.n\fR
pop3d
.TP
\fBfiles/modules/pop3d/pop3d_dbox\&.n\fR
pop3d::dbox
.TP
\fBfiles/modules/pop3d/pop3d_udb\&.n\fR
pop3d::udb
.RE
proxy
.RS
.TP
\fBfiles/modules/http/autoproxy\&.n\fR
autoproxy
.RE
public key cipher
.RS
.TP
\fBfiles/modules/pki/pki\&.n\fR
pki
.RE
publisher
.RS
.TP
\fBfiles/modules/hook/hook\&.n\fR
hook
.RE
push down automaton
.RS
.TP
\fBfiles/modules/grammar_me/me_intro\&.n\fR
grammar::me_intro
.TP
\fBfiles/modules/grammar_peg/peg\&.n\fR
grammar::peg
.TP
\fBfiles/modules/grammar_peg/peg_interp\&.n\fR
grammar::peg::interp
.TP
\fBfiles/apps/pt\&.n\fR
pt
.TP
\fBfiles/modules/pt/pt_astree\&.n\fR
pt::ast
.TP
\fBfiles/modules/pt/pt_cparam_config_critcl\&.n\fR
pt::cparam::configuration::critcl
.TP
\fBfiles/modules/pt/pt_cparam_config_tea\&.n\fR
pt::cparam::configuration::tea
.TP
\fBfiles/modules/pt/pt_json_language\&.n\fR
pt::json_language
.TP
\fBfiles/modules/pt/pt_param\&.n\fR
pt::param
.TP
\fBfiles/modules/pt/pt_pexpression\&.n\fR
pt::pe
.TP
\fBfiles/modules/pt/pt_pexpr_op\&.n\fR
pt::pe::op
.TP
\fBfiles/modules/pt/pt_pegrammar\&.n\fR
pt::peg
.TP
\fBfiles/modules/pt/pt_peg_container\&.n\fR
pt::peg::container
.TP
\fBfiles/modules/pt/pt_peg_container_peg\&.n\fR
pt::peg::container::peg
.TP
\fBfiles/modules/pt/pt_peg_export\&.n\fR
pt::peg::export
.TP
\fBfiles/modules/pt/pt_peg_export_container\&.n\fR
pt::peg::export::container
.TP
\fBfiles/modules/pt/pt_peg_export_json\&.n\fR
pt::peg::export::json
.TP
\fBfiles/modules/pt/pt_peg_export_peg\&.n\fR
pt::peg::export::peg
.TP
\fBfiles/modules/pt/pt_peg_from_container\&.n\fR
pt::peg::from::container
.TP
\fBfiles/modules/pt/pt_peg_from_json\&.n\fR
pt::peg::from::json
.TP
\fBfiles/modules/pt/pt_peg_from_peg\&.n\fR
pt::peg::from::peg
.TP
\fBfiles/modules/pt/pt_peg_import\&.n\fR
pt::peg::import
.TP
\fBfiles/modules/pt/pt_peg_import_container\&.n\fR
pt::peg::import::container
.TP
\fBfiles/modules/pt/pt_peg_import_json\&.n\fR
pt::peg::import::json
.TP
\fBfiles/modules/pt/pt_peg_import_peg\&.n\fR
pt::peg::import::peg
.TP
\fBfiles/modules/pt/pt_peg_interp\&.n\fR
pt::peg::interp
.TP
\fBfiles/modules/pt/pt_peg_to_container\&.n\fR
pt::peg::to::container
.TP
\fBfiles/modules/pt/pt_peg_to_cparam\&.n\fR
pt::peg::to::cparam
.TP
\fBfiles/modules/pt/pt_peg_to_json\&.n\fR
pt::peg::to::json
.TP
\fBfiles/modules/pt/pt_peg_to_param\&.n\fR
pt::peg::to::param
.TP
\fBfiles/modules/pt/pt_peg_to_peg\&.n\fR
pt::peg::to::peg
.TP
\fBfiles/modules/pt/pt_peg_to_tclparam\&.n\fR
pt::peg::to::tclparam
.TP
\fBfiles/modules/pt/pt_peg_language\&.n\fR
pt::peg_language
.TP
\fBfiles/modules/pt/pt_peg_introduction\&.n\fR
pt::pegrammar
.TP
\fBfiles/modules/pt/pt_pgen\&.n\fR
pt::pgen
.TP
\fBfiles/modules/pt/pt_rdengine\&.n\fR
pt::rde
.TP
\fBfiles/modules/pt/pt_tclparam_config_snit\&.n\fR
pt::tclparam::configuration::snit
.TP
\fBfiles/modules/pt/pt_tclparam_config_tcloo\&.n\fR
pt::tclparam::configuration::tcloo
.TP
\fBfiles/modules/pt/pt_util\&.n\fR
pt::util
.TP
\fBfiles/modules/pt/pt_to_api\&.n\fR
pt_export_api
.TP
\fBfiles/modules/pt/pt_from_api\&.n\fR
pt_import_api
.TP
\fBfiles/modules/pt/pt_introduction\&.n\fR
pt_introduction
.TP
\fBfiles/modules/pt/pt_parse_peg\&.n\fR
pt_parse_peg
.TP
\fBfiles/modules/pt/pt_parser_api\&.n\fR
pt_parser_api
.TP
\fBfiles/modules/pt/pt_peg_op\&.n\fR
pt_peg_op
.RE
queue
.RS
.TP
\fBfiles/modules/csv/csv\&.n\fR
csv
.TP
\fBfiles/modules/htmlparse/htmlparse\&.n\fR
htmlparse
.TP
\fBfiles/modules/struct/stack\&.n\fR
struct::stack
.TP
\fBfiles/modules/transfer/tqueue\&.n\fR
transfer::copy::queue
.RE
quoting
.RS
.TP
\fBfiles/modules/page/page_util_quote\&.n\fR
page_util_quote
.RE
radians
.RS
.TP
\fBfiles/modules/math/constants\&.n\fR
math::constants
.TP
\fBfiles/modules/units/units\&.n\fR
units
.RE
radiobutton
.RS
.TP
\fBfiles/modules/html/html\&.n\fR
html
.RE
radius
.RS
.TP
\fBfiles/modules/struct/graphops\&.n\fR
struct::graph::op
.RE
random
.RS
.TP
\fBfiles/modules/virtchannel_base/tcllib_random\&.n\fR
tcl::chan::random
.TP
\fBfiles/modules/virtchannel_base/randseed\&.n\fR
tcl::randomseed
.RE
random numbers
.RS
.TP
\fBfiles/modules/simulation/simulation_random\&.n\fR
simulation::random
.RE
rational functions
.RS
.TP
\fBfiles/modules/math/rational_funcs\&.n\fR
math::rationalfunctions
.RE
raw
.RS
.TP
\fBfiles/modules/term/ansi_ctrlu\&.n\fR
term::ansi::ctrl::unix
.RE
rc4
.RS
.TP
\fBfiles/modules/rc4/rc4\&.n\fR
rc4
.RE
RCS
.RS
.TP
\fBfiles/modules/rcs/rcs\&.n\fR
rcs
.RE
RCS patch
.RS
.TP
\fBfiles/modules/rcs/rcs\&.n\fR
rcs
.RE
read
.RS
.TP
\fBfiles/modules/coroutine/tcllib_coroutine\&.n\fR
coroutine
.TP
\fBfiles/modules/coroutine/coro_auto\&.n\fR
coroutine::auto
.RE
reading
.RS
.TP
\fBfiles/modules/bench/bench_read\&.n\fR
bench::in
.RE
receiver
.RS
.TP
\fBfiles/modules/term/receive\&.n\fR
term::receive
.TP
\fBfiles/modules/term/term_bind\&.n\fR
term::receive::bind
.TP
\fBfiles/modules/transfer/receiver\&.n\fR
transfer::receiver
.RE
reconnect
.RS
.TP
\fBfiles/modules/nns/nns_auto\&.n\fR
nameserv::auto
.RE
record
.RS
.TP
\fBfiles/modules/struct/queue\&.n\fR
struct::queue
.TP
\fBfiles/modules/struct/record\&.n\fR
struct::record
.RE
recursive descent
.RS
.TP
\fBfiles/modules/grammar_me/me_intro\&.n\fR
grammar::me_intro
.TP
\fBfiles/modules/grammar_peg/peg\&.n\fR
grammar::peg
.TP
\fBfiles/modules/grammar_peg/peg_interp\&.n\fR
grammar::peg::interp
.TP
\fBfiles/apps/pt\&.n\fR
pt
.TP
\fBfiles/modules/pt/pt_astree\&.n\fR
pt::ast
.TP
\fBfiles/modules/pt/pt_cparam_config_critcl\&.n\fR
pt::cparam::configuration::critcl
.TP
\fBfiles/modules/pt/pt_cparam_config_tea\&.n\fR
pt::cparam::configuration::tea
.TP
\fBfiles/modules/pt/pt_json_language\&.n\fR
pt::json_language
.TP
\fBfiles/modules/pt/pt_param\&.n\fR
pt::param
.TP
\fBfiles/modules/pt/pt_pexpression\&.n\fR
pt::pe
.TP
\fBfiles/modules/pt/pt_pexpr_op\&.n\fR
pt::pe::op
.TP
\fBfiles/modules/pt/pt_pegrammar\&.n\fR
pt::peg
.TP
\fBfiles/modules/pt/pt_peg_container\&.n\fR
pt::peg::container
.TP
\fBfiles/modules/pt/pt_peg_container_peg\&.n\fR
pt::peg::container::peg
.TP
\fBfiles/modules/pt/pt_peg_export\&.n\fR
pt::peg::export
.TP
\fBfiles/modules/pt/pt_peg_export_container\&.n\fR
pt::peg::export::container
.TP
\fBfiles/modules/pt/pt_peg_export_json\&.n\fR
pt::peg::export::json
.TP
\fBfiles/modules/pt/pt_peg_export_peg\&.n\fR
pt::peg::export::peg
.TP
\fBfiles/modules/pt/pt_peg_from_container\&.n\fR
pt::peg::from::container
.TP
\fBfiles/modules/pt/pt_peg_from_json\&.n\fR
pt::peg::from::json
.TP
\fBfiles/modules/pt/pt_peg_from_peg\&.n\fR
pt::peg::from::peg
.TP
\fBfiles/modules/pt/pt_peg_import\&.n\fR
pt::peg::import
.TP
\fBfiles/modules/pt/pt_peg_import_container\&.n\fR
pt::peg::import::container
.TP
\fBfiles/modules/pt/pt_peg_import_json\&.n\fR
pt::peg::import::json
.TP
\fBfiles/modules/pt/pt_peg_import_peg\&.n\fR
pt::peg::import::peg
.TP
\fBfiles/modules/pt/pt_peg_interp\&.n\fR
pt::peg::interp
.TP
\fBfiles/modules/pt/pt_peg_to_container\&.n\fR
pt::peg::to::container
.TP
\fBfiles/modules/pt/pt_peg_to_cparam\&.n\fR
pt::peg::to::cparam
.TP
\fBfiles/modules/pt/pt_peg_to_json\&.n\fR
pt::peg::to::json
.TP
\fBfiles/modules/pt/pt_peg_to_param\&.n\fR
pt::peg::to::param
.TP
\fBfiles/modules/pt/pt_peg_to_peg\&.n\fR
pt::peg::to::peg
.TP
\fBfiles/modules/pt/pt_peg_to_tclparam\&.n\fR
pt::peg::to::tclparam
.TP
\fBfiles/modules/pt/pt_peg_language\&.n\fR
pt::peg_language
.TP
\fBfiles/modules/pt/pt_peg_introduction\&.n\fR
pt::pegrammar
.TP
\fBfiles/modules/pt/pt_pgen\&.n\fR
pt::pgen
.TP
\fBfiles/modules/pt/pt_rdengine\&.n\fR
pt::rde
.TP
\fBfiles/modules/pt/pt_tclparam_config_snit\&.n\fR
pt::tclparam::configuration::snit
.TP
\fBfiles/modules/pt/pt_tclparam_config_tcloo\&.n\fR
pt::tclparam::configuration::tcloo
.TP
\fBfiles/modules/pt/pt_util\&.n\fR
pt::util
.TP
\fBfiles/modules/pt/pt_to_api\&.n\fR
pt_export_api
.TP
\fBfiles/modules/pt/pt_from_api\&.n\fR
pt_import_api
.TP
\fBfiles/modules/pt/pt_introduction\&.n\fR
pt_introduction
.TP
\fBfiles/modules/pt/pt_parse_peg\&.n\fR
pt_parse_peg
.TP
\fBfiles/modules/pt/pt_parser_api\&.n\fR
pt_parser_api
.TP
\fBfiles/modules/pt/pt_peg_op\&.n\fR
pt_peg_op
.RE
reduce
.RS
.TP
\fBfiles/modules/generator/generator\&.n\fR
generator
.TP
\fBfiles/modules/struct/struct_list\&.n\fR
struct::list
.RE
reference
.RS
.TP
\fBfiles/modules/doctools2idx/idx_container\&.n\fR
doctools::idx
.TP
\fBfiles/modules/doctools2idx/idx_export\&.n\fR
doctools::idx::export
.TP
\fBfiles/modules/doctools2idx/idx_import\&.n\fR
doctools::idx::import
.TP
\fBfiles/modules/doctools2toc/toc_container\&.n\fR
doctools::toc
.TP
\fBfiles/modules/doctools2toc/toc_export\&.n\fR
doctools::toc::export
.TP
\fBfiles/modules/doctools2toc/toc_import\&.n\fR
doctools::toc::import
.RE
reflected channel
.RS
.TP
\fBfiles/modules/virtchannel_base/cat\&.n\fR
tcl::chan::cat
.TP
\fBfiles/modules/virtchannel_core/core\&.n\fR
tcl::chan::core
.TP
\fBfiles/modules/virtchannel_core/events\&.n\fR
tcl::chan::events
.TP
\fBfiles/modules/virtchannel_base/facade\&.n\fR
tcl::chan::facade
.TP
\fBfiles/modules/virtchannel_base/tcllib_fifo\&.n\fR
tcl::chan::fifo
.TP
\fBfiles/modules/virtchannel_base/tcllib_fifo2\&.n\fR
tcl::chan::fifo2
.TP
\fBfiles/modules/virtchannel_base/halfpipe\&.n\fR
tcl::chan::halfpipe
.TP
\fBfiles/modules/virtchannel_base/tcllib_memchan\&.n\fR
tcl::chan::memchan
.TP
\fBfiles/modules/virtchannel_base/tcllib_null\&.n\fR
tcl::chan::null
.TP
\fBfiles/modules/virtchannel_base/nullzero\&.n\fR
tcl::chan::nullzero
.TP
\fBfiles/modules/virtchannel_base/tcllib_random\&.n\fR
tcl::chan::random
.TP
\fBfiles/modules/virtchannel_base/std\&.n\fR
tcl::chan::std
.TP
\fBfiles/modules/virtchannel_base/tcllib_string\&.n\fR
tcl::chan::string
.TP
\fBfiles/modules/virtchannel_base/textwindow\&.n\fR
tcl::chan::textwindow
.TP
\fBfiles/modules/virtchannel_base/tcllib_variable\&.n\fR
tcl::chan::variable
.TP
\fBfiles/modules/virtchannel_base/tcllib_zero\&.n\fR
tcl::chan::zero
.TP
\fBfiles/modules/virtchannel_base/randseed\&.n\fR
tcl::randomseed
.TP
\fBfiles/modules/virtchannel_transform/adler32\&.n\fR
tcl::transform::adler32
.TP
\fBfiles/modules/virtchannel_transform/vt_base64\&.n\fR
tcl::transform::base64
.TP
\fBfiles/modules/virtchannel_core/transformcore\&.n\fR
tcl::transform::core
.TP
\fBfiles/modules/virtchannel_transform/vt_counter\&.n\fR
tcl::transform::counter
.TP
\fBfiles/modules/virtchannel_transform/vt_crc32\&.n\fR
tcl::transform::crc32
.TP
\fBfiles/modules/virtchannel_transform/hex\&.n\fR
tcl::transform::hex
.TP
\fBfiles/modules/virtchannel_transform/identity\&.n\fR
tcl::transform::identity
.TP
\fBfiles/modules/virtchannel_transform/limitsize\&.n\fR
tcl::transform::limitsize
.TP
\fBfiles/modules/virtchannel_transform/observe\&.n\fR
tcl::transform::observe
.TP
\fBfiles/modules/virtchannel_transform/vt_otp\&.n\fR
tcl::transform::otp
.TP
\fBfiles/modules/virtchannel_transform/rot\&.n\fR
tcl::transform::rot
.TP
\fBfiles/modules/virtchannel_transform/spacer\&.n\fR
tcl::transform::spacer
.TP
\fBfiles/modules/virtchannel_transform/tcllib_zlib\&.n\fR
tcl::transform::zlib
.RE
regex
.RS
.TP
\fBfiles/modules/string/token\&.n\fR
string::token
.RE
regular expression
.RS
.TP
\fBfiles/modules/grammar_fa/fa\&.n\fR
grammar::fa
.TP
\fBfiles/modules/grammar_fa/dacceptor\&.n\fR
grammar::fa::dacceptor
.TP
\fBfiles/modules/grammar_fa/dexec\&.n\fR
grammar::fa::dexec
.TP
\fBfiles/modules/grammar_fa/faop\&.n\fR
grammar::fa::op
.TP
\fBfiles/modules/textutil/textutil\&.n\fR
textutil
.TP
\fBfiles/modules/textutil/textutil_split\&.n\fR
textutil::split
.TP
\fBfiles/modules/textutil/trim\&.n\fR
textutil::trim
.RE
regular grammar
.RS
.TP
\fBfiles/modules/grammar_fa/fa\&.n\fR
grammar::fa
.TP
\fBfiles/modules/grammar_fa/dacceptor\&.n\fR
grammar::fa::dacceptor
.TP
\fBfiles/modules/grammar_fa/dexec\&.n\fR
grammar::fa::dexec
.TP
\fBfiles/modules/grammar_fa/faop\&.n\fR
grammar::fa::op
.RE
regular languages
.RS
.TP
\fBfiles/modules/grammar_fa/fa\&.n\fR
grammar::fa
.TP
\fBfiles/modules/grammar_fa/dacceptor\&.n\fR
grammar::fa::dacceptor
.TP
\fBfiles/modules/grammar_fa/dexec\&.n\fR
grammar::fa::dexec
.TP
\fBfiles/modules/grammar_fa/faop\&.n\fR
grammar::fa::op
.RE
remote communication
.RS
.TP
\fBfiles/modules/comm/comm\&.n\fR
comm
.TP
\fBfiles/modules/comm/comm_wire\&.n\fR
comm_wire
.RE
remote execution
.RS
.TP
\fBfiles/modules/comm/comm\&.n\fR
comm
.TP
\fBfiles/modules/comm/comm_wire\&.n\fR
comm_wire
.RE
remove
.RS
.TP
\fBfiles/modules/fileutil/multi\&.n\fR
fileutil::multi
.TP
\fBfiles/modules/fileutil/multiop\&.n\fR
fileutil::multi::op
.RE
repeating
.RS
.TP
\fBfiles/modules/struct/struct_list\&.n\fR
struct::list
.RE
repetition
.RS
.TP
\fBfiles/modules/struct/struct_list\&.n\fR
struct::list
.TP
\fBfiles/modules/textutil/repeat\&.n\fR
textutil::repeat
.RE
report
.RS
.TP
\fBfiles/modules/report/report\&.n\fR
report
.RE
reshuffle
.RS
.TP
\fBfiles/modules/struct/struct_list\&.n\fR
struct::list
.RE
residual graph
.RS
.TP
\fBfiles/modules/struct/graphops\&.n\fR
struct::graph::op
.RE
resolver
.RS
.TP
\fBfiles/modules/dns/tcllib_dns\&.n\fR
dns
.RE
resource management
.RS
.TP
\fBfiles/modules/try/tcllib_try\&.n\fR
try
.RE
restore
.RS
.TP
\fBfiles/modules/nns/nns_auto\&.n\fR
nameserv::auto
.RE
return
.RS
.TP
\fBfiles/modules/try/tcllib_throw\&.n\fR
try
.RE
reverse
.RS
.TP
\fBfiles/modules/struct/struct_list\&.n\fR
struct::list
.RE
rfc 821
.RS
.TP
\fBfiles/modules/mime/mime\&.n\fR
mime
.TP
\fBfiles/modules/mime/smtp\&.n\fR
smtp
.TP
\fBfiles/modules/smtpd/smtpd\&.n\fR
smtpd
.RE
rfc 822
.RS
.TP
\fBfiles/modules/mime/mime\&.n\fR
mime
.TP
\fBfiles/modules/pop3d/pop3d_dbox\&.n\fR
pop3d::dbox
.TP
\fBfiles/modules/mime/smtp\&.n\fR
smtp
.RE
rfc 868
.RS
.TP
\fBfiles/modules/ntp/ntp_time\&.n\fR
ntp_time
.RE
rfc 959
.RS
.TP
\fBfiles/modules/ftp/ftp\&.n\fR
ftp
.TP
\fBfiles/modules/ftp/ftp_geturl\&.n\fR
ftp::geturl
.TP
\fBfiles/modules/ftpd/ftpd\&.n\fR
ftpd
.RE
rfc 977
.RS
.TP
\fBfiles/modules/nntp/nntp\&.n\fR
nntp
.RE
rfc 1034
.RS
.TP
\fBfiles/modules/dns/tcllib_dns\&.n\fR
dns
.RE
rfc 1035
.RS
.TP
\fBfiles/modules/dns/tcllib_dns\&.n\fR
dns
.RE
rfc 1036
.RS
.TP
\fBfiles/modules/nntp/nntp\&.n\fR
nntp
.RE
rfc 1320
.RS
.TP
\fBfiles/modules/md4/md4\&.n\fR
md4
.TP
\fBfiles/modules/md5/md5\&.n\fR
md5
.TP
\fBfiles/modules/ripemd/ripemd128\&.n\fR
ripemd128
.TP
\fBfiles/modules/ripemd/ripemd160\&.n\fR
ripemd160
.RE
rfc 1321
.RS
.TP
\fBfiles/modules/md4/md4\&.n\fR
md4
.TP
\fBfiles/modules/md5/md5\&.n\fR
md5
.TP
\fBfiles/modules/ripemd/ripemd128\&.n\fR
ripemd128
.TP
\fBfiles/modules/ripemd/ripemd160\&.n\fR
ripemd160
.RE
rfc 1413
.RS
.TP
\fBfiles/modules/ident/ident\&.n\fR
ident
.RE
rfc 1886
.RS
.TP
\fBfiles/modules/dns/tcllib_dns\&.n\fR
dns
.RE
rfc 1939
.RS
.TP
\fBfiles/modules/pop3/pop3\&.n\fR
pop3
.TP
\fBfiles/modules/pop3d/pop3d\&.n\fR
pop3d
.RE
rfc 2030
.RS
.TP
\fBfiles/modules/ntp/ntp_time\&.n\fR
ntp_time
.RE
rfc 2045
.RS
.TP
\fBfiles/modules/mime/mime\&.n\fR
mime
.RE
rfc 2046
.RS
.TP
\fBfiles/modules/mime/mime\&.n\fR
mime
.RE
rfc 2049
.RS
.TP
\fBfiles/modules/mime/mime\&.n\fR
mime
.RE
rfc 2104
.RS
.TP
\fBfiles/modules/md4/md4\&.n\fR
md4
.TP
\fBfiles/modules/md5/md5\&.n\fR
md5
.TP
\fBfiles/modules/ripemd/ripemd128\&.n\fR
ripemd128
.TP
\fBfiles/modules/ripemd/ripemd160\&.n\fR
ripemd160
.TP
\fBfiles/modules/sha1/sha1\&.n\fR
sha1
.TP
\fBfiles/modules/sha1/sha256\&.n\fR
sha256
.RE
rfc 2141
.RS
.TP
\fBfiles/modules/uri/urn-scheme\&.n\fR
uri_urn
.RE
rfc 2251
.RS
.TP
\fBfiles/modules/ldap/ldap\&.n\fR
ldap
.TP
\fBfiles/modules/ldap/ldapx\&.n\fR
ldapx
.RE
rfc 2255
.RS
.TP
\fBfiles/modules/uri/uri\&.n\fR
uri
.RE
rfc 2289
.RS
.TP
\fBfiles/modules/otp/otp\&.n\fR
otp
.RE
rfc 2396
.RS
.TP
\fBfiles/modules/uri/uri\&.n\fR
uri
.RE
rfc 2554
.RS
.TP
\fBfiles/modules/mime/smtp\&.n\fR
smtp
.RE
RFC 2718
.RS
.TP
\fBfiles/modules/oauth/oauth\&.n\fR
oauth
.RE
rfc 2821
.RS
.TP
\fBfiles/modules/mime/smtp\&.n\fR
smtp
.TP
\fBfiles/modules/smtpd/smtpd\&.n\fR
smtpd
.RE
rfc 2849
.RS
.TP
\fBfiles/modules/ldap/ldapx\&.n\fR
ldapx
.RE
rfc 3207
.RS
.TP
\fBfiles/modules/mime/smtp\&.n\fR
smtp
.RE
rfc 3513
.RS
.TP
\fBfiles/modules/dns/tcllib_ip\&.n\fR
tcllib_ip
.RE
rfc 4511
.RS
.TP
\fBfiles/modules/ldap/ldap\&.n\fR
ldap
.RE
RFC 5849
.RS
.TP
\fBfiles/modules/oauth/oauth\&.n\fR
oauth
.RE
rfc 6455
.RS
.TP
\fBfiles/modules/websocket/websocket\&.n\fR
websocket
.RE
rfc3501
.RS
.TP
\fBfiles/modules/imap4/imap4\&.n\fR
imap4
.RE
rfc3548
.RS
.TP
\fBfiles/modules/base32/base32\&.n\fR
base32
.TP
\fBfiles/modules/base32/base32hex\&.n\fR
base32::hex
.RE
right outer join
.RS
.TP
\fBfiles/modules/struct/struct_list\&.n\fR
struct::list
.RE
RIPEMD
.RS
.TP
\fBfiles/modules/ripemd/ripemd128\&.n\fR
ripemd128
.TP
\fBfiles/modules/ripemd/ripemd160\&.n\fR
ripemd160
.RE
roman numeral
.RS
.TP
\fBfiles/modules/math/roman\&.n\fR
math::roman
.RE
roots
.RS
.TP
\fBfiles/modules/math/calculus\&.n\fR
math::calculus
.RE
rot
.RS
.TP
\fBfiles/modules/virtchannel_transform/rot\&.n\fR
tcl::transform::rot
.RE
rot13
.RS
.TP
\fBfiles/modules/virtchannel_transform/rot\&.n\fR
tcl::transform::rot
.RE
rounding
.RS
.TP
\fBfiles/modules/math/fuzzy\&.n\fR
math::fuzzy
.RE
rows
.RS
.TP
\fBfiles/modules/term/ansi_ctrlu\&.n\fR
term::ansi::ctrl::unix
.RE
rpc
.RS
.TP
\fBfiles/modules/comm/comm\&.n\fR
comm
.TP
\fBfiles/modules/comm/comm_wire\&.n\fR
comm_wire
.RE
rsa
.RS
.TP
\fBfiles/modules/pki/pki\&.n\fR
pki
.RE
running
.RS
.TP
\fBfiles/modules/grammar_fa/dexec\&.n\fR
grammar::fa::dexec
.RE
s3
.RS
.TP
\fBfiles/modules/amazon-s3/S3\&.n\fR
S3
.RE
SASL
.RS
.TP
\fBfiles/modules/sasl/sasl\&.n\fR
SASL
.TP
\fBfiles/modules/sasl/ntlm\&.n\fR
SASL::NTLM
.TP
\fBfiles/modules/sasl/scram\&.n\fR
SASL::SCRAM
.TP
\fBfiles/modules/sasl/gtoken\&.n\fR
SASL::XGoogleToken
.RE
scanl
.RS
.TP
\fBfiles/modules/generator/generator\&.n\fR
generator
.RE
SCCS
.RS
.TP
\fBfiles/modules/rcs/rcs\&.n\fR
rcs
.RE
SCRAM
.RS
.TP
\fBfiles/modules/sasl/scram\&.n\fR
SASL::SCRAM
.RE
secure
.RS
.TP
\fBfiles/modules/comm/comm\&.n\fR
comm
.TP
\fBfiles/modules/pop3/pop3\&.n\fR
pop3
.TP
\fBfiles/modules/pop3d/pop3d\&.n\fR
pop3d
.TP
\fBfiles/modules/transfer/connect\&.n\fR
transfer::connect
.TP
\fBfiles/modules/transfer/receiver\&.n\fR
transfer::receiver
.TP
\fBfiles/modules/transfer/transmitter\&.n\fR
transfer::transmitter
.RE
security
.RS
.TP
\fBfiles/modules/aes/aes\&.n\fR
aes
.TP
\fBfiles/modules/blowfish/blowfish\&.n\fR
blowfish
.TP
\fBfiles/modules/crc/cksum\&.n\fR
cksum
.TP
\fBfiles/modules/crc/crc16\&.n\fR
crc16
.TP
\fBfiles/modules/crc/crc32\&.n\fR
crc32
.TP
\fBfiles/modules/des/des\&.n\fR
des
.TP
\fBfiles/modules/md4/md4\&.n\fR
md4
.TP
\fBfiles/modules/md5/md5\&.n\fR
md5
.TP
\fBfiles/modules/md5crypt/md5crypt\&.n\fR
md5crypt
.TP
\fBfiles/modules/otp/otp\&.n\fR
otp
.TP
\fBfiles/modules/pki/pki\&.n\fR
pki
.TP
\fBfiles/modules/rc4/rc4\&.n\fR
rc4
.TP
\fBfiles/modules/ripemd/ripemd128\&.n\fR
ripemd128
.TP
\fBfiles/modules/ripemd/ripemd160\&.n\fR
ripemd160
.TP
\fBfiles/modules/sha1/sha1\&.n\fR
sha1
.TP
\fBfiles/modules/sha1/sha256\&.n\fR
sha256
.TP
\fBfiles/modules/crc/sum\&.n\fR
sum
.TP
\fBfiles/modules/des/tcldesjr\&.n\fR
tcldes
.TP
\fBfiles/modules/des/tcldes\&.n\fR
tcldes
.RE
seed
.RS
.TP
\fBfiles/modules/virtchannel_base/randseed\&.n\fR
tcl::randomseed
.RE
selectionbox
.RS
.TP
\fBfiles/modules/javascript/javascript\&.n\fR
javascript
.RE
semantic markup
.RS
.TP
\fBfiles/modules/doctools/docidx_intro\&.n\fR
docidx_intro
.TP
\fBfiles/modules/doctools/docidx_lang_cmdref\&.n\fR
docidx_lang_cmdref
.TP
\fBfiles/modules/doctools/docidx_lang_faq\&.n\fR
docidx_lang_faq
.TP
\fBfiles/modules/doctools/docidx_lang_intro\&.n\fR
docidx_lang_intro
.TP
\fBfiles/modules/doctools/docidx_lang_syntax\&.n\fR
docidx_lang_syntax
.TP
\fBfiles/modules/doctools/docidx_plugin_apiref\&.n\fR
docidx_plugin_apiref
.TP
\fBfiles/modules/doctools/doctoc_intro\&.n\fR
doctoc_intro
.TP
\fBfiles/modules/doctools/doctoc_lang_cmdref\&.n\fR
doctoc_lang_cmdref
.TP
\fBfiles/modules/doctools/doctoc_lang_faq\&.n\fR
doctoc_lang_faq
.TP
\fBfiles/modules/doctools/doctoc_lang_intro\&.n\fR
doctoc_lang_intro
.TP
\fBfiles/modules/doctools/doctoc_lang_syntax\&.n\fR
doctoc_lang_syntax
.TP
\fBfiles/modules/doctools/doctoc_plugin_apiref\&.n\fR
doctoc_plugin_apiref
.TP
\fBfiles/modules/doctools2idx/idx_introduction\&.n\fR
doctools2idx_introduction
.TP
\fBfiles/modules/doctools2toc/toc_introduction\&.n\fR
doctools2toc_introduction
.TP
\fBfiles/modules/doctools/doctools_intro\&.n\fR
doctools_intro
.TP
\fBfiles/modules/doctools/doctools_lang_cmdref\&.n\fR
doctools_lang_cmdref
.TP
\fBfiles/modules/doctools/doctools_lang_faq\&.n\fR
doctools_lang_faq
.TP
\fBfiles/modules/doctools/doctools_lang_intro\&.n\fR
doctools_lang_intro
.TP
\fBfiles/modules/doctools/doctools_lang_syntax\&.n\fR
doctools_lang_syntax
.TP
\fBfiles/modules/doctools/doctools_plugin_apiref\&.n\fR
doctools_plugin_apiref
.RE
send
.RS
.TP
\fBfiles/modules/comm/comm\&.n\fR
comm
.RE
serialization
.RS
.TP
\fBfiles/modules/bee/bee\&.n\fR
bee
.TP
\fBfiles/modules/doctools2idx/export_docidx\&.n\fR
doctools::idx::export::docidx
.TP
\fBfiles/modules/doctools2idx/idx_export_html\&.n\fR
doctools::idx::export::html
.TP
\fBfiles/modules/doctools2idx/idx_export_json\&.n\fR
doctools::idx::export::json
.TP
\fBfiles/modules/doctools2idx/idx_export_nroff\&.n\fR
doctools::idx::export::nroff
.TP
\fBfiles/modules/doctools2idx/idx_export_text\&.n\fR
doctools::idx::export::text
.TP
\fBfiles/modules/doctools2idx/idx_export_wiki\&.n\fR
doctools::idx::export::wiki
.TP
\fBfiles/modules/doctools2idx/idx_structure\&.n\fR
doctools::idx::structure
.TP
\fBfiles/modules/doctools2toc/export_doctoc\&.n\fR
doctools::toc::export::doctoc
.TP
\fBfiles/modules/doctools2toc/toc_export_html\&.n\fR
doctools::toc::export::html
.TP
\fBfiles/modules/doctools2toc/toc_export_json\&.n\fR
doctools::toc::export::json
.TP
\fBfiles/modules/doctools2toc/toc_export_nroff\&.n\fR
doctools::toc::export::nroff
.TP
\fBfiles/modules/doctools2toc/toc_export_text\&.n\fR
doctools::toc::export::text
.TP
\fBfiles/modules/doctools2toc/toc_export_wiki\&.n\fR
doctools::toc::export::wiki
.TP
\fBfiles/modules/doctools2toc/toc_structure\&.n\fR
doctools::toc::structure
.TP
\fBfiles/modules/pt/pt_peg_export_container\&.n\fR
pt::peg::export::container
.TP
\fBfiles/modules/pt/pt_peg_export_json\&.n\fR
pt::peg::export::json
.TP
\fBfiles/modules/pt/pt_peg_export_peg\&.n\fR
pt::peg::export::peg
.TP
\fBfiles/modules/pt/pt_peg_from_json\&.n\fR
pt::peg::from::json
.TP
\fBfiles/modules/pt/pt_peg_from_peg\&.n\fR
pt::peg::from::peg
.TP
\fBfiles/modules/pt/pt_peg_import_json\&.n\fR
pt::peg::import::json
.TP
\fBfiles/modules/pt/pt_peg_import_peg\&.n\fR
pt::peg::import::peg
.TP
\fBfiles/modules/pt/pt_peg_to_container\&.n\fR
pt::peg::to::container
.TP
\fBfiles/modules/pt/pt_peg_to_cparam\&.n\fR
pt::peg::to::cparam
.TP
\fBfiles/modules/pt/pt_peg_to_json\&.n\fR
pt::peg::to::json
.TP
\fBfiles/modules/pt/pt_peg_to_param\&.n\fR
pt::peg::to::param
.TP
\fBfiles/modules/pt/pt_peg_to_peg\&.n\fR
pt::peg::to::peg
.TP
\fBfiles/modules/pt/pt_peg_to_tclparam\&.n\fR
pt::peg::to::tclparam
.TP
\fBfiles/modules/struct/graph\&.n\fR
struct::graph
.TP
\fBfiles/modules/struct/struct_tree\&.n\fR
struct::tree
.RE
server
.RS
.TP
\fBfiles/modules/map/map_geocode_nominatim\&.n\fR
map::geocode::nominatim
.TP
\fBfiles/modules/map/map_slippy_fetcher\&.n\fR
map::slippy::fetcher
.TP
\fBfiles/modules/nns/nns_common\&.n\fR
nameserv::common
.TP
\fBfiles/modules/nns/nns_server\&.n\fR
nameserv::server
.TP
\fBfiles/modules/nns/nns_intro\&.n\fR
nns_intro
.TP
\fBfiles/apps/nnsd\&.n\fR
nnsd
.RE
service
.RS
.TP
\fBfiles/modules/log/logger\&.n\fR
logger
.RE
services
.RS
.TP
\fBfiles/modules/ftpd/ftpd\&.n\fR
ftpd
.TP
\fBfiles/modules/smtpd/smtpd\&.n\fR
smtpd
.RE
set
.RS
.TP
\fBfiles/modules/struct/queue\&.n\fR
struct::queue
.TP
\fBfiles/modules/struct/struct_set\&.n\fR
struct::set
.RE
sha1
.RS
.TP
\fBfiles/modules/sha1/sha1\&.n\fR
sha1
.RE
sha256
.RS
.TP
\fBfiles/modules/sha1/sha256\&.n\fR
sha256
.RE
shell
.RS
.TP
\fBfiles/modules/string/token_shell\&.n\fR
string::token::shell
.RE
shortest path
.RS
.TP
\fBfiles/modules/struct/graphops\&.n\fR
struct::graph::op
.RE
shuffle
.RS
.TP
\fBfiles/modules/struct/struct_list\&.n\fR
struct::list
.RE
simulated annealing
.RS
.TP
\fBfiles/modules/simulation/annealing\&.n\fR
simulation::annealing
.RE
simulation
.RS
.TP
\fBfiles/modules/simulation/simulation_random\&.n\fR
simulation::random
.RE
singleton
.RS
.TP
\fBfiles/modules/tool/meta\&.n\fR
oo::util
.TP
\fBfiles/modules/ooutil/ooutil\&.n\fR
oo::util
.RE
size limit
.RS
.TP
\fBfiles/modules/virtchannel_transform/limitsize\&.n\fR
tcl::transform::limitsize
.RE
skiplist
.RS
.TP
\fBfiles/modules/struct/queue\&.n\fR
struct::queue
.TP
\fBfiles/modules/struct/skiplist\&.n\fR
struct::skiplist
.RE
slippy
.RS
.TP
\fBfiles/modules/map/map_slippy\&.n\fR
map::slippy
.TP
\fBfiles/modules/map/map_slippy_cache\&.n\fR
map::slippy::cache
.TP
\fBfiles/modules/map/map_slippy_fetcher\&.n\fR
map::slippy::fetcher
.RE
smtp
.RS
.TP
\fBfiles/modules/mime/mime\&.n\fR
mime
.TP
\fBfiles/modules/mime/smtp\&.n\fR
smtp
.TP
\fBfiles/modules/smtpd/smtpd\&.n\fR
smtpd
.RE
smtpd
.RS
.TP
\fBfiles/modules/smtpd/smtpd\&.n\fR
smtpd
.RE
Snit
.RS
.TP
\fBfiles/modules/snit/snit\&.n\fR
snit
.RE
snit
.RS
.TP
\fBfiles/modules/interp/deleg_method\&.n\fR
deleg_method
.TP
\fBfiles/modules/interp/tcllib_interp\&.n\fR
interp
.RE
SNTP
.RS
.TP
\fBfiles/modules/ntp/ntp_time\&.n\fR
ntp_time
.RE
socket
.RS
.TP
\fBfiles/modules/comm/comm\&.n\fR
comm
.TP
\fBfiles/modules/comm/comm_wire\&.n\fR
comm_wire
.TP
\fBfiles/modules/smtpd/smtpd\&.n\fR
smtpd
.RE
soundex
.RS
.TP
\fBfiles/modules/soundex/soundex\&.n\fR
soundex
.RE
source
.RS
.TP
\fBfiles/modules/docstrip/docstrip\&.n\fR
docstrip
.TP
\fBfiles/modules/docstrip/docstrip_util\&.n\fR
docstrip_util
.TP
\fBfiles/apps/tcldocstrip\&.n\fR
tcldocstrip
.RE
spacing
.RS
.TP
\fBfiles/modules/virtchannel_transform/spacer\&.n\fR
tcl::transform::spacer
.RE
spatial interpolation
.RS
.TP
\fBfiles/modules/math/interpolate\&.n\fR
math::interpolate
.RE
special functions
.RS
.TP
\fBfiles/modules/math/special\&.n\fR
math::special
.RE
specification
.RS
.TP
\fBfiles/modules/bench/bench_lang_spec\&.n\fR
bench_lang_spec
.RE
speed
.RS
.TP
\fBfiles/modules/profiler/profiler\&.n\fR
profiler
.RE
split
.RS
.TP
\fBfiles/modules/textutil/textutil_split\&.n\fR
textutil::split
.RE
squared graph
.RS
.TP
\fBfiles/modules/struct/graphops\&.n\fR
struct::graph::op
.RE
ssl
.RS
.TP
\fBfiles/modules/comm/comm\&.n\fR
comm
.TP
\fBfiles/modules/imap4/imap4\&.n\fR
imap4
.TP
\fBfiles/modules/pop3/pop3\&.n\fR
pop3
.TP
\fBfiles/modules/pop3d/pop3d\&.n\fR
pop3d
.TP
\fBfiles/modules/transfer/connect\&.n\fR
transfer::connect
.TP
\fBfiles/modules/transfer/receiver\&.n\fR
transfer::receiver
.TP
\fBfiles/modules/transfer/transmitter\&.n\fR
transfer::transmitter
.RE
stack
.RS
.TP
\fBfiles/modules/struct/queue\&.n\fR
struct::queue
.RE
standard io
.RS
.TP
\fBfiles/modules/virtchannel_base/std\&.n\fR
tcl::chan::std
.RE
state
.RS
.TP
\fBfiles/modules/grammar_fa/fa\&.n\fR
grammar::fa
.TP
\fBfiles/modules/grammar_fa/dacceptor\&.n\fR
grammar::fa::dacceptor
.TP
\fBfiles/modules/grammar_fa/dexec\&.n\fR
grammar::fa::dexec
.TP
\fBfiles/modules/grammar_fa/faop\&.n\fR
grammar::fa::op
.TP
\fBfiles/modules/grammar_peg/peg\&.n\fR
grammar::peg
.TP
\fBfiles/modules/grammar_peg/peg_interp\&.n\fR
grammar::peg::interp
.TP
\fBfiles/apps/pt\&.n\fR
pt
.TP
\fBfiles/modules/pt/pt_astree\&.n\fR
pt::ast
.TP
\fBfiles/modules/pt/pt_cparam_config_critcl\&.n\fR
pt::cparam::configuration::critcl
.TP
\fBfiles/modules/pt/pt_cparam_config_tea\&.n\fR
pt::cparam::configuration::tea
.TP
\fBfiles/modules/pt/pt_json_language\&.n\fR
pt::json_language
.TP
\fBfiles/modules/pt/pt_param\&.n\fR
pt::param
.TP
\fBfiles/modules/pt/pt_pexpression\&.n\fR
pt::pe
.TP
\fBfiles/modules/pt/pt_pexpr_op\&.n\fR
pt::pe::op
.TP
\fBfiles/modules/pt/pt_pegrammar\&.n\fR
pt::peg
.TP
\fBfiles/modules/pt/pt_peg_container\&.n\fR
pt::peg::container
.TP
\fBfiles/modules/pt/pt_peg_container_peg\&.n\fR
pt::peg::container::peg
.TP
\fBfiles/modules/pt/pt_peg_export\&.n\fR
pt::peg::export
.TP
\fBfiles/modules/pt/pt_peg_export_container\&.n\fR
pt::peg::export::container
.TP
\fBfiles/modules/pt/pt_peg_export_json\&.n\fR
pt::peg::export::json
.TP
\fBfiles/modules/pt/pt_peg_export_peg\&.n\fR
pt::peg::export::peg
.TP
\fBfiles/modules/pt/pt_peg_from_container\&.n\fR
pt::peg::from::container
.TP
\fBfiles/modules/pt/pt_peg_from_json\&.n\fR
pt::peg::from::json
.TP
\fBfiles/modules/pt/pt_peg_from_peg\&.n\fR
pt::peg::from::peg
.TP
\fBfiles/modules/pt/pt_peg_import\&.n\fR
pt::peg::import
.TP
\fBfiles/modules/pt/pt_peg_import_container\&.n\fR
pt::peg::import::container
.TP
\fBfiles/modules/pt/pt_peg_import_json\&.n\fR
pt::peg::import::json
.TP
\fBfiles/modules/pt/pt_peg_import_peg\&.n\fR
pt::peg::import::peg
.TP
\fBfiles/modules/pt/pt_peg_interp\&.n\fR
pt::peg::interp
.TP
\fBfiles/modules/pt/pt_peg_to_container\&.n\fR
pt::peg::to::container
.TP
\fBfiles/modules/pt/pt_peg_to_cparam\&.n\fR
pt::peg::to::cparam
.TP
\fBfiles/modules/pt/pt_peg_to_json\&.n\fR
pt::peg::to::json
.TP
\fBfiles/modules/pt/pt_peg_to_param\&.n\fR
pt::peg::to::param
.TP
\fBfiles/modules/pt/pt_peg_to_peg\&.n\fR
pt::peg::to::peg
.TP
\fBfiles/modules/pt/pt_peg_to_tclparam\&.n\fR
pt::peg::to::tclparam
.TP
\fBfiles/modules/pt/pt_peg_language\&.n\fR
pt::peg_language
.TP
\fBfiles/modules/pt/pt_peg_introduction\&.n\fR
pt::pegrammar
.TP
\fBfiles/modules/pt/pt_pgen\&.n\fR
pt::pgen
.TP
\fBfiles/modules/pt/pt_rdengine\&.n\fR
pt::rde
.TP
\fBfiles/modules/pt/pt_tclparam_config_snit\&.n\fR
pt::tclparam::configuration::snit
.TP
\fBfiles/modules/pt/pt_tclparam_config_tcloo\&.n\fR
pt::tclparam::configuration::tcloo
.TP
\fBfiles/modules/pt/pt_util\&.n\fR
pt::util
.TP
\fBfiles/modules/pt/pt_to_api\&.n\fR
pt_export_api
.TP
\fBfiles/modules/pt/pt_from_api\&.n\fR
pt_import_api
.TP
\fBfiles/modules/pt/pt_introduction\&.n\fR
pt_introduction
.TP
\fBfiles/modules/pt/pt_parse_peg\&.n\fR
pt_parse_peg
.TP
\fBfiles/modules/pt/pt_parser_api\&.n\fR
pt_parser_api
.TP
\fBfiles/modules/pt/pt_peg_op\&.n\fR
pt_peg_op
.RE
state (de)serialization
.RS
.TP
\fBfiles/modules/namespacex/namespacex\&.n\fR
namespacex
.RE
statistical distribution
.RS
.TP
\fBfiles/modules/simulation/simulation_random\&.n\fR
simulation::random
.RE
statistics
.RS
.TP
\fBfiles/modules/counter/counter\&.n\fR
counter
.TP
\fBfiles/modules/math/math\&.n\fR
math
.TP
\fBfiles/modules/math/statistics\&.n\fR
math::statistics
.RE
stdin
.RS
.TP
\fBfiles/modules/virtchannel_base/std\&.n\fR
tcl::chan::std
.RE
stdout
.RS
.TP
\fBfiles/modules/virtchannel_base/std\&.n\fR
tcl::chan::std
.RE
stochastic modelling
.RS
.TP
\fBfiles/modules/simulation/montecarlo\&.n\fR
simulation::montecarlo
.RE
stream cipher
.RS
.TP
\fBfiles/modules/rc4/rc4\&.n\fR
rc4
.RE
stream copy
.RS
.TP
\fBfiles/modules/virtchannel_transform/observe\&.n\fR
tcl::transform::observe
.RE
string
.RS
.TP
\fBfiles/modules/string/token\&.n\fR
string::token
.TP
\fBfiles/modules/string/token_shell\&.n\fR
string::token::shell
.TP
\fBfiles/modules/textutil/textutil\&.n\fR
textutil
.TP
\fBfiles/modules/textutil/adjust\&.n\fR
textutil::adjust
.TP
\fBfiles/modules/textutil/expander\&.n\fR
textutil::expander
.TP
\fBfiles/modules/textutil/repeat\&.n\fR
textutil::repeat
.TP
\fBfiles/modules/textutil/textutil_split\&.n\fR
textutil::split
.TP
\fBfiles/modules/textutil/textutil_string\&.n\fR
textutil::string
.TP
\fBfiles/modules/textutil/tabify\&.n\fR
textutil::tabify
.TP
\fBfiles/modules/textutil/trim\&.n\fR
textutil::trim
.RE
stringprep
.RS
.TP
\fBfiles/modules/stringprep/stringprep\&.n\fR
stringprep
.TP
\fBfiles/modules/stringprep/stringprep_data\&.n\fR
stringprep::data
.TP
\fBfiles/modules/stringprep/unicode_data\&.n\fR
unicode::data
.RE
strongly connected component
.RS
.TP
\fBfiles/modules/struct/graphops\&.n\fR
struct::graph::op
.RE
struct
.RS
.TP
\fBfiles/modules/struct/pool\&.n\fR
struct::pool
.TP
\fBfiles/modules/struct/record\&.n\fR
struct::record
.RE
structure
.RS
.TP
\fBfiles/modules/control/control\&.n\fR
control
.RE
structured queries
.RS
.TP
\fBfiles/modules/treeql/treeql\&.n\fR
treeql
.RE
style
.RS
.TP
\fBfiles/modules/doctools2base/html_cssdefaults\&.n\fR
doctools::html::cssdefaults
.RE
subcommand
.RS
.TP
\fBfiles/modules/tepam/tepam_introduction\&.n\fR
tepam
.TP
\fBfiles/modules/tepam/tepam_procedure\&.n\fR
tepam::procedure
.RE
subgraph
.RS
.TP
\fBfiles/modules/struct/graph\&.n\fR
struct::graph
.TP
\fBfiles/modules/struct/graphops\&.n\fR
struct::graph::op
.RE
subject
.RS
.TP
\fBfiles/modules/hook/hook\&.n\fR
hook
.RE
submitbutton
.RS
.TP
\fBfiles/modules/javascript/javascript\&.n\fR
javascript
.RE
subscriber
.RS
.TP
\fBfiles/modules/hook/hook\&.n\fR
hook
.RE
subsequence
.RS
.TP
\fBfiles/modules/struct/struct_list\&.n\fR
struct::list
.RE
subst
.RS
.TP
\fBfiles/modules/doctools2base/tcl_parse\&.n\fR
doctools::tcl::parse
.RE
sum
.RS
.TP
\fBfiles/modules/crc/sum\&.n\fR
sum
.RE
swapping
.RS
.TP
\fBfiles/modules/struct/struct_list\&.n\fR
struct::list
.RE
symmetric difference
.RS
.TP
\fBfiles/modules/struct/struct_set\&.n\fR
struct::set
.RE
synchronous
.RS
.TP
\fBfiles/modules/cache/async\&.n\fR
cache::async
.RE
syntax tree
.RS
.TP
\fBfiles/modules/grammar_me/me_util\&.n\fR
grammar::me::util
.RE
table
.RS
.TP
\fBfiles/modules/doctools2toc/toc_container\&.n\fR
doctools::toc
.TP
\fBfiles/modules/doctools2toc/toc_export\&.n\fR
doctools::toc::export
.TP
\fBfiles/modules/doctools2toc/toc_import\&.n\fR
doctools::toc::import
.TP
\fBfiles/modules/html/html\&.n\fR
html
.TP
\fBfiles/modules/report/report\&.n\fR
report
.RE
table of contents
.RS
.TP
\fBfiles/modules/doctools/doctoc_intro\&.n\fR
doctoc_intro
.TP
\fBfiles/modules/doctools/doctoc_plugin_apiref\&.n\fR
doctoc_plugin_apiref
.TP
\fBfiles/modules/doctools2toc/toc_introduction\&.n\fR
doctools2toc_introduction
.TP
\fBfiles/modules/doctools/doctoc\&.n\fR
doctools::toc
.TP
\fBfiles/modules/doctools2toc/toc_container\&.n\fR
doctools::toc
.TP
\fBfiles/modules/doctools2toc/toc_export\&.n\fR
doctools::toc::export
.TP
\fBfiles/modules/doctools2toc/export_doctoc\&.n\fR
doctools::toc::export::doctoc
.TP
\fBfiles/modules/doctools2toc/toc_export_html\&.n\fR
doctools::toc::export::html
.TP
\fBfiles/modules/doctools2toc/toc_export_json\&.n\fR
doctools::toc::export::json
.TP
\fBfiles/modules/doctools2toc/toc_export_nroff\&.n\fR
doctools::toc::export::nroff
.TP
\fBfiles/modules/doctools2toc/toc_export_text\&.n\fR
doctools::toc::export::text
.TP
\fBfiles/modules/doctools2toc/toc_export_wiki\&.n\fR
doctools::toc::export::wiki
.TP
\fBfiles/modules/doctools2toc/toc_import\&.n\fR
doctools::toc::import
.TP
\fBfiles/modules/doctools2toc/import_doctoc\&.n\fR
doctools::toc::import::doctoc
.TP
\fBfiles/modules/doctools2toc/toc_import_json\&.n\fR
doctools::toc::import::json
.RE
tabstops
.RS
.TP
\fBfiles/modules/textutil/tabify\&.n\fR
textutil::tabify
.RE
tallying
.RS
.TP
\fBfiles/modules/counter/counter\&.n\fR
counter
.RE
tape archive
.RS
.TP
\fBfiles/modules/tar/tar\&.n\fR
tar
.RE
tar
.RS
.TP
\fBfiles/modules/tar/tar\&.n\fR
tar
.RE
tcl
.RS
.TP
\fBfiles/modules/math/bigfloat\&.n\fR
math::bigfloat
.TP
\fBfiles/modules/math/bignum\&.n\fR
math::bignum
.TP
\fBfiles/modules/math/decimal\&.n\fR
math::decimal
.RE
Tcl module
.RS
.TP
\fBfiles/modules/docstrip/docstrip_util\&.n\fR
docstrip_util
.RE
Tcl syntax
.RS
.TP
\fBfiles/modules/doctools2base/tcl_parse\&.n\fR
doctools::tcl::parse
.RE
tcler's wiki
.RS
.TP
\fBfiles/modules/doctools2idx/idx_container\&.n\fR
doctools::idx
.TP
\fBfiles/modules/doctools2idx/idx_export\&.n\fR
doctools::idx::export
.TP
\fBfiles/modules/doctools2toc/toc_container\&.n\fR
doctools::toc
.TP
\fBfiles/modules/doctools2toc/toc_export\&.n\fR
doctools::toc::export
.RE
tcllib
.RS
.TP
\fBfiles/modules/csv/csv\&.n\fR
csv
.RE
TclOO
.RS
.TP
\fBfiles/modules/tool/meta\&.n\fR
oo::util
.TP
\fBfiles/modules/ooutil/ooutil\&.n\fR
oo::util
.TP
\fBfiles/modules/tool/tool\&.n\fR
tool
.TP
\fBfiles/modules/tool/tool_dict_ensemble\&.n\fR
tool::dict_ensemble
.RE
TCLPARAM
.RS
.TP
\fBfiles/modules/pt/pt_peg_to_tclparam\&.n\fR
pt::peg::to::tclparam
.RE
TDPL
.RS
.TP
\fBfiles/modules/grammar_peg/peg\&.n\fR
grammar::peg
.TP
\fBfiles/modules/grammar_peg/peg_interp\&.n\fR
grammar::peg::interp
.TP
\fBfiles/apps/pt\&.n\fR
pt
.TP
\fBfiles/modules/pt/pt_astree\&.n\fR
pt::ast
.TP
\fBfiles/modules/pt/pt_cparam_config_critcl\&.n\fR
pt::cparam::configuration::critcl
.TP
\fBfiles/modules/pt/pt_cparam_config_tea\&.n\fR
pt::cparam::configuration::tea
.TP
\fBfiles/modules/pt/pt_json_language\&.n\fR
pt::json_language
.TP
\fBfiles/modules/pt/pt_param\&.n\fR
pt::param
.TP
\fBfiles/modules/pt/pt_pexpression\&.n\fR
pt::pe
.TP
\fBfiles/modules/pt/pt_pexpr_op\&.n\fR
pt::pe::op
.TP
\fBfiles/modules/pt/pt_pegrammar\&.n\fR
pt::peg
.TP
\fBfiles/modules/pt/pt_peg_container\&.n\fR
pt::peg::container
.TP
\fBfiles/modules/pt/pt_peg_container_peg\&.n\fR
pt::peg::container::peg
.TP
\fBfiles/modules/pt/pt_peg_export\&.n\fR
pt::peg::export
.TP
\fBfiles/modules/pt/pt_peg_export_container\&.n\fR
pt::peg::export::container
.TP
\fBfiles/modules/pt/pt_peg_export_json\&.n\fR
pt::peg::export::json
.TP
\fBfiles/modules/pt/pt_peg_export_peg\&.n\fR
pt::peg::export::peg
.TP
\fBfiles/modules/pt/pt_peg_from_container\&.n\fR
pt::peg::from::container
.TP
\fBfiles/modules/pt/pt_peg_from_json\&.n\fR
pt::peg::from::json
.TP
\fBfiles/modules/pt/pt_peg_from_peg\&.n\fR
pt::peg::from::peg
.TP
\fBfiles/modules/pt/pt_peg_import\&.n\fR
pt::peg::import
.TP
\fBfiles/modules/pt/pt_peg_import_container\&.n\fR
pt::peg::import::container
.TP
\fBfiles/modules/pt/pt_peg_import_json\&.n\fR
pt::peg::import::json
.TP
\fBfiles/modules/pt/pt_peg_import_peg\&.n\fR
pt::peg::import::peg
.TP
\fBfiles/modules/pt/pt_peg_interp\&.n\fR
pt::peg::interp
.TP
\fBfiles/modules/pt/pt_peg_to_container\&.n\fR
pt::peg::to::container
.TP
\fBfiles/modules/pt/pt_peg_to_cparam\&.n\fR
pt::peg::to::cparam
.TP
\fBfiles/modules/pt/pt_peg_to_json\&.n\fR
pt::peg::to::json
.TP
\fBfiles/modules/pt/pt_peg_to_param\&.n\fR
pt::peg::to::param
.TP
\fBfiles/modules/pt/pt_peg_to_peg\&.n\fR
pt::peg::to::peg
.TP
\fBfiles/modules/pt/pt_peg_to_tclparam\&.n\fR
pt::peg::to::tclparam
.TP
\fBfiles/modules/pt/pt_peg_language\&.n\fR
pt::peg_language
.TP
\fBfiles/modules/pt/pt_peg_introduction\&.n\fR
pt::pegrammar
.TP
\fBfiles/modules/pt/pt_pgen\&.n\fR
pt::pgen
.TP
\fBfiles/modules/pt/pt_rdengine\&.n\fR
pt::rde
.TP
\fBfiles/modules/pt/pt_tclparam_config_snit\&.n\fR
pt::tclparam::configuration::snit
.TP
\fBfiles/modules/pt/pt_tclparam_config_tcloo\&.n\fR
pt::tclparam::configuration::tcloo
.TP
\fBfiles/modules/pt/pt_util\&.n\fR
pt::util
.TP
\fBfiles/modules/pt/pt_to_api\&.n\fR
pt_export_api
.TP
\fBfiles/modules/pt/pt_from_api\&.n\fR
pt_import_api
.TP
\fBfiles/modules/pt/pt_introduction\&.n\fR
pt_introduction
.TP
\fBfiles/modules/pt/pt_parse_peg\&.n\fR
pt_parse_peg
.TP
\fBfiles/modules/pt/pt_parser_api\&.n\fR
pt_parser_api
.TP
\fBfiles/modules/pt/pt_peg_op\&.n\fR
pt_peg_op
.RE
temp file
.RS
.TP
\fBfiles/modules/fileutil/fileutil\&.n\fR
fileutil
.RE
template processing
.RS
.TP
\fBfiles/modules/textutil/expander\&.n\fR
textutil::expander
.RE
terminal
.RS
.TP
\fBfiles/modules/term/term\&.n\fR
term
.TP
\fBfiles/modules/term/ansi_code\&.n\fR
term::ansi::code
.TP
\fBfiles/modules/term/ansi_cattr\&.n\fR
term::ansi::code::attr
.TP
\fBfiles/modules/term/ansi_cctrl\&.n\fR
term::ansi::code::ctrl
.TP
\fBfiles/modules/term/ansi_cmacros\&.n\fR
term::ansi::code::macros
.TP
\fBfiles/modules/term/ansi_ctrlu\&.n\fR
term::ansi::ctrl::unix
.TP
\fBfiles/modules/term/ansi_send\&.n\fR
term::ansi::send
.TP
\fBfiles/modules/term/imenu\&.n\fR
term::interact::menu
.TP
\fBfiles/modules/term/ipager\&.n\fR
term::interact::pager
.TP
\fBfiles/modules/term/receive\&.n\fR
term::receive
.TP
\fBfiles/modules/term/term_bind\&.n\fR
term::receive::bind
.TP
\fBfiles/modules/term/term_send\&.n\fR
term::send
.RE
test
.RS
.TP
\fBfiles/modules/fileutil/fileutil\&.n\fR
fileutil
.RE
Testing
.RS
.TP
\fBfiles/modules/valtype/valtype_common\&.n\fR
valtype::common
.TP
\fBfiles/modules/valtype/cc_amex\&.n\fR
valtype::creditcard::amex
.TP
\fBfiles/modules/valtype/cc_discover\&.n\fR
valtype::creditcard::discover
.TP
\fBfiles/modules/valtype/cc_mastercard\&.n\fR
valtype::creditcard::mastercard
.TP
\fBfiles/modules/valtype/cc_visa\&.n\fR
valtype::creditcard::visa
.TP
\fBfiles/modules/valtype/ean13\&.n\fR
valtype::gs1::ean13
.TP
\fBfiles/modules/valtype/iban\&.n\fR
valtype::iban
.TP
\fBfiles/modules/valtype/imei\&.n\fR
valtype::imei
.TP
\fBfiles/modules/valtype/isbn\&.n\fR
valtype::isbn
.TP
\fBfiles/modules/valtype/luhn\&.n\fR
valtype::luhn
.TP
\fBfiles/modules/valtype/luhn5\&.n\fR
valtype::luhn5
.TP
\fBfiles/modules/valtype/usnpi\&.n\fR
valtype::usnpi
.TP
\fBfiles/modules/valtype/verhoeff\&.n\fR
valtype::verhoeff
.RE
testing
.RS
.TP
\fBfiles/modules/bench/bench\&.n\fR
bench
.TP
\fBfiles/modules/bench/bench_read\&.n\fR
bench::in
.TP
\fBfiles/modules/bench/bench_wcsv\&.n\fR
bench::out::csv
.TP
\fBfiles/modules/bench/bench_wtext\&.n\fR
bench::out::text
.TP
\fBfiles/modules/bench/bench_intro\&.n\fR
bench_intro
.TP
\fBfiles/modules/bench/bench_lang_intro\&.n\fR
bench_lang_intro
.TP
\fBfiles/modules/bench/bench_lang_spec\&.n\fR
bench_lang_spec
.RE
TeX
.RS
.TP
\fBfiles/modules/textutil/textutil\&.n\fR
textutil
.TP
\fBfiles/modules/textutil/adjust\&.n\fR
textutil::adjust
.RE
text
.RS
.TP
\fBfiles/modules/bench/bench_read\&.n\fR
bench::in
.TP
\fBfiles/modules/bench/bench_wtext\&.n\fR
bench::out::text
.TP
\fBfiles/modules/doctools2idx/idx_container\&.n\fR
doctools::idx
.TP
\fBfiles/modules/doctools2idx/idx_export\&.n\fR
doctools::idx::export
.TP
\fBfiles/modules/doctools2toc/toc_container\&.n\fR
doctools::toc
.TP
\fBfiles/modules/doctools2toc/toc_export\&.n\fR
doctools::toc::export
.RE
text comparison
.RS
.TP
\fBfiles/modules/soundex/soundex\&.n\fR
soundex
.RE
text conversion
.RS
.TP
\fBfiles/modules/rcs/rcs\&.n\fR
rcs
.RE
text differences
.RS
.TP
\fBfiles/modules/rcs/rcs\&.n\fR
rcs
.RE
text display
.RS
.TP
\fBfiles/modules/term/imenu\&.n\fR
term::interact::menu
.TP
\fBfiles/modules/term/ipager\&.n\fR
term::interact::pager
.RE
text expansion
.RS
.TP
\fBfiles/modules/textutil/expander\&.n\fR
textutil::expander
.RE
text likeness
.RS
.TP
\fBfiles/modules/soundex/soundex\&.n\fR
soundex
.RE
text processing
.RS
.TP
\fBfiles/modules/bibtex/bibtex\&.n\fR
bibtex
.TP
\fBfiles/modules/yaml/huddle\&.n\fR
huddle
.TP
\fBfiles/apps/page\&.n\fR
page
.TP
\fBfiles/modules/page/page_intro\&.n\fR
page_intro
.TP
\fBfiles/modules/page/page_pluginmgr\&.n\fR
page_pluginmgr
.TP
\fBfiles/modules/page/page_util_flow\&.n\fR
page_util_flow
.TP
\fBfiles/modules/page/page_util_norm_lemon\&.n\fR
page_util_norm_lemon
.TP
\fBfiles/modules/page/page_util_norm_peg\&.n\fR
page_util_norm_peg
.TP
\fBfiles/modules/page/page_util_peg\&.n\fR
page_util_peg
.TP
\fBfiles/modules/page/page_util_quote\&.n\fR
page_util_quote
.TP
\fBfiles/modules/yaml/yaml\&.n\fR
yaml
.RE
text widget
.RS
.TP
\fBfiles/modules/virtchannel_base/textwindow\&.n\fR
tcl::chan::textwindow
.RE
threads
.RS
.TP
\fBfiles/modules/coroutine/tcllib_coroutine\&.n\fR
coroutine
.TP
\fBfiles/modules/coroutine/coro_auto\&.n\fR
coroutine::auto
.RE
throw
.RS
.TP
\fBfiles/modules/try/tcllib_throw\&.n\fR
try
.RE
thumbnail
.RS
.TP
\fBfiles/modules/jpeg/jpeg\&.n\fR
jpeg
.RE
tie
.RS
.TP
\fBfiles/modules/tie/tie\&.n\fR
tie
.TP
\fBfiles/modules/tie/tie_std\&.n\fR
tie
.RE
tif
.RS
.TP
\fBfiles/modules/tiff/tiff\&.n\fR
tiff
.RE
tiff
.RS
.TP
\fBfiles/modules/tiff/tiff\&.n\fR
tiff
.RE
tile
.RS
.TP
\fBfiles/modules/map/map_slippy_cache\&.n\fR
map::slippy::cache
.TP
\fBfiles/modules/map/map_slippy_fetcher\&.n\fR
map::slippy::fetcher
.RE
time
.RS
.TP
\fBfiles/modules/ntp/ntp_time\&.n\fR
ntp_time
.RE
timestamp
.RS
.TP
\fBfiles/modules/png/png\&.n\fR
png
.RE
timestamps
.RS
.TP
\fBfiles/modules/debug/debug_timestamp\&.n\fR
debug::timestamp
.RE
tip 219
.RS
.TP
\fBfiles/modules/virtchannel_base/cat\&.n\fR
tcl::chan::cat
.TP
\fBfiles/modules/virtchannel_core/core\&.n\fR
tcl::chan::core
.TP
\fBfiles/modules/virtchannel_core/events\&.n\fR
tcl::chan::events
.TP
\fBfiles/modules/virtchannel_base/facade\&.n\fR
tcl::chan::facade
.TP
\fBfiles/modules/virtchannel_base/tcllib_fifo\&.n\fR
tcl::chan::fifo
.TP
\fBfiles/modules/virtchannel_base/tcllib_fifo2\&.n\fR
tcl::chan::fifo2
.TP
\fBfiles/modules/virtchannel_base/halfpipe\&.n\fR
tcl::chan::halfpipe
.TP
\fBfiles/modules/virtchannel_base/tcllib_memchan\&.n\fR
tcl::chan::memchan
.TP
\fBfiles/modules/virtchannel_base/tcllib_null\&.n\fR
tcl::chan::null
.TP
\fBfiles/modules/virtchannel_base/nullzero\&.n\fR
tcl::chan::nullzero
.TP
\fBfiles/modules/virtchannel_base/tcllib_random\&.n\fR
tcl::chan::random
.TP
\fBfiles/modules/virtchannel_base/std\&.n\fR
tcl::chan::std
.TP
\fBfiles/modules/virtchannel_base/tcllib_string\&.n\fR
tcl::chan::string
.TP
\fBfiles/modules/virtchannel_base/textwindow\&.n\fR
tcl::chan::textwindow
.TP
\fBfiles/modules/virtchannel_base/tcllib_variable\&.n\fR
tcl::chan::variable
.TP
\fBfiles/modules/virtchannel_base/tcllib_zero\&.n\fR
tcl::chan::zero
.TP
\fBfiles/modules/virtchannel_base/randseed\&.n\fR
tcl::randomseed
.TP
\fBfiles/modules/virtchannel_core/transformcore\&.n\fR
tcl::transform::core
.RE
tip 230
.RS
.TP
\fBfiles/modules/virtchannel_transform/adler32\&.n\fR
tcl::transform::adler32
.TP
\fBfiles/modules/virtchannel_transform/vt_base64\&.n\fR
tcl::transform::base64
.TP
\fBfiles/modules/virtchannel_transform/vt_counter\&.n\fR
tcl::transform::counter
.TP
\fBfiles/modules/virtchannel_transform/vt_crc32\&.n\fR
tcl::transform::crc32
.TP
\fBfiles/modules/virtchannel_transform/hex\&.n\fR
tcl::transform::hex
.TP
\fBfiles/modules/virtchannel_transform/identity\&.n\fR
tcl::transform::identity
.TP
\fBfiles/modules/virtchannel_transform/limitsize\&.n\fR
tcl::transform::limitsize
.TP
\fBfiles/modules/virtchannel_transform/observe\&.n\fR
tcl::transform::observe
.TP
\fBfiles/modules/virtchannel_transform/vt_otp\&.n\fR
tcl::transform::otp
.TP
\fBfiles/modules/virtchannel_transform/rot\&.n\fR
tcl::transform::rot
.TP
\fBfiles/modules/virtchannel_transform/spacer\&.n\fR
tcl::transform::spacer
.TP
\fBfiles/modules/virtchannel_transform/tcllib_zlib\&.n\fR
tcl::transform::zlib
.RE
tip 234
.RS
.TP
\fBfiles/modules/virtchannel_transform/tcllib_zlib\&.n\fR
tcl::transform::zlib
.RE
tip 317
.RS
.TP
\fBfiles/modules/virtchannel_transform/vt_base64\&.n\fR
tcl::transform::base64
.RE
Tk
.RS
.TP
\fBfiles/modules/virtchannel_base/textwindow\&.n\fR
tcl::chan::textwindow
.RE
tls
.RS
.TP
\fBfiles/modules/comm/comm\&.n\fR
comm
.TP
\fBfiles/modules/imap4/imap4\&.n\fR
imap4
.TP
\fBfiles/modules/pop3/pop3\&.n\fR
pop3
.TP
\fBfiles/modules/pop3d/pop3d\&.n\fR
pop3d
.TP
\fBfiles/modules/mime/smtp\&.n\fR
smtp
.TP
\fBfiles/modules/transfer/connect\&.n\fR
transfer::connect
.TP
\fBfiles/modules/transfer/receiver\&.n\fR
transfer::receiver
.TP
\fBfiles/modules/transfer/transmitter\&.n\fR
transfer::transmitter
.RE
TMML
.RS
.TP
\fBfiles/modules/doctools/doctools\&.n\fR
doctools
.TP
\fBfiles/modules/doctools2idx/idx_container\&.n\fR
doctools::idx
.TP
\fBfiles/modules/doctools/docidx\&.n\fR
doctools::idx
.TP
\fBfiles/modules/doctools/doctoc\&.n\fR
doctools::toc
.TP
\fBfiles/modules/doctools2toc/toc_container\&.n\fR
doctools::toc
.TP
\fBfiles/apps/dtplite\&.n\fR
dtplite
.TP
\fBfiles/modules/dtplite/pkg_dtplite\&.n\fR
dtplite
.TP
\fBfiles/modules/doctools/mpexpand\&.n\fR
mpexpand
.RE
toc
.RS
.TP
\fBfiles/modules/doctools/doctoc_intro\&.n\fR
doctoc_intro
.TP
\fBfiles/modules/doctools/doctoc_plugin_apiref\&.n\fR
doctoc_plugin_apiref
.TP
\fBfiles/modules/doctools/doctoc\&.n\fR
doctools::toc
.TP
\fBfiles/modules/doctools2toc/export_doctoc\&.n\fR
doctools::toc::export::doctoc
.TP
\fBfiles/modules/doctools2toc/toc_export_html\&.n\fR
doctools::toc::export::html
.TP
\fBfiles/modules/doctools2toc/toc_export_json\&.n\fR
doctools::toc::export::json
.TP
\fBfiles/modules/doctools2toc/toc_export_nroff\&.n\fR
doctools::toc::export::nroff
.TP
\fBfiles/modules/doctools2toc/toc_export_text\&.n\fR
doctools::toc::export::text
.TP
\fBfiles/modules/doctools2toc/toc_export_wiki\&.n\fR
doctools::toc::export::wiki
.TP
\fBfiles/modules/doctools2toc/import_doctoc\&.n\fR
doctools::toc::import::doctoc
.TP
\fBfiles/modules/doctools2toc/toc_import_json\&.n\fR
doctools::toc::import::json
.RE
toc formatter
.RS
.TP
\fBfiles/modules/doctools/doctoc_plugin_apiref\&.n\fR
doctoc_plugin_apiref
.RE
tokenization
.RS
.TP
\fBfiles/modules/string/token\&.n\fR
string::token
.TP
\fBfiles/modules/string/token_shell\&.n\fR
string::token::shell
.RE
TOOL
.RS
.TP
\fBfiles/modules/tool/tool\&.n\fR
tool
.TP
\fBfiles/modules/tool/tool_dict_ensemble\&.n\fR
tool::dict_ensemble
.RE
top-down parsing languages
.RS
.TP
\fBfiles/modules/grammar_me/me_intro\&.n\fR
grammar::me_intro
.TP
\fBfiles/modules/grammar_peg/peg\&.n\fR
grammar::peg
.TP
\fBfiles/modules/grammar_peg/peg_interp\&.n\fR
grammar::peg::interp
.TP
\fBfiles/apps/pt\&.n\fR
pt
.TP
\fBfiles/modules/pt/pt_astree\&.n\fR
pt::ast
.TP
\fBfiles/modules/pt/pt_cparam_config_critcl\&.n\fR
pt::cparam::configuration::critcl
.TP
\fBfiles/modules/pt/pt_cparam_config_tea\&.n\fR
pt::cparam::configuration::tea
.TP
\fBfiles/modules/pt/pt_json_language\&.n\fR
pt::json_language
.TP
\fBfiles/modules/pt/pt_param\&.n\fR
pt::param
.TP
\fBfiles/modules/pt/pt_pexpression\&.n\fR
pt::pe
.TP
\fBfiles/modules/pt/pt_pexpr_op\&.n\fR
pt::pe::op
.TP
\fBfiles/modules/pt/pt_pegrammar\&.n\fR
pt::peg
.TP
\fBfiles/modules/pt/pt_peg_container\&.n\fR
pt::peg::container
.TP
\fBfiles/modules/pt/pt_peg_container_peg\&.n\fR
pt::peg::container::peg
.TP
\fBfiles/modules/pt/pt_peg_export\&.n\fR
pt::peg::export
.TP
\fBfiles/modules/pt/pt_peg_export_container\&.n\fR
pt::peg::export::container
.TP
\fBfiles/modules/pt/pt_peg_export_json\&.n\fR
pt::peg::export::json
.TP
\fBfiles/modules/pt/pt_peg_export_peg\&.n\fR
pt::peg::export::peg
.TP
\fBfiles/modules/pt/pt_peg_from_container\&.n\fR
pt::peg::from::container
.TP
\fBfiles/modules/pt/pt_peg_from_json\&.n\fR
pt::peg::from::json
.TP
\fBfiles/modules/pt/pt_peg_from_peg\&.n\fR
pt::peg::from::peg
.TP
\fBfiles/modules/pt/pt_peg_import\&.n\fR
pt::peg::import
.TP
\fBfiles/modules/pt/pt_peg_import_container\&.n\fR
pt::peg::import::container
.TP
\fBfiles/modules/pt/pt_peg_import_json\&.n\fR
pt::peg::import::json
.TP
\fBfiles/modules/pt/pt_peg_import_peg\&.n\fR
pt::peg::import::peg
.TP
\fBfiles/modules/pt/pt_peg_interp\&.n\fR
pt::peg::interp
.TP
\fBfiles/modules/pt/pt_peg_to_container\&.n\fR
pt::peg::to::container
.TP
\fBfiles/modules/pt/pt_peg_to_cparam\&.n\fR
pt::peg::to::cparam
.TP
\fBfiles/modules/pt/pt_peg_to_json\&.n\fR
pt::peg::to::json
.TP
\fBfiles/modules/pt/pt_peg_to_param\&.n\fR
pt::peg::to::param
.TP
\fBfiles/modules/pt/pt_peg_to_peg\&.n\fR
pt::peg::to::peg
.TP
\fBfiles/modules/pt/pt_peg_to_tclparam\&.n\fR
pt::peg::to::tclparam
.TP
\fBfiles/modules/pt/pt_peg_language\&.n\fR
pt::peg_language
.TP
\fBfiles/modules/pt/pt_peg_introduction\&.n\fR
pt::pegrammar
.TP
\fBfiles/modules/pt/pt_pgen\&.n\fR
pt::pgen
.TP
\fBfiles/modules/pt/pt_rdengine\&.n\fR
pt::rde
.TP
\fBfiles/modules/pt/pt_tclparam_config_snit\&.n\fR
pt::tclparam::configuration::snit
.TP
\fBfiles/modules/pt/pt_tclparam_config_tcloo\&.n\fR
pt::tclparam::configuration::tcloo
.TP
\fBfiles/modules/pt/pt_util\&.n\fR
pt::util
.TP
\fBfiles/modules/pt/pt_to_api\&.n\fR
pt_export_api
.TP
\fBfiles/modules/pt/pt_from_api\&.n\fR
pt_import_api
.TP
\fBfiles/modules/pt/pt_introduction\&.n\fR
pt_introduction
.TP
\fBfiles/modules/pt/pt_parse_peg\&.n\fR
pt_parse_peg
.TP
\fBfiles/modules/pt/pt_parser_api\&.n\fR
pt_parser_api
.TP
\fBfiles/modules/pt/pt_peg_op\&.n\fR
pt_peg_op
.RE
torrent
.RS
.TP
\fBfiles/modules/bee/bee\&.n\fR
bee
.RE
touch
.RS
.TP
\fBfiles/modules/fileutil/fileutil\&.n\fR
fileutil
.RE
TPDL
.RS
.TP
\fBfiles/modules/grammar_me/me_intro\&.n\fR
grammar::me_intro
.RE
trace
.RS
.TP
\fBfiles/modules/debug/debug\&.n\fR
debug
.TP
\fBfiles/modules/debug/debug_caller\&.n\fR
debug::caller
.TP
\fBfiles/modules/debug/debug_heartbeat\&.n\fR
debug::heartbeat
.TP
\fBfiles/modules/debug/debug_timestamp\&.n\fR
debug::timestamp
.RE
transducer
.RS
.TP
\fBfiles/modules/grammar_aycock/aycock\&.n\fR
grammar::aycock
.TP
\fBfiles/modules/grammar_fa/fa\&.n\fR
grammar::fa
.TP
\fBfiles/modules/grammar_fa/dacceptor\&.n\fR
grammar::fa::dacceptor
.TP
\fBfiles/modules/grammar_fa/dexec\&.n\fR
grammar::fa::dexec
.TP
\fBfiles/modules/grammar_fa/faop\&.n\fR
grammar::fa::op
.TP
\fBfiles/modules/grammar_me/me_intro\&.n\fR
grammar::me_intro
.TP
\fBfiles/modules/grammar_peg/peg\&.n\fR
grammar::peg
.TP
\fBfiles/modules/grammar_peg/peg_interp\&.n\fR
grammar::peg::interp
.TP
\fBfiles/apps/pt\&.n\fR
pt
.TP
\fBfiles/modules/pt/pt_astree\&.n\fR
pt::ast
.TP
\fBfiles/modules/pt/pt_cparam_config_critcl\&.n\fR
pt::cparam::configuration::critcl
.TP
\fBfiles/modules/pt/pt_cparam_config_tea\&.n\fR
pt::cparam::configuration::tea
.TP
\fBfiles/modules/pt/pt_json_language\&.n\fR
pt::json_language
.TP
\fBfiles/modules/pt/pt_param\&.n\fR
pt::param
.TP
\fBfiles/modules/pt/pt_pexpression\&.n\fR
pt::pe
.TP
\fBfiles/modules/pt/pt_pexpr_op\&.n\fR
pt::pe::op
.TP
\fBfiles/modules/pt/pt_pegrammar\&.n\fR
pt::peg
.TP
\fBfiles/modules/pt/pt_peg_container\&.n\fR
pt::peg::container
.TP
\fBfiles/modules/pt/pt_peg_container_peg\&.n\fR
pt::peg::container::peg
.TP
\fBfiles/modules/pt/pt_peg_export\&.n\fR
pt::peg::export
.TP
\fBfiles/modules/pt/pt_peg_export_container\&.n\fR
pt::peg::export::container
.TP
\fBfiles/modules/pt/pt_peg_export_json\&.n\fR
pt::peg::export::json
.TP
\fBfiles/modules/pt/pt_peg_export_peg\&.n\fR
pt::peg::export::peg
.TP
\fBfiles/modules/pt/pt_peg_from_container\&.n\fR
pt::peg::from::container
.TP
\fBfiles/modules/pt/pt_peg_from_json\&.n\fR
pt::peg::from::json
.TP
\fBfiles/modules/pt/pt_peg_from_peg\&.n\fR
pt::peg::from::peg
.TP
\fBfiles/modules/pt/pt_peg_import\&.n\fR
pt::peg::import
.TP
\fBfiles/modules/pt/pt_peg_import_container\&.n\fR
pt::peg::import::container
.TP
\fBfiles/modules/pt/pt_peg_import_json\&.n\fR
pt::peg::import::json
.TP
\fBfiles/modules/pt/pt_peg_import_peg\&.n\fR
pt::peg::import::peg
.TP
\fBfiles/modules/pt/pt_peg_interp\&.n\fR
pt::peg::interp
.TP
\fBfiles/modules/pt/pt_peg_to_container\&.n\fR
pt::peg::to::container
.TP
\fBfiles/modules/pt/pt_peg_to_cparam\&.n\fR
pt::peg::to::cparam
.TP
\fBfiles/modules/pt/pt_peg_to_json\&.n\fR
pt::peg::to::json
.TP
\fBfiles/modules/pt/pt_peg_to_param\&.n\fR
pt::peg::to::param
.TP
\fBfiles/modules/pt/pt_peg_to_peg\&.n\fR
pt::peg::to::peg
.TP
\fBfiles/modules/pt/pt_peg_to_tclparam\&.n\fR
pt::peg::to::tclparam
.TP
\fBfiles/modules/pt/pt_peg_language\&.n\fR
pt::peg_language
.TP
\fBfiles/modules/pt/pt_peg_introduction\&.n\fR
pt::pegrammar
.TP
\fBfiles/modules/pt/pt_pgen\&.n\fR
pt::pgen
.TP
\fBfiles/modules/pt/pt_rdengine\&.n\fR
pt::rde
.TP
\fBfiles/modules/pt/pt_tclparam_config_snit\&.n\fR
pt::tclparam::configuration::snit
.TP
\fBfiles/modules/pt/pt_tclparam_config_tcloo\&.n\fR
pt::tclparam::configuration::tcloo
.TP
\fBfiles/modules/pt/pt_util\&.n\fR
pt::util
.TP
\fBfiles/modules/pt/pt_to_api\&.n\fR
pt_export_api
.TP
\fBfiles/modules/pt/pt_from_api\&.n\fR
pt_import_api
.TP
\fBfiles/modules/pt/pt_introduction\&.n\fR
pt_introduction
.TP
\fBfiles/modules/pt/pt_parse_peg\&.n\fR
pt_parse_peg
.TP
\fBfiles/modules/pt/pt_parser_api\&.n\fR
pt_parser_api
.TP
\fBfiles/modules/pt/pt_peg_op\&.n\fR
pt_peg_op
.RE
transfer
.RS
.TP
\fBfiles/modules/transfer/connect\&.n\fR
transfer::connect
.TP
\fBfiles/modules/transfer/copyops\&.n\fR
transfer::copy
.TP
\fBfiles/modules/transfer/tqueue\&.n\fR
transfer::copy::queue
.TP
\fBfiles/modules/transfer/ddest\&.n\fR
transfer::data::destination
.TP
\fBfiles/modules/transfer/dsource\&.n\fR
transfer::data::source
.TP
\fBfiles/modules/transfer/receiver\&.n\fR
transfer::receiver
.TP
\fBfiles/modules/transfer/transmitter\&.n\fR
transfer::transmitter
.RE
transformation
.RS
.TP
\fBfiles/modules/page/page_util_peg\&.n\fR
page_util_peg
.TP
\fBfiles/modules/virtchannel_transform/adler32\&.n\fR
tcl::transform::adler32
.TP
\fBfiles/modules/virtchannel_transform/vt_base64\&.n\fR
tcl::transform::base64
.TP
\fBfiles/modules/virtchannel_transform/vt_counter\&.n\fR
tcl::transform::counter
.TP
\fBfiles/modules/virtchannel_transform/vt_crc32\&.n\fR
tcl::transform::crc32
.TP
\fBfiles/modules/virtchannel_transform/hex\&.n\fR
tcl::transform::hex
.TP
\fBfiles/modules/virtchannel_transform/identity\&.n\fR
tcl::transform::identity
.TP
\fBfiles/modules/virtchannel_transform/limitsize\&.n\fR
tcl::transform::limitsize
.TP
\fBfiles/modules/virtchannel_transform/observe\&.n\fR
tcl::transform::observe
.TP
\fBfiles/modules/virtchannel_transform/vt_otp\&.n\fR
tcl::transform::otp
.TP
\fBfiles/modules/virtchannel_transform/rot\&.n\fR
tcl::transform::rot
.TP
\fBfiles/modules/virtchannel_transform/spacer\&.n\fR
tcl::transform::spacer
.TP
\fBfiles/modules/virtchannel_transform/tcllib_zlib\&.n\fR
tcl::transform::zlib
.RE
transmitter
.RS
.TP
\fBfiles/modules/transfer/transmitter\&.n\fR
transfer::transmitter
.RE
travelling salesman
.RS
.TP
\fBfiles/modules/struct/graphops\&.n\fR
struct::graph::op
.RE
traversal
.RS
.TP
\fBfiles/modules/fileutil/traverse\&.n\fR
fileutil_traverse
.RE
tree
.RS
.TP
\fBfiles/modules/grammar_me/gasm\&.n\fR
grammar::me::cpu::gasm
.TP
\fBfiles/modules/grammar_me/me_util\&.n\fR
grammar::me::util
.TP
\fBfiles/modules/htmlparse/htmlparse\&.n\fR
htmlparse
.TP
\fBfiles/modules/struct/queue\&.n\fR
struct::queue
.TP
\fBfiles/modules/struct/stack\&.n\fR
struct::stack
.TP
\fBfiles/modules/struct/struct_tree\&.n\fR
struct::tree
.TP
\fBfiles/modules/struct/struct_tree1\&.n\fR
struct::tree_v1
.TP
\fBfiles/modules/treeql/treeql\&.n\fR
treeql
.RE
tree query language
.RS
.TP
\fBfiles/modules/treeql/treeql\&.n\fR
treeql
.RE
tree walking
.RS
.TP
\fBfiles/modules/page/page_util_flow\&.n\fR
page_util_flow
.TP
\fBfiles/modules/page/page_util_norm_lemon\&.n\fR
page_util_norm_lemon
.TP
\fBfiles/modules/page/page_util_norm_peg\&.n\fR
page_util_norm_peg
.RE
TreeQL
.RS
.TP
\fBfiles/modules/treeql/treeql\&.n\fR
treeql
.RE
trimming
.RS
.TP
\fBfiles/modules/textutil/textutil\&.n\fR
textutil
.TP
\fBfiles/modules/textutil/trim\&.n\fR
textutil::trim
.RE
twitter
.RS
.TP
\fBfiles/modules/oauth/oauth\&.n\fR
oauth
.RE
type
.RS
.TP
\fBfiles/modules/fileutil/fileutil\&.n\fR
fileutil
.TP
\fBfiles/modules/fumagic/cfront\&.n\fR
fileutil::magic::cfront
.TP
\fBfiles/modules/fumagic/cgen\&.n\fR
fileutil::magic::cgen
.TP
\fBfiles/modules/fumagic/filetypes\&.n\fR
fileutil::magic::filetype
.TP
\fBfiles/modules/fumagic/mimetypes\&.n\fR
fileutil::magic::mimetype
.TP
\fBfiles/modules/fumagic/rtcore\&.n\fR
fileutil::magic::rt
.TP
\fBfiles/modules/snit/snit\&.n\fR
snit
.RE
Type checking
.RS
.TP
\fBfiles/modules/valtype/valtype_common\&.n\fR
valtype::common
.TP
\fBfiles/modules/valtype/cc_amex\&.n\fR
valtype::creditcard::amex
.TP
\fBfiles/modules/valtype/cc_discover\&.n\fR
valtype::creditcard::discover
.TP
\fBfiles/modules/valtype/cc_mastercard\&.n\fR
valtype::creditcard::mastercard
.TP
\fBfiles/modules/valtype/cc_visa\&.n\fR
valtype::creditcard::visa
.TP
\fBfiles/modules/valtype/ean13\&.n\fR
valtype::gs1::ean13
.TP
\fBfiles/modules/valtype/iban\&.n\fR
valtype::iban
.TP
\fBfiles/modules/valtype/imei\&.n\fR
valtype::imei
.TP
\fBfiles/modules/valtype/isbn\&.n\fR
valtype::isbn
.TP
\fBfiles/modules/valtype/luhn\&.n\fR
valtype::luhn
.TP
\fBfiles/modules/valtype/luhn5\&.n\fR
valtype::luhn5
.TP
\fBfiles/modules/valtype/usnpi\&.n\fR
valtype::usnpi
.TP
\fBfiles/modules/valtype/verhoeff\&.n\fR
valtype::verhoeff
.RE
uevent
.RS
.TP
\fBfiles/modules/hook/hook\&.n\fR
hook
.RE
unbind
.RS
.TP
\fBfiles/modules/uev/uevent\&.n\fR
uevent
.RE
uncapitalize
.RS
.TP
\fBfiles/modules/textutil/textutil_string\&.n\fR
textutil::string
.RE
undenting
.RS
.TP
\fBfiles/modules/textutil/adjust\&.n\fR
textutil::adjust
.RE
unicode
.RS
.TP
\fBfiles/modules/stringprep/stringprep\&.n\fR
stringprep
.TP
\fBfiles/modules/stringprep/stringprep_data\&.n\fR
stringprep::data
.TP
\fBfiles/modules/stringprep/unicode\&.n\fR
unicode
.TP
\fBfiles/modules/stringprep/unicode_data\&.n\fR
unicode::data
.RE
union
.RS
.TP
\fBfiles/modules/struct/disjointset\&.n\fR
struct::disjointset
.TP
\fBfiles/modules/struct/struct_set\&.n\fR
struct::set
.RE
unit
.RS
.TP
\fBfiles/modules/units/units\&.n\fR
units
.RE
unknown hooking
.RS
.TP
\fBfiles/modules/namespacex/namespacex\&.n\fR
namespacex
.RE
untie
.RS
.TP
\fBfiles/modules/tie/tie\&.n\fR
tie
.TP
\fBfiles/modules/tie/tie_std\&.n\fR
tie
.RE
update
.RS
.TP
\fBfiles/modules/coroutine/tcllib_coroutine\&.n\fR
coroutine
.TP
\fBfiles/modules/coroutine/coro_auto\&.n\fR
coroutine::auto
.RE
uri
.RS
.TP
\fBfiles/modules/uri/uri\&.n\fR
uri
.TP
\fBfiles/modules/uri/urn-scheme\&.n\fR
uri_urn
.RE
url
.RS
.TP
\fBfiles/modules/doctools2idx/idx_container\&.n\fR
doctools::idx
.TP
\fBfiles/modules/doctools2idx/idx_export\&.n\fR
doctools::idx::export
.TP
\fBfiles/modules/doctools2idx/idx_import\&.n\fR
doctools::idx::import
.TP
\fBfiles/modules/doctools2toc/toc_export\&.n\fR
doctools::toc::export
.TP
\fBfiles/modules/doctools2toc/toc_import\&.n\fR
doctools::toc::import
.TP
\fBfiles/modules/map/map_geocode_nominatim\&.n\fR
map::geocode::nominatim
.TP
\fBfiles/modules/map/map_slippy_fetcher\&.n\fR
map::slippy::fetcher
.TP
\fBfiles/modules/uri/uri\&.n\fR
uri
.TP
\fBfiles/modules/uri/urn-scheme\&.n\fR
uri_urn
.RE
urn
.RS
.TP
\fBfiles/modules/uri/urn-scheme\&.n\fR
uri_urn
.RE
US-NPI
.RS
.TP
\fBfiles/modules/valtype/usnpi\&.n\fR
valtype::usnpi
.RE
utilities
.RS
.TP
\fBfiles/modules/namespacex/namespacex\&.n\fR
namespacex
.RE
uuencode
.RS
.TP
\fBfiles/modules/base64/uuencode\&.n\fR
uuencode
.RE
UUID
.RS
.TP
\fBfiles/modules/uuid/uuid\&.n\fR
uuid
.RE
Validation
.RS
.TP
\fBfiles/modules/valtype/valtype_common\&.n\fR
valtype::common
.TP
\fBfiles/modules/valtype/cc_amex\&.n\fR
valtype::creditcard::amex
.TP
\fBfiles/modules/valtype/cc_discover\&.n\fR
valtype::creditcard::discover
.TP
\fBfiles/modules/valtype/cc_mastercard\&.n\fR
valtype::creditcard::mastercard
.TP
\fBfiles/modules/valtype/cc_visa\&.n\fR
valtype::creditcard::visa
.TP
\fBfiles/modules/valtype/ean13\&.n\fR
valtype::gs1::ean13
.TP
\fBfiles/modules/valtype/iban\&.n\fR
valtype::iban
.TP
\fBfiles/modules/valtype/imei\&.n\fR
valtype::imei
.TP
\fBfiles/modules/valtype/isbn\&.n\fR
valtype::isbn
.TP
\fBfiles/modules/valtype/luhn\&.n\fR
valtype::luhn
.TP
\fBfiles/modules/valtype/luhn5\&.n\fR
valtype::luhn5
.TP
\fBfiles/modules/valtype/usnpi\&.n\fR
valtype::usnpi
.TP
\fBfiles/modules/valtype/verhoeff\&.n\fR
valtype::verhoeff
.RE
Value checking
.RS
.TP
\fBfiles/modules/valtype/valtype_common\&.n\fR
valtype::common
.TP
\fBfiles/modules/valtype/cc_amex\&.n\fR
valtype::creditcard::amex
.TP
\fBfiles/modules/valtype/cc_discover\&.n\fR
valtype::creditcard::discover
.TP
\fBfiles/modules/valtype/cc_mastercard\&.n\fR
valtype::creditcard::mastercard
.TP
\fBfiles/modules/valtype/cc_visa\&.n\fR
valtype::creditcard::visa
.TP
\fBfiles/modules/valtype/ean13\&.n\fR
valtype::gs1::ean13
.TP
\fBfiles/modules/valtype/iban\&.n\fR
valtype::iban
.TP
\fBfiles/modules/valtype/imei\&.n\fR
valtype::imei
.TP
\fBfiles/modules/valtype/isbn\&.n\fR
valtype::isbn
.TP
\fBfiles/modules/valtype/luhn\&.n\fR
valtype::luhn
.TP
\fBfiles/modules/valtype/luhn5\&.n\fR
valtype::luhn5
.TP
\fBfiles/modules/valtype/usnpi\&.n\fR
valtype::usnpi
.TP
\fBfiles/modules/valtype/verhoeff\&.n\fR
valtype::verhoeff
.RE
vectors
.RS
.TP
\fBfiles/modules/math/linalg\&.n\fR
math::linearalgebra
.RE
verhoeff
.RS
.TP
\fBfiles/modules/valtype/verhoeff\&.n\fR
valtype::verhoeff
.RE
vertex
.RS
.TP
\fBfiles/modules/struct/graph\&.n\fR
struct::graph
.TP
\fBfiles/modules/struct/graphops\&.n\fR
struct::graph::op
.RE
vertex cover
.RS
.TP
\fBfiles/modules/struct/graphops\&.n\fR
struct::graph::op
.RE
virtual channel
.RS
.TP
\fBfiles/modules/virtchannel_base/cat\&.n\fR
tcl::chan::cat
.TP
\fBfiles/modules/virtchannel_core/core\&.n\fR
tcl::chan::core
.TP
\fBfiles/modules/virtchannel_core/events\&.n\fR
tcl::chan::events
.TP
\fBfiles/modules/virtchannel_base/facade\&.n\fR
tcl::chan::facade
.TP
\fBfiles/modules/virtchannel_base/tcllib_fifo\&.n\fR
tcl::chan::fifo
.TP
\fBfiles/modules/virtchannel_base/tcllib_fifo2\&.n\fR
tcl::chan::fifo2
.TP
\fBfiles/modules/virtchannel_base/halfpipe\&.n\fR
tcl::chan::halfpipe
.TP
\fBfiles/modules/virtchannel_base/tcllib_memchan\&.n\fR
tcl::chan::memchan
.TP
\fBfiles/modules/virtchannel_base/tcllib_null\&.n\fR
tcl::chan::null
.TP
\fBfiles/modules/virtchannel_base/nullzero\&.n\fR
tcl::chan::nullzero
.TP
\fBfiles/modules/virtchannel_base/tcllib_random\&.n\fR
tcl::chan::random
.TP
\fBfiles/modules/virtchannel_base/std\&.n\fR
tcl::chan::std
.TP
\fBfiles/modules/virtchannel_base/tcllib_string\&.n\fR
tcl::chan::string
.TP
\fBfiles/modules/virtchannel_base/textwindow\&.n\fR
tcl::chan::textwindow
.TP
\fBfiles/modules/virtchannel_base/tcllib_variable\&.n\fR
tcl::chan::variable
.TP
\fBfiles/modules/virtchannel_base/tcllib_zero\&.n\fR
tcl::chan::zero
.TP
\fBfiles/modules/virtchannel_base/randseed\&.n\fR
tcl::randomseed
.TP
\fBfiles/modules/virtchannel_transform/adler32\&.n\fR
tcl::transform::adler32
.TP
\fBfiles/modules/virtchannel_transform/vt_base64\&.n\fR
tcl::transform::base64
.TP
\fBfiles/modules/virtchannel_core/transformcore\&.n\fR
tcl::transform::core
.TP
\fBfiles/modules/virtchannel_transform/vt_counter\&.n\fR
tcl::transform::counter
.TP
\fBfiles/modules/virtchannel_transform/vt_crc32\&.n\fR
tcl::transform::crc32
.TP
\fBfiles/modules/virtchannel_transform/hex\&.n\fR
tcl::transform::hex
.TP
\fBfiles/modules/virtchannel_transform/identity\&.n\fR
tcl::transform::identity
.TP
\fBfiles/modules/virtchannel_transform/limitsize\&.n\fR
tcl::transform::limitsize
.TP
\fBfiles/modules/virtchannel_transform/observe\&.n\fR
tcl::transform::observe
.TP
\fBfiles/modules/virtchannel_transform/vt_otp\&.n\fR
tcl::transform::otp
.TP
\fBfiles/modules/virtchannel_transform/rot\&.n\fR
tcl::transform::rot
.TP
\fBfiles/modules/virtchannel_transform/spacer\&.n\fR
tcl::transform::spacer
.TP
\fBfiles/modules/virtchannel_transform/tcllib_zlib\&.n\fR
tcl::transform::zlib
.RE
virtual machine
.RS
.TP
\fBfiles/modules/grammar_me/me_cpu\&.n\fR
grammar::me::cpu
.TP
\fBfiles/modules/grammar_me/me_cpucore\&.n\fR
grammar::me::cpu::core
.TP
\fBfiles/modules/grammar_me/gasm\&.n\fR
grammar::me::cpu::gasm
.TP
\fBfiles/modules/grammar_me/me_tcl\&.n\fR
grammar::me::tcl
.TP
\fBfiles/modules/grammar_me/me_intro\&.n\fR
grammar::me_intro
.TP
\fBfiles/modules/grammar_me/me_vm\&.n\fR
grammar::me_vm
.TP
\fBfiles/modules/grammar_peg/peg_interp\&.n\fR
grammar::peg::interp
.TP
\fBfiles/modules/pt/pt_param\&.n\fR
pt::param
.RE
VISA
.RS
.TP
\fBfiles/modules/valtype/cc_visa\&.n\fR
valtype::creditcard::visa
.RE
vwait
.RS
.TP
\fBfiles/modules/coroutine/tcllib_coroutine\&.n\fR
coroutine
.TP
\fBfiles/modules/coroutine/coro_auto\&.n\fR
coroutine::auto
.TP
\fBfiles/modules/smtpd/smtpd\&.n\fR
smtpd
.RE
wais
.RS
.TP
\fBfiles/modules/uri/uri\&.n\fR
uri
.RE
widget
.RS
.TP
\fBfiles/modules/snit/snit\&.n\fR
snit
.TP
\fBfiles/modules/snit/snitfaq\&.n\fR
snitfaq
.RE
widget adaptors
.RS
.TP
\fBfiles/modules/snit/snit\&.n\fR
snit
.TP
\fBfiles/modules/snit/snitfaq\&.n\fR
snitfaq
.RE
wiki
.RS
.TP
\fBfiles/modules/doctools2idx/idx_container\&.n\fR
doctools::idx
.TP
\fBfiles/modules/doctools/docidx\&.n\fR
doctools::idx
.TP
\fBfiles/modules/doctools2idx/idx_export\&.n\fR
doctools::idx::export
.TP
\fBfiles/modules/doctools2idx/idx_export_wiki\&.n\fR
doctools::idx::export::wiki
.TP
\fBfiles/modules/doctools/doctoc\&.n\fR
doctools::toc
.TP
\fBfiles/modules/doctools2toc/toc_container\&.n\fR
doctools::toc
.TP
\fBfiles/modules/doctools2toc/toc_export\&.n\fR
doctools::toc::export
.TP
\fBfiles/modules/doctools2toc/toc_export_wiki\&.n\fR
doctools::toc::export::wiki
.RE
word
.RS
.TP
\fBfiles/modules/doctools2base/tcl_parse\&.n\fR
doctools::tcl::parse
.TP
\fBfiles/modules/wip/wip\&.n\fR
wip
.RE
www
.RS
.TP
\fBfiles/modules/uri/uri\&.n\fR
uri
.RE
x\&.208
.RS
.TP
\fBfiles/modules/asn/asn\&.n\fR
asn
.RE
x\&.209
.RS
.TP
\fBfiles/modules/asn/asn\&.n\fR
asn
.RE
x\&.500
.RS
.TP
\fBfiles/modules/ldap/ldap\&.n\fR
ldap
.RE
XGoogleToken
.RS
.TP
\fBfiles/modules/sasl/gtoken\&.n\fR
SASL::XGoogleToken
.RE
xml
.RS
.TP
\fBfiles/modules/amazon-s3/xsxp\&.n\fR
xsxp
.RE
xor
.RS
.TP
\fBfiles/modules/virtchannel_transform/vt_otp\&.n\fR
tcl::transform::otp
.RE
XPath
.RS
.TP
\fBfiles/modules/treeql/treeql\&.n\fR
treeql
.RE
XSLT
.RS
.TP
\fBfiles/modules/treeql/treeql\&.n\fR
treeql
.RE
yaml
.RS
.TP
\fBfiles/modules/yaml/huddle\&.n\fR
huddle
.TP
\fBfiles/modules/yaml/yaml\&.n\fR
yaml
.RE
ydecode
.RS
.TP
\fBfiles/modules/base64/yencode\&.n\fR
yencode
.RE
yEnc
.RS
.TP
\fBfiles/modules/base64/yencode\&.n\fR
yencode
.RE
yencode
.RS
.TP
\fBfiles/modules/base64/yencode\&.n\fR
yencode
.RE
zero
.RS
.TP
\fBfiles/modules/virtchannel_base/nullzero\&.n\fR
tcl::chan::nullzero
.TP
\fBfiles/modules/virtchannel_base/tcllib_zero\&.n\fR
tcl::chan::zero
.RE
zip
.RS
.TP
\fBfiles/modules/zip/decode\&.n\fR
zipfile::decode
.TP
\fBfiles/modules/zip/encode\&.n\fR
zipfile::encode
.TP
\fBfiles/modules/zip/mkzip\&.n\fR
zipfile::mkzip
.RE
zlib
.RS
.TP
\fBfiles/modules/virtchannel_transform/tcllib_zlib\&.n\fR
tcl::transform::zlib
.RE
zoom
.RS
.TP
\fBfiles/modules/map/map_slippy\&.n\fR
map::slippy
.TP
\fBfiles/modules/map/map_slippy_cache\&.n\fR
map::slippy::cache
.TP
\fBfiles/modules/map/map_slippy_fetcher\&.n\fR
map::slippy::fetcher
.RE